<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="s" uri="http://www.jahia.org/tags/search" %>
<c:set var="facetParamVarName" value="N-${currentNode.name}"/>
<c:set var="dateCriteria" value="jcr:lastModified"/>
<%-- list mode --%>
<c:set var="thumb" value="false"/>
<c:if test="${sessionScope.docListView eq 'gallery'}">
    <c:set var="thumb" value="true"/>
</c:if>

<c:if test="${not empty param['range']}">
    <c:set var="pattern" value="yyyy-MM-dd"/>
    <jsp:useBean id="date" class="java.util.Date" scope="page"/>
    <c:choose>
        <c:when test="${param['range'] == 'last3days'}">
            <jsp:setProperty name="date" property="time" value="${date.time - 259200000}"/>
        </c:when>
        <c:when test="${param['range'] == 'lastweek'}">
            <jsp:setProperty name="date" property="time" value="${date.time - 604800000}"/>
        </c:when>
        <c:when test="${param['range'] == 'lastmonth'}"><%-- 30 days --%>
            <jsp:setProperty name="date" property="time" value="${date.time - 2592000000}"/>
        </c:when>
        <c:when test="${param['range'] == 'last3months'}"><%-- 91 days --%>
            <jsp:setProperty name="date" property="time" value="${date.time - 7862400000}"/>
        </c:when>
        <c:when test="${param['range'] == 'last6months'}"><%-- 183 days --%>
            <jsp:setProperty name="date" property="time" value="${date.time - 15768000000}"/>
        </c:when>
        <c:when test="${param['range'] == 'lastyear'}"><%-- 365 days --%>
            <jsp:setProperty name="date" property="time" value="${date.time - 31536000000}"/>
        </c:when>
        <c:otherwise>
            <%-- today... do nothing --%>
        </c:otherwise>
    </c:choose>
    <fmt:setTimeZone value="UTC" scope="session"/>
    <fmt:formatDate var="dateFrom" value="${date}" pattern="${pattern}"/>
</c:if>

<c:choose>
    <c:when test="${!empty param.collection}">
        <c:choose>
            <c:when test="${jcr:isNodeType(renderContext.mainResource.node, 'docmix:docspace')}">
                <c:set var="docspaceNode" value="${renderContext.mainResource.node}"/>
            </c:when>
            <c:otherwise>
                <c:set var="docspaceNode" value="${jcr:getParentOfType(renderContext.mainResource.node, 'docmix:docspace')}"/>
            </c:otherwise>
        </c:choose>
        <jcr:node var="collection" uuid="${param.collection}"/>
        <jsp:useBean id="collectionList" class="java.util.ArrayList" type="java.util.List" />
        <c:forEach items="${jcr:getChildrenOfType(collection, 'jnt:fileReference')}" var="ref">
            <jcr:node uuid="${ref.properties['j:node'].string}" var="node"/>
            <c:if test="${((thumb && jcr:isNodeType(node,'jmix:image')) || !(thumb)) && fn:contains(ref.properties['j:node'].node.path,docspaceNode.path)}">
                <% collectionList.add(pageContext.findAttribute("node")); %>
            </c:if>
        </c:forEach>
        <c:set target="${moduleMap}" property="currentList" value="${collectionList}" />
        <c:set target="${moduleMap}" property="end" value="${fn:length(moduleMap.currentList)}" />
        <c:set target="${moduleMap}" property="listTotalSize" value="${moduleMap.end}" />
    </c:when>
    <c:when test="${jcr:isNodeType(currentNode,'docmix:docspaceFolder') and not empty param['src_terms[0].term']}">
        <c:set var="hitsName" value="hits_${currentNode.identifier}"/>
        <c:set var="hitsCountName" value="hitsCount_${currentNode.identifier}"/>
        <c:set var="hitsApproxCountName" value="hitsApproxCount_${currentNode.identifier}"/>    
        <c:choose>    
            <c:when test='${searchMap[hitsName] eq null}'>    
                <s:results var="resultsHits" offset="${moduleMap.begin}" limit="${moduleMap.pageStart + moduleMap.pageSize}">
                    <c:set target="${moduleMap}" property="listTotalSize" value="${count}" />
                    <c:set target="${moduleMap}" property="listApproxSize" value="${approxCount}" />                    
                    <c:set target="${moduleMap}" property="resultsHits" value="${resultsHits}" />
                    <c:set target="${moduleMap}" property="displaySearchParams" value="true" />
                    <c:if test='${searchMap == null}'>
                        <jsp:useBean id="searchMap" class="java.util.HashMap" scope="request"/>
                    </c:if>
                    <c:set target="${searchMap}" property="${hitsName}" value="${resultsHits}"/>
                    <c:set target="${searchMap}" property="${hitsCountName}" value="${count}"/>
                    <c:set target="${searchMap}" property="${hitsApproxCountName}" value="${approxCount}"/>                    
                </s:results>
            </c:when>                
            <c:otherwise>
                <c:set target="${moduleMap}" property="listTotalSize" value="${searchMap[hitsCountName]}" />
                <c:set target="${moduleMap}" property="listApproxSize" value="${searchMap[hitsApproxCountName]}" />                
                <c:set target="${moduleMap}" property="resultsHits" value="${searchMap[hitsName]}" />
                <c:set target="${moduleMap}" property="displaySearchParams" value="true" />
            </c:otherwise>
        </c:choose>             
    </c:when>
    <c:when test="${not empty param[facetParamVarName]}">
        <c:if test="${thumb}">
            <c:set var="nodeType" value="jmix:image"/>
        </c:if>
        <c:if test="${!thumb}">
            <c:set var="nodeType" value="nt:file"/>
        </c:if>
        <c:set var="descendantNode" value="${fn:substringAfter(currentNode.realNode.path,'/sites/')}"/>
        <c:set var="descendantNode" value="${fn:substringAfter(descendantNode,'/')}"/>
        <c:choose>
            <c:when test="${not empty param['range']}">
                <query:definition var="listQuery" statement="select * from [${nodeType}] where isdescendantnode('/sites/${functions:sqlencode(renderContext.site.name)}/${functions:sqlencode(descendantNode)}') and [${dateCriteria}] > CAST('${dateFrom}T00:00:00.000Z' AS DATE) ORDER BY [${dateCriteria}] DESC"/>
            </c:when>
            <c:otherwise>
                <query:definition var="listQuery" statement="select * from [${nodeType}] where isdescendantnode('/sites/${functions:sqlencode(renderContext.site.name)}/${functions:sqlencode(descendantNode)}') order by lower(localname()) asc"/>
            </c:otherwise>
        </c:choose>
        <c:set target="${moduleMap}" property="listQuery" value="${listQuery}"/>
    </c:when>
    <c:when test="${not empty param['range']}">
        <c:if test="${thumb}">
            <c:set var="nodeType" value="jmix:image"/>
        </c:if>
        <c:if test="${!thumb}">
            <c:set var="nodeType" value="nt:file"/>
        </c:if>
        <c:set var="descendantNode" value="${fn:substringAfter(currentNode.realNode.path,'/sites/')}"/>
        <c:set var="descendantNode" value="${fn:substringAfter(descendantNode,'/')}"/>
        <query:definition var="listQuery" statement="select * from [${nodeType}] where isdescendantnode('/sites/${functions:sqlencode(renderContext.site.name)}/${functions:sqlencode(descendantNode)}') and [${dateCriteria}] > CAST('${dateFrom}T00:00:00.000Z' AS DATE) ORDER BY [${dateCriteria}] DESC"/>
        <c:set target="${moduleMap}" property="listQuery" value="${listQuery}"/>
    </c:when>
    <c:otherwise>
        <c:if test="${thumb}">
            <c:set var="nodeType" value="jmix:image"/>
        </c:if>
        <c:if test="${!thumb}">
            <c:set var="nodeType" value="nt:hierarchyNode"/>
        </c:if>
        <c:set var="descendantNode" value="${fn:substringAfter(currentNode.realNode.path,'/sites/')}"/>
        <c:set var="descendantNode" value="${fn:substringAfter(descendantNode,'/')}"/>
        <query:definition var="listQuery" statement="select * from [${nodeType}] where ischildnode('/sites/${functions:sqlencode(renderContext.site.name)}/${functions:sqlencode(descendantNode)}') order by lower(localname()) asc"/>
        <c:set target="${moduleMap}" property="listQuery" value="${listQuery}"/>

        <c:set target="${moduleMap}" property="editable" value="true" />
    </c:otherwise>
</c:choose>
