<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<c:url var="collectionURL" value="${url.basePreview}${currentNode.path}"/>
<c:if test="${not fn:startsWith(currentNode.path,renderContext.user.localPath)}">
<jcr:node var="userCollection" path="${renderContext.user.localPath}/collections"/>
<c:set var="subscribed" value="false"/>
<c:forEach items="${userCollection.properties['subscribedCollections']}" var="sub" varStatus="st">
    <c:if test="${currentNode.identifier eq sub.string}">
        <c:set var="subscribed" value="true"/>
    </c:if>
</c:forEach>
</c:if>
<c:set var="i18nConfirmDelete"><fmt:message key='docspace.label.ask.for.delete'/>${' '}${currentNode.displayableName}</c:set>
<template:addResources>
<script type="text/javascript">
    var collections = {};
    $(document).ready(function() {
        $("\#${currentNode.identifier}-delete").click(
                function () {
                    if (confirm("${functions:escapeJavaScript(i18nConfirmDelete)}"))
                        $.ajax({
                            type:'DELETE',
                            url:'${functions:escapeJavaScript(collectionURL)}',
                            dataType:'json',
                            success: function (data, textStatus, jqXHR) {
                                location.reload(true);
                            }
                        });
                        return false;
                }
        )
        $("\#${currentNode.identifier}-subscribe").click(
                function () {
                    $.post("<c:url value="${url.basePreview}${functions:escapePath(renderContext.user.localPath)}.manageCollection.do"/>", {
                                action:'subscribe',
                                subscribe:'${currentNode.identifier}'}
                            , function(result) {
                                location.reload(true);
                            },
                            "json");
                    return false;
                }
        )
        $("\#${currentNode.identifier}-unsubscribe").click(
                function () {
                    $.post("<c:url value="${url.basePreview}${functions:escapePath(renderContext.user.localPath)}.manageCollection.do"/>", {
                                action:'unsubscribe',
                                unsubscribe:'${currentNode.identifier}'}
                            , function(result) {
                                location.reload(true);
                            },
                            "json");
                    return false;
                }
        )
    });


    function switchCollectionDisplay(identifier) {
        $(".collectiondetail").each(function () {
            if (!$(this).is("#collectiondetail_" + identifier)) {
                $(this).slideUp("medium");
            }
        });
        $("#collectiondetail_" + identifier).slideToggle("medium");
    }

</script>
</template:addResources>
<c:set var="referenceType" value="jnt:fileReference,docnt:noteReference"/>
<c:set var="docspaceNode" value="${jcr:isNodeType(renderContext.mainResource.node, 'docmix:docspace') ? renderContext.mainResource.node : jcr:getParentOfType(renderContext.mainResource.node, 'docmix:docspace')}"/>
<c:set var="userCollections" value="${jcr:getChildrenOfType(currentNode, referenceType)}"/>
<c:set var="docCount" value="0"/>
<c:if test="${!empty docspaceNode}">
    <c:forEach items="${userCollections}" var="child">
        <c:if test="${fn:contains(child.properties['j:node'].node.path,docspaceNode.path)}">
            <c:set var="docCount" value="${docCount + 1}"/>
        </c:if>
    </c:forEach>
</c:if>
<c:url var="colUrl" value="${url.base}${!empty docspaceNode && jcr:isNodeType(renderContext.mainResource.node, 'docmix:docspaceFolder') ? functions:escapePath(docspaceNode.path) : functions:escapePath(renderContext.mainResource.node.path)}.${renderContext.mainResource.template}.html">
    <c:param name="collection" value="${currentNode.identifier}"/>
</c:url>
<td headers="Title">

<span class="icon-collection ${(!empty docspaceNode && docCount > 0) || (empty docspaceNode && currentNode.nodes.size > 0) ? 'collectionwithdoc' : 'emptycollection'}"></span>
${fn:escapeXml(currentNode.displayableName)}

<span class="open-users-collection" onclick="switchCollectionDisplay('${currentNode.identifier}')"><fmt:message key="docspace.label.collection.showContent"/></span>

    <span class="collection-actions">
<c:url var="colUrl" value="${url.base}${functions:escapePath(renderContext.mainResource.node.path)}.${renderContext.mainResource.template}.html"/>
<c:if test="${not fn:startsWith(currentNode.path,renderContext.user.localPath)}">
<c:if test="${subscribed eq 'true'}"><a href="#" id="${currentNode.identifier}-unsubscribe" class="unsubscribe-collection" title="<fmt:message key="docspace.label.unsubscribe"/>"><span><fmt:message key="docspace.label.unsubscribe"/></span></a></c:if>
<c:if test="${subscribed eq 'false'}"><a href="#" id="${currentNode.identifier}-subscribe" class="subscribe-collection" title="<fmt:message key="docspace.label.subscribe"/>"><span><fmt:message key="docspace.label.subscribe"/></span></a></c:if>
</c:if>
<c:if test="${jcr:hasPermission(currentNode,'jcr:removeNode')}">
<fmt:message key="docspace.label.delete" var="i18nDelete"/><c:set var="i18nDelete" value="${fn:escapeXml(i18nDelete)}"/>
<a title="${i18nDelete}" href="#" id="${currentNode.identifier}-delete" class="delete-collection-small"><span>${i18nDelete}</span></a></c:if>
    </span>
<div style="display:none;" class="collectiondetail" id="collectiondetail_${currentNode.identifier}">

<ul class="collection-items-list">
    <c:forEach items="${userCollections}" var="child">
        <c:url var="itemURL" value="${url.basePreview}${functions:escapePath(child.path)}"/>
        <template:addResources>
        <script type="text/javascript">
            $(document).ready(function() {
                $("\#${child.identifier}-delete").click(
                        function () {
                            <fmt:message key='docspace.label.ask.for.remove' var="removeItem">
                                <fmt:param value="${child.name}"/>
                                <fmt:param value="${currentNode.displayableName}"/>
                            </fmt:message>
                            if (confirm("${functions:escapeJavaScript(removeItem)}"))
                                $.ajax({
                                    type:'DELETE',
                                    url:"${functions:escapeJavaScript(itemURL)}",
                                    dataType:'json',
                                    success: function (data, textStatus, jqXHR) {
                                        location.reload(true);
                                    }
                                })
                            return false;
                        }
                )
            });
        </script>
        </template:addResources>
        <li>
            <c:set var="targetNode" value="${child.properties['j:node'].node}"/>
            <c:if test="${not empty targetNode}"> 
	            <c:set var="isNote" value="${jcr:isNodeType(child, 'docnt:noteReference')}"/>
                <c:url value="/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(targetNode.path)}.workspace-${isNote ? 'note' : 'document'}-details.html" var="docDetailsUrl"/>
                <c:set var="itemName" value="${isNote ? targetNode.properties['jcr:title'].string : targetNode.name}"/>
                <a href="${docDetailsUrl}">${fn:escapeXml(not empty itemName ? itemName : targetNode.name)}</a> |
                <c:set var="docspaceNode" value="${jcr:getParentOfType(targetNode, 'docmix:docspace')}"/>
                ${fn:escapeXml(docspaceNode.displayableName)} |
                <jcr:nodeProperty node="${targetNode}" name="jcr:lastModified" var="modified"/>
                <fmt:formatDate value="${modified.time}"
                                dateStyle="medium"
                                type="date"/>
            </c:if>
            <c:if test="${empty targetNode}"> 
                ${fn:escapeXml(child.name)}   
            </c:if>
			<c:if test="${jcr:hasPermission(child,'jcr:removeNode')}">
                <fmt:message key="docspace.label.remove.from.this.collection" var="i18nRemove"/><c:set var="i18nRemove" value="${fn:escapeXml(i18nRemove)}"/>
                |
                <a title="${i18nRemove}" id="${child.identifier}-delete" class="delete-collection-item" href="#"><span>${i18nRemove}</span></a></li>
			</c:if>
    </c:forEach>
</ul>
</div>
</td>

<td headers="Size">
    ${fn:length(userCollections)}
</td>
