<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<c:url var="collectionURL" value="${url.basePreview}${currentNode.path}"/>
<c:if test="${not fn:startsWith(currentNode.path,renderContext.user.localPath)}">
<jcr:node var="userCollection" path="${renderContext.user.localPath}/collections"/>
<c:set var="subscribed" value="false"/>
<c:forEach items="${userCollection.properties['subscribedCollections']}" var="sub" varStatus="st">
    <c:if test="${currentNode.identifier eq sub.string}">
        <c:set var="subscribed" value="true"/>
    </c:if>
</c:forEach>
</c:if>
<c:set var="collectionTitle" value="${currentNode.displayableName}"/>
<template:addResources>
<script type="text/javascript">
    var collections = {};
    $(document).ready(function() {
        <c:url value="${url.basePreview}${functions:escapePath(renderContext.user.localPath)}.manageCollection.do" var="unsubscribeUrl"/>
        $("\#${currentNode.identifier}-unsubscribe").click(
                        function () {
                            $.post("${unsubscribeUrl}", {
                                        action:'unsubscribe',
                                        unsubscribe:'${currentNode.identifier}'}
                                    , function(result) {
                                        location.reload(true);
                                    },
                                    "json");
                        }
                )
    });
</script>
</template:addResources>
<c:set var="referenceType"
       value="${renderContext.mainResource.node.primaryNodeTypeName == 'docnt:notesContainer' ? 'docnt:noteReference' : 'jnt:fileReference'}"/>
<c:choose>
    <c:when test="${jcr:isNodeType(renderContext.mainResource.node, 'docmix:docspace')}">
        <c:set var="docspaceNode" value="${renderContext.mainResource.node}"/>
    </c:when>
    <c:otherwise>
        <c:set var="docspaceNode" value="${jcr:getParentOfType(renderContext.mainResource.node, 'docmix:docspace')}"/>
    </c:otherwise>
</c:choose>
<c:set var="docCount" value="0"/>
<c:if test="${!empty docspaceNode}">
    <c:forEach items="${jcr:getChildrenOfType(currentNode, referenceType)}" var="child">
        <c:if test="${fn:contains(child.properties['j:node'].node.path,docspaceNode.path)}">
            <c:set var="docCount" value="${docCount + 1}"/>
        </c:if>
    </c:forEach>
</c:if>
<c:url var="colUrl" value="${url.base}${!empty docspaceNode && jcr:isNodeType(renderContext.mainResource.node, 'docmix:docspaceFolder') ? functions:escapePath(docspaceNode.path) : functions:escapePath(renderContext.mainResource.node.path)}.${renderContext.mainResource.template}.html">
    <c:param name="collection" value="${currentNode.identifier}"/>
</c:url>
<span class="icon-collection ${(!empty docspaceNode && docCount > 0) || (empty docspaceNode && currentNode.nodes.size > 0) ? 'collectionwithdoc' : 'emptycollection'}"></span>
<a href="${colUrl}" class="${param.collection eq currentNode.identifier ? 'currentcollection' : ''}">${fn:escapeXml(collectionTitle)}</a>

(${!empty docspaceNode ? docCount : ''}${!empty docspaceNode ? ' / ' : ''}${fn:length(jcr:getChildrenOfType(currentNode, referenceType))})
<c:url var="colUrl" value="${url.base}${functions:escapePath(renderContext.mainResource.node.path)}.${renderContext.mainResource.template}.html"/>
<c:if test="${not fn:startsWith(currentNode.path,renderContext.user.localPath)}">
<c:if test="${subscribed eq 'true'}"><a href="#" id="${currentNode.identifier}-unsubscribe" class="unsubscribe-collection" title="<fmt:message key="docspace.label.unsubscribe"/>"><span><fmt:message key="docspace.label.unsubscribe"/></span></a></c:if>
</c:if>
<c:if test="${param.collection eq currentNode.identifier}"><a class="removecollection" href="${colUrl}"><fmt:message key="docspace.label.remove.filter"/></a></c:if>
