<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="workflow" uri="http://www.jahia.org/tags/workflow" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="utils" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="ui" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%@ taglib prefix="dm" uri="http://www.jahia.org/tags/document-management" %>

<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="propertyDefinition" type="org.jahia.services.content.nodetypes.ExtendedPropertyDefinition"--%>
<%--@elvariable id="type" type="org.jahia.services.content.nodetypes.ExtendedNodeType"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>

<template:addResources type="javascript"
                       resources="jquery.min.js,jquery-ui.min.js,jquery.fileupload-with-ui.min.js"/>
<template:addResources type="javascript" resources="jquery.fancybox.js"/>
<template:addResources type="javascript" resources="animatedcollapse.js"/>
<template:addResources type="css" resources="jquery.fileupload.css"/>
<template:addResources type="css" resources="jquery.fancybox.css"/>
<template:addResources type="javascript" resources="ckeditor/ckeditor.js"/>
<template:addResources type="javascript" resources="ckeditor/adapters/jquery.js"/>
<template:addResources type="javascript" resources="jquery.autocomplete.js"/>
<template:addResources type="css" resources="jquery.autocomplete.css"/>
<template:addResources type="css" resources="tagged.css"/>

<c:choose>
    <c:when test="${jcr:isNodeType(renderContext.mainResource.node, 'docmix:docspace')}">
        <c:set var="docspaceNode" value="${renderContext.mainResource.node}"/>
    </c:when>
    <c:otherwise>
        <c:set var="docspaceNode" value="${jcr:getParentOfType(renderContext.mainResource.node, 'docmix:docspace')}"/>
    </c:otherwise>
</c:choose>
<fmt:message key="label.ok" var="label_ok"/>
<fmt:message key="label.yes" var="label_yes"/>
<fmt:message key="label.no" var="label_no"/>
<fmt:message key="label.create.collection" var="label_create_collection"/>
<c:set var="separator" value="${functions:default(currentResource.moduleParams.separator, ', ')}"/>
<template:addResources>
<script type="text/javascript">
var collections = {};

function getUuids() {
    var uuids = new Array();
    i = 0;
    $(".fileCheckbox:checked").each(function (index) {
        uuids[i++] = $(this).attr("name");
    });
    return uuids;
}

function getPaths() {
    var paths = new Array();
    i = 0;
    $(".fileCheckbox:checked").each(function (index) {
        paths[i++] = $(this).attr("path");
    });
    return paths;
}

$(document).ready(function () {

    // Set JQuery to traditional
    $.ajaxSetup({traditional: true, cache:false});

    $("a#createCollection").fancybox({
        'afterLoad':function () {
            document.forms['createCollection'].elements['collection'].focus();
        }
    });
    $("a#createFolder").fancybox({
        'afterLoad':function () { $("#jahia_actions_foldernameField").focus(); }
    });
    $("a#deleteFile,a#uploadVersion,a#deleteNote,a#deletePoll,a#copyFile,a#cutFile,a#pasteFile,a#addToCollection").fancybox();

    $("a#createPoll").fancybox({
        beforeLoad: function() {
            this.title = $("#createPollFormSubmit").html();
        },
        helpers:  {
            title : {
                type : 'inside'
            }
        }
    });

    $("a#uploadFile").fancybox({
    	hideOnOverlayClick: false,
    	enableEscapeButton: false,
        beforeLoad: function () {
        	$("#file_upload_container").css("display", "block");
        }
    });
    
    $("a#renameFile").fancybox({
        beforeLoad: function () {
        	var els=$(".fileCheckbox:checked");
        	if (els.length > 0) {
                $('#jahia_actions_newNameField').val((els.first().attr('alt') || ''));
        	}
        },
        afterLoad: function () {$('#jahia_actions_newNameField').focus().select();}
    });
    
    $("a#changePermissions").fancybox({
        margin : 50,
        scrolling : 'auto',
        width : 600,
        height : 400,
        autoSize : false,
        type : 'ajax',
        beforeLoad : function () {
            var permissionComponentUrl = "${url.context}${url.base}/modules/${script.view.module.idWithVersion}";
            permissionComponentUrl += "/templates/base/workspace-document-details/pagecontent/main/main-col3/document-properties/permissions.html.ajax?mainResource=";
            permissionComponentUrl += encodeURIComponent(getPaths()[0] + ".workspace-document-details.html");
            permissionComponentUrl += "&display_title=true&includeJavascripts=true";
            this.href = permissionComponentUrl;
        }
    });

    $("a#manageCollection").fancybox({
        'beforeLoad':function () {
            var i = 0;
            while (i < document.forms.manageCollection.elements.collectionCheckbox.length) {
                document.forms.manageCollection.elements.collectionCheckbox[i].checked = false;
                i++;
            }
            var uuids = getUuids();
            var datas = {
                'action':'getCollection',
                'docspaceIdentifier':'${docspaceNode.identifier}',
                'uuids':uuids
            };
            $.post('<c:url value="${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}.manageCollection.do"/>', datas,
                    function (result) {
                        i = 0;
                        el = document.forms.manageCollection.elements.collectionCheckbox;
                        while (i < el.length) {
                            if (result[el[i].value] != null) {
                                el[i].checked = true;
                            }
                            i++;
                        }

                    }, 'json')

        }
    });

    $("a.tagItems").fancybox({
        'afterClose': function() {
            parent.location.reload(true);
        }
    });
    $('.fileCheckbox').change(function () {
        var checkedLength = $("input:checkbox[class=fileCheckbox]:checked").length;
        var length = $(".fileCheckbox").length;
        if(checkedLength == length){
            $('.allFileCheckbox').prop("checked", true);
        }else {
            $('.allFileCheckbox').prop("checked", false);
        }
        fileCheckBoxChecked();
    });
    $('.allFileCheckbox').click(function() {
        var state = this.checked;
        var fileCheckboxes = $('.fileCheckbox');
        $.each(fileCheckboxes, function(idx, val,f) {
            this.checked = state;
            if(idx == fileCheckboxes.length - 1)
                fileCheckBoxChecked();
        });
    });
    $('.itemOp,.singleItemOp,.restrictedItemOp,.restrictedSingleItemOp,.nonfolderItemOp,.nonfolderSingleItemOp,.restrictedFolderItemOp,.noSingleItemOp,.lockedItemOp').hide();
    $.post("<c:url value='${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}.checkclipboard.do'/>", {},
            function (data) {
                if (data != null && data.size > 0) {
                    $("a#pasteFile").parent("li").show();
                }
            }, "json");

    function getText(node) {
        return node["nodename"];
    }

    function format(result) {
        return getText(result["node"]);
    }

    $(".newTagInput").autocomplete("<c:url value='${url.find}'/>", {
        dataType: "json",
        cacheLength: 1,
        parse: function parse(data) {
            return $.map(data, function(row) {
                return {
                    data: row,
                    value: getText(row["node"]),
                    result: getText(row["node"])
                }
            });
        },
        formatItem: function(item) {
            return format(item);
        },
        extraParams: {
            query : "select * from [jnt:tag] as tags where isdescendantnode(tags,'${functions:sqlencode(renderContext.site.path)}/tags') and localname(tags) like '%{$q}%'",
            escapeColon : "false",
            propertyMatchRegexp : "{$q}.*",
            removeDuplicatePropValues : "false"
        }
    });

    $("#printNote").click(function(){
        $(this).target = "_blank";
        window.open($(this).prop('href'));
        return false;
    });
    
    $("form.single-submit-form").submit(function (evt) {
    	if (!evt.isDefaultPrevented()) {
        	$(":submit", this).css("display", "none").after("<span><img src='" + "<c:url value='/modules/assets/css/images/indicator.gif'/>" + "' /></span>");
    	}
    });
    $("#deleteSelectedItemsForm").submit(function () {
    	deleteSelectedItems();
    	return false;
    });

    $("#pasteSelectedItemsForm").submit(function () {
        pasteSelectedItems();
        return false;
    });

    $(".unlockItems").click(function () {
        var uuids = getUuids();
        var data = {
            'uuids':uuids
        };
        $.post("<c:url value='${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}.release.do'/>", data, function() {
            location.reload();
        }, "json");
        return false;
    });
});

function fileCheckBoxChecked() {
    var n = $(".fileCheckbox:checked").length;
    if (n == 0) {
        $('.itemOp,.singleItemOp,.restrictedItemOp,.restrictedSingleItemOp,.nonfolderItemOp,.nonfolderSingleItemOp,.noSingleItemOp,.lockedItemOp,.restrictedFolderItemOp').hide('slow');
    } else {
        var restricted = false;
        var allFiles = true;
        var allLocked = true;
        $(".fileCheckbox:checked").each(function (index) {
            restricted = restricted || $(this).attr("class").indexOf("restricted") != -1;
            allFiles = allFiles && $(this).attr("class").indexOf("folder") == -1;
            allLocked = allLocked && $(this).attr("class").indexOf("locked") != -1;
        });

        $('.itemOp' +
                (n > 1 ? ',.noSingleItemOp' : '') +
                (n == 1 ? ',.singleItemOp' : '') +
                (!restricted ? ',.restrictedItemOp' : '') +
                (!restricted && n == 1 ? ',.restrictedSingleItemOp' : '') +
                (allFiles ? ',.nonfolderItemOp' : '') +
                (allFiles && n == 1 ? ',.nonfolderSingleItemOp' : '') +
                (!(!allFiles && restricted) ? ',.restrictedFolderItemOp' : '') +
                (allLocked ? ',.lockedItemOp' : '')
        ).show('slow').css("display","inline");

        var hideList = '' +
                (n <= 1 ? ',.noSingleItemOp' : '') +
                (n > 1 ? ',.singleItemOp,.restrictedSingleItemOp,.nonfolderSingleItemOp' : '') +
                (restricted ? ',.restrictedItemOp' : '') +
                (!allFiles ? ',.nonfolderItemOp' : '') +
                (!allFiles && restricted ? ',.restrictedFolderItemOp' : '') +
                (!allLocked ? ',.lockedItemOp' : '');

        if (hideList.length > 0) {
            $(hideList.substring(1)).hide('slow');
        }
    }
}

function createCol(str) {
    var uuids = getUuids();
    var data = {
        'jcr:title':str,
        'docspaceIdentifier':'${docspaceNode.identifier}',
        'action':'addCollection',
        'uuids':uuids
    };
    $.post('<c:url value="${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}.manageCollection.do"/>', data,
            function (result) {
                $.fancybox.close();
                var redirectUrl = '<c:url value="${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}.${renderContext.mainResource.template}.html"/>';
                if (result.collection != undefined) {
                    redirectUrl += "?collection=" + encodeURIComponent(decodeURIComponent(result.collection));
                }
                location.replace(redirectUrl);
            }, "json");
}
<c:if test="${!jcr:isNodeType(renderContext.mainResource.node, 'docnt:note')}">
    <fmt:message key="label.dropHere.ie" var="i18nDropHereIE"/>
    $(document).ready(function() {
        if (jQuery.browser.msie) {
            $("#drop-box-file-upload-${currentNode.identifier}").empty().append("${functions:escapeJavaScript(i18nDropHereIE)}");
        }
     });

    $(function () {
    $('#file_upload${currentNode.identifier}').fileUploadUI({
        namespace:'file_upload_${currentNode.identifier}',
        onComplete:function (event, files, index, xhr, handler) {
        	if ($('tr', handler.uploadTable).size() == 0) {
            	$('#fancybox-close').show();
                if (xhr.response != null && $.parseJSON(xhr.response).error != null) {
                    alert($.parseJSON(xhr.response).error);
                }
                location.reload(true);
        	}
        },
        uploadTable:$('#files${currentNode.identifier}'),
        dropZone:$('#file_upload_container'),
        beforeSend:function (event, files, index, xhr, handler, callBack) {
        	$('#fancybox-close').hide();
			$("#file_upload_container").css("display", "none");
            handler.formData = {
                <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'jnt:file')}">
                'newVersion':"true",
                </c:if>
                'jcrNodeType':"jnt:file",
                'jcrReturnContentType':"json",
                'jcrVersion':"true",
                'jcrReturnContentTypeOverride':$.browser.msie ? 'text/plain; charset=UTF-8' : 'application/json; charset=UTF-8',
                'jcrRedirectTo':"<c:url value='${url.base}${renderContext.mainResource.node.path}'/>",
                'jcrNewNodeOutputFormat':"${renderContext.mainResource.template}.html"
            };
            callBack();
        },
        buildUploadRow:function (files, index) {
            return $('<tr><td>' + files[index].name + '<\/td>' + '<td class="file_upload_progress"><div><\/div><\/td>' +
                    '<td class="file_upload_cancel">' +
                    '<button class="ui-state-default ui-corner-all" title="' + '<fmt:message key="label.cancel" />' + '">' +
                    '<span class="ui-icon ui-icon-cancel">' + '<fmt:message key="label.cancel" />' + '<\/span>' + '<\/button><\/td><\/tr>');
        }
    });
});
</c:if>
function addToCol(uuidsCollectionToAdd, uuidsCollectionToRemove) {
    var uuids = getUuids();
    var datas = {
        'uuids':uuids,
        'uuidsAddCollections':uuidsCollectionToAdd,
        'uuidsRemoveCollections':uuidsCollectionToRemove,
        'action':'editCollection'
    };
    $.post('<c:url value="${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}.manageCollection.do"/>', datas,
            function (result) {
                $.fancybox.close();
                location.reload(true);
            })
}

function getColToEdit(bool) {
    Array.prototype.isArray = true;
    var i = 0;
    var res = new Array();
    if (!document.forms.manageCollection.collectionCheckbox.isArray &&
            document.forms.manageCollection.collectionCheckbox.checked == bool) {
        res.push(document.forms.manageCollection.collectionCheckbox.value);
    } else {
        while (i < document.forms.manageCollection.collectionCheckbox.length) {
            if (document.forms.manageCollection.collectionCheckbox[i].checked == bool) {
                res.push(document.forms.manageCollection.collectionCheckbox[i].value);
            }
            i++;
        }
    }
    return res;
}

function deleteSelectedItems() {
    var uuids = getUuids();
    var datas = {
        'uuids':uuids
    };
    $.post('<c:url value="${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}.deleteNodes.do"/>', datas,
            function (result) {
                $.fancybox.close();
                location.reload(true);
            })
}

function tagSelectedItems($form, separator) {
    var uuids = getUuids();
    var $newTagInput = $form.find('input[name="newTag"]');
    var newTag = $newTagInput.val();
    var datas = {
        'uuids':uuids,
        'newTag':newTag
    };
    var regExp = /\s/g;
    var tagContainer = $("#newTagContainer");
    $.post('<c:url value="${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}.tagNodes.do"/>', datas, function (result) {
        var tagToAdds = newTag.split(',');
        for (i = 0; i < tagToAdds.length; i++) {
            var theTag = tagToAdds[i] != null ? $.trim(tagToAdds[i]) : null;
            if(theTag != null && theTag.length > 0){
                var divId = 'tag-' + theTag.replace(regExp, "-");
                if (document.getElementById(divId) == null) {
                    var tagDiv = $('<div></div>').attr('id', divId).attr('style', 'display:inline');
                    var tagDisplay = $('<span class="taggeditem">' + theTag + '</span>');
                    if (separator.length > 0 && tagContainer.is(':parent')) {
                        tagDiv.append(separator);
                    }
                    tagDiv.append(tagDisplay);
                    tagContainer.append(tagDiv);
                }
            }
        }
        $newTagInput.val('');
    });
}

function cutSelectedItems() {
    var uuids = getUuids();
    var datas = {
        'uuids':uuids
    };
    $.post('<c:url value="${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}.cut.do"/>', datas, function (result) {
        $.fancybox.close();
        location.reload(true);
    })
}

function copySelectedItems() {
    var uuids = getUuids();
    var datas = {
        'uuids':uuids
    };
    $.post('<c:url value="${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}.copy.do"/>', datas, function (result) {
        $.fancybox.close();
        location.reload(true);
    })
}

function pasteSelectedItems() {
    $("#pasteSelectedItems .button").attr("disabled","disabled");
    var datas = {};
    $.post('<c:url value="${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}.paste.do"/>', datas, function (result) {
        $.fancybox.close();
        location.reload(true);
    })
}


<c:if test="${jcr:hasPermission(renderContext.mainResource.node.parent, 'jcr:addChildNodes_default')}">
function convertSelectedNote() {
    var uuids = getUuids();
    var datas = {
        'uuids':uuids,
        'targetTypes':$('#convertSelectedNoteForm, input:radio[name=noteFormat]:checked').val(),
        'keepNote':$('#convertSelectedNoteForm, input:radio[name=keepNote]:checked').val()
    };
    $.post('<c:url value="${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}.convertNote.do"/>', datas,
            function (result) {
                $.fancybox.close();
                <fmt:message key="docspace.label.convert.note.success" var="successmessage"/>
                <fmt:message key="docspace.label.convert.note.download" var="downloadlink"/>
                <%--TODO check actually unique --%>
                $("<a href='"+result['fileURL']+ "' title='${successmessage}' target='new'>${downloadlink}</a>").dialog({
                    height:100,
                    modal:true,
                    zindex:9999,
                    close :function() {
                        location.reload(true);
                    }
                });
            },"json")
}
</c:if>

function createFolderAction(str) {
    var data = {
        'jcrNodeName':str,
        'jcrNodeType':'jnt:folder',
        'jcr:mixinTypes':'docmix:docspaceFolder'
    };
    $.post('<c:url value="${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}"/>/*', data, function (result) {
        $.fancybox.close();
        location.replace("<c:url value='${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}'/>/" + encodeURIComponent(result.j_nodename) +
                ".${renderContext.mainResource.template}.html");
    }, "json");
    return false;
}

function renameItemAction(str) {
    var uuids = getUuids();
    var data = {
        'newName':str,
        'uuid':uuids[0]
    };
    $.post('<c:url value="${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}"/>.renameItem.do', data,
            function (result) {
                $.fancybox.close();
                location.reload();
            }, "json");
    return false;
}

var answerCount = 1;

function removeAnswer(target) {
    $("#" + target).remove();
}
function addAnswer() {
    dup = $("#pollAnswerForm1").clone();
    answerCount++;
    dup.attr("id", "pollAnswerForm" + answerCount);
    dup.appendTo("#answers");
    $("#pollAnswerForm" + answerCount + " label").attr("for", "pollAnswer" + answerCount);
    $("#pollAnswerForm" + answerCount + " input").attr("id", "pollAnswer" + answerCount);
    $("#pollAnswerForm" + answerCount + " input").val("");
    $("<a id=\"jahia_actions_remove_" + answerCount + "\" title =\"<fmt:message key='docspace.label.poll.removeAnswer'/>\" class=\"removeAnswer\" href=\"#\" onclick=\"removeAnswer('pollAnswerForm" +
            answerCount +
            "')\"><span><fmt:message key="docspace.label.poll.removeAnswer"/></span></a>").appendTo("#pollAnswerForm" +
            answerCount);
    dup.find("input").focus()
}

function validateAnswers($pollForm) {
    var answers = [];
    var valid = true;
    $pollForm.find('input[name="pollAnswer"]').each(function() {
        var answer = $(this).val();
        if (answer == "") {
        	<fmt:message key="docspace.label.poll.answer.empty" var="i18nEmptyAnswer"/><c:set var="i18nEmptyAnswer" value="${functions:escapeJavaScript(i18nEmptyAnswer)}"/>
            alert('${i18nEmptyAnswer}');
            valid = false;
            return false;
        }
        if ($.inArray(answer, answers) > -1) {
        	<fmt:message key="docspace.label.poll.answer.nonunique" var="i18nNonuniqueAnswer"/><c:set var="i18nNonuniqueAnswer" value="${functions:escapeJavaScript(i18nNonuniqueAnswer)}"/>
            alert('${i18nNonuniqueAnswer}');
            valid = false;
            return false;
        } else {
            answers.push(answer);
        }
    });
    return valid;
}

function lockDocument() {
    $.post("<c:url value='${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}.chain.do'/>", {type:"docspace",chainOfAction:"lock,addActivity",activityType:"docspace-lockeddoc"}, function() {
        location.reload();
    });
}

function requestDocumentRelease() {
    $.post("<c:url value='${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}.requestRelease.do'/>", function() {
        location.reload();
    });
}

function releaseDocument() {
    $.post("<c:url value='${url.base}${functions:escapeJavaScript(functions:escapePath(renderContext.mainResource.node.path))}.release.do'/>", function() {
        location.reload();
    });
}
</script>
</template:addResources>

<c:if test="${!jcr:isNodeType(renderContext.mainResource.node, 'docnt:note')}">
    <div style="display:none">
        <div id="uploadFileForm" class="popupSize">
            <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'jnt:folder')}">
                <h3><fmt:message key="label.upload.a.file"/></h3>
            </c:if>
            <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'jnt:file')}">
                <h3><fmt:message key="docspace.label.upload.version"/></h3>
            </c:if>
            <form class="file_upload" id="file_upload${currentNode.identifier}"
                  action="<c:url value='${url.base}${functions:escapePath(renderContext.mainResource.node.path)}.uploadFile.do'/>" method="POST"
                  enctype="multipart/form-data"
                  accept="application/json">
                <div id="file_upload_container">
                    <input type="file" name="file" multiple>
                    <button><fmt:message key="label.upload"/></button>
                    <div id="drop-box-file-upload-${currentNode.identifier}"><fmt:message key="label.dropHere"/></div>
                </div>
            </form>
            <table id="files${currentNode.identifier}" class="table"></table>
        </div>
    </div>
</c:if>
<div style="display:none">
    <div id="createCollectionForm" class="popupSize">
        <h3><fmt:message key="label.create.collection"/></h3>

        <form name="createCollection" class="single-submit-form" onsubmit="createCol(this.elements['collection'].value); return false;">
            <label><fmt:message key="label.create.collection" /></label>
            <input type="text" value="" name="collection"/>
            <input class="button" type="submit" value="${label_create_collection}"/>
        </form>
    </div>
</div>
<c:if test="${jcr:hasPermission(renderContext.mainResource.node, 'docspace-collections-add')}">
    <c:if test="${not empty docspaceNode}">
        <c:set var="userCollectionsVar" value="${currentUser.userKey}-collections"/>
        <c:choose>
            <c:when test='${queryMap[userCollectionsVar] eq null}'>
                <query:definition var="listQuery"
                                  statement="select * from [docnt:collection] where ischildnode('${functions:sqlencode(currentUser.localPath)}/collections') order by [jcr:title] asc"/>
                <jcr:jqom qomBeanName="listQuery" var="result"/>
                <c:if test='${queryMap == null}'>
                    <jsp:useBean id="queryMap" class="java.util.HashMap" scope="request"/>
                </c:if>
                <c:set target="${queryMap}" property="${userCollectionsVar}" value="${result}"/>
            </c:when>
            <c:otherwise>
                <c:set var="result" value="${queryMap[userCollectionsVar]}"/>
            </c:otherwise>
        </c:choose>
    </c:if>
    <div style="display:none">
        <div id="manageCollectionForm" class="popupSize">
            <h3><fmt:message key="label.add.to.a.collection"/></h3>
            <c:if test="${not empty docspaceNode}">
                <form name="manageCollection" class="single-submit-form" onsubmit="addToCol(getColToEdit(true),getColToEdit(false)); return false;">
                    <ul class="managecollection">
                        <c:forEach items="${result.nodes}" var="node">
                            <c:set var="hasCollection" value="true"/>
                            <li><input id="manageCollection-${node.identifier}" type="checkbox" name="collectionCheckbox" value="${node.identifier}"/>&nbsp;<label for="manageCollection-${node.identifier}">${fn:escapeXml(node.displayableName)}</label></li>
                        </c:forEach>
                    </ul>
                    <input class="button" type="submit" value="${label_ok}"/>
                </form>
            </c:if>
        </div>
    </div>
</c:if>
<div style="display:none;">
    <div id="deleteSelectedItems" class="popupSize">
        <form name="deleteSelectedItemsForm" id="deleteSelectedItemsForm" class="single-submit-form">
            <h3>
                <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'jnt:folder')}">
                    <fmt:message key="docspace.label.delete.multiple.files"/>
                </c:if>
                <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'docnt:notesContainer')}">
                    <fmt:message key="docspace.label.delete.multiple.notes"/>
                </c:if>
                <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'docnt:pollsContainer')}">
                    <fmt:message key="docspace.label.delete.multiple.polls"/>
                </c:if>
            </h3>
            <input class="button" type="submit" value="${label_yes}"/>
            <input class="button" type="button" value="${label_no}" onclick="$.fancybox.close();"/>
        </form>
    </div>
</div>

<div style="display:none;">
    <div id="copySelectedItems" class="popupSize">
        <form name="copySelectedItemsForm" class="single-submit-form" onsubmit="copySelectedItems(); return false;">
            <h3>
                <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'jnt:folder')}">
                    <fmt:message key="docspace.label.copy.multiple.files"/>
                </c:if>
            </h3>
            <input class="button" type="submit" value="${label_yes}"/>
            <input class="button" type="button" value="${label_no}" onclick="$.fancybox.close();"/>
        </form>
    </div>
</div>

<div style="display:none;">
    <div id="cutSelectedItems" class="popupSize">
        <form name="cutSelectedItemsForm" class="single-submit-form" onsubmit="cutSelectedItems(); return false;">
            <h3>
                <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'jnt:folder')}">
                    <fmt:message key="docspace.label.cut.multiple.files"/>
                </c:if>
            </h3>
            <input class="button" type="submit" value="${label_yes}"/>
            <input class="button" type="button" value="${label_no}" onclick="$.fancybox.close();"/>
        </form>
    </div>
</div>

<div style="display:none;">
    <div id="pasteSelectedItems" class="popupSize">
        <form name="pasteSelectedItemsForm" class="single-submit-form" id="pasteSelectedItemsForm">
            <h3>
                <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'jnt:folder')}">
                    <fmt:message key="docspace.label.paste.multiple.files"/>
                </c:if>
            </h3>
            <input class="button" type="submit" value="${label_yes}"/>
            <input class="button" type="button" value="${label_no}" onclick="$.fancybox.close();"/>
        </form>
    </div>
</div>

<c:if test="${jcr:hasPermission(renderContext.mainResource.node, 'docspace-poll-add')}">
    <div style="display:none">
        <div id="createPollPopup" class="popupSize">
            <h3><fmt:message key="docspace.label.poll.create"/></h3>

            <template:tokenizedForm>
                <form id="createPollForm" class="Form formCreatePoll single-submit-form"
                      action="<c:url value='${url.base}${functions:escapePath(renderContext.mainResource.node.path)}.createPoll.do'/>" method="POST" onsubmit="return validateAnswers($(this));">
                    <input type="hidden" name="jcrRedirectTo"
                           value="<c:url value='${url.base}${functions:escapePath(renderContext.mainResource.node.path)}'/>"/>
                    <input type="hidden" name="jcrNewNodeOutputFormat" value="workspace-polls.html"/>

                    <fieldset id="createFormFieldSet">
                        <legend><fmt:message key="docspace.label.settings.main"/></legend>
                        <p id="pollQuestionForm">
                            <label for="pollQuestion"><fmt:message key="docspace.label.poll.question"/></label>
                            <input class="field" id="pollQuestion" name="pollQuestion"/>
                        </p>

                        <p id="pollEndForm">
                            <label for="pollEnd"><fmt:message key="docspace.label.poll.end"/></label>
                            <input id="pollEnd" name="pollEnd" readonly="readonly"/>
                            <ui:dateSelector fieldId="pollEnd">
                                {dateFormat: $.datepicker.ISO_8601, showButtonPanel: true, showOn: 'both', minDate:+1}
                            </ui:dateSelector>
                        </p>

                        <div id="answers">
                            <p id="pollAnswerForm1" class="pollAnswerForm">
                                <label for="pollAnswer1"><fmt:message key="docspace.label.poll.answer"/></label>
                                <input class="field2" id="pollAnswer1" name="pollAnswer"/>
                            </p>
                        </div>
                        <p><a class="addAnswer" href="#" onclick="addAnswer()"><fmt:message
                                key="docspace.label.poll.addAnswer"/></a></p>
                    </fieldset>
                </form>
            </template:tokenizedForm>
        </div>
        <div id="createPollFormSubmit">
            <input type="button" class="button" value="${label_ok}" onclick="$('#createPollForm').submit()" />
        </div>
    </div>
</c:if>

<c:if test="${jcr:hasPermission(renderContext.mainResource.node, 'docspace-createFolder')}">
    <div style="display:none">
        <div id="createFolderForm" class="popupSize">
            <h3><fmt:message key="label.create.folder"/></h3>

            <form name="createFolder" class="single-submit-form" onsubmit="createFolderAction($('#jahia_actions_foldernameField').val()); return false;">
                <label><fmt:message key="label.create.folder"/></label>
                <input id="jahia_actions_foldernameField" type="text" value="" name="foldername"/>
                <fmt:message key="label.create.folder" var="label_create_folder"/>
                <input class="button" type="submit" value="${label_create_folder}"/>
            </form>
        </div>
    </div>
</c:if>

<div style="display:none">
    <div id="renameSelectedItem" class="popupSize">
        <h3><fmt:message key="label.rename"/></h3>

        <form name="renameFolder" class="single-submit-form" onsubmit="renameItemAction($('#jahia_actions_newNameField').val()); return false;">
            <label><fmt:message key="label.rename"/></label>
            <input id="jahia_actions_newNameField" type="text" value="" name="newName"/>
            <fmt:message key="label.rename" var="label_rename_item"/>
            <input class="button" type="submit" value="${label_rename_item}"/>
        </form>
    </div>
</div>

<div style="display:none;">
    <div id="tagSelectedItems" class="popupSize">
        <form name="tagSelectedItemsForm" onsubmit="tagSelectedItems($(this), '${separator}'); return false;">
            <label><fmt:message key="label.add.tags"/></label>
            <input type="text" name="newTag" class="newTagInput" value=""/>
            <input type="submit" title="<fmt:message key='add'/>" value="<fmt:message key='add'/>" class="button" />
        </form>
        <div id="newTagContainer"></div>
    </div>
</div>

<ul class="docspace-actions">

    <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'jnt:folder')}">
        <c:if test="${jcr:hasPermission(renderContext.mainResource.node, 'jcr:addChildNodes_default')}">
            <li><a class="folderOp fancyboxlink" id="uploadFile" href="#uploadFileForm"><fmt:message
                    key="label.upload.a.file"/></a></li>
            <c:if test="${jcr:hasPermission(renderContext.mainResource.node, 'docspace-createFolder')}">
                <li><a class="folderOp fancyboxlink" id="createFolder" href="#createFolderForm"><fmt:message
                        key="label.create.folder"/></a></li>
            </c:if>
        </c:if>

        <li><a class="restrictedItemOp fancyboxlink" id="deleteFile" href="#deleteSelectedItems"><fmt:message
                key="label.delete"/></a></li>

        <li><a class="restrictedItemOp fancyboxlink" id="cutFile" href="#cutSelectedItems"><fmt:message
                key="label.cut"/></a></li>

        <li><a class="restrictedFolderItemOp fancyboxlink" id="copyFile" href="#copySelectedItems"><fmt:message
                key="label.copy"/></a></li>

        <li style="display: none;"><a class="fancyboxlink" id="pasteFile" href="#pasteSelectedItems"><fmt:message
                key="label.paste"/></a></li>

        <li><a class="restrictedSingleItemOp fancyboxlink" id="renameFile" href="#renameSelectedItem"><fmt:message
                key="label.rename"/></a></li>

        <li><a class="restrictedSingleItemOp fancyboxlink" id="changePermissions"><fmt:message
                key="label.engineTab.permissions"/></a></li>

        <template:addResources type="inline">
            <link rel="alternate" type="application/rss+xml" title="<fmt:message
                key="label.rss.feed"/> - ${!empty docspaceNode.properties["jcr:title"] ? docspaceNode.properties["jcr:title"].string : docspaceNode.name}" href="<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}.rss'/>"/>
        </template:addResources>

        <li><a class="folderOp" href="<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}.rss'/>"><fmt:message
                key="label.rss.feed"/></a></li>
        <c:if test="${jcr:hasPermission(renderContext.mainResource.node, 'docspace-manageCategory')}">
            <li><a class="nonfolderItemOp fancyboxlink tagItems" id="tagFile" href="#tagSelectedItems"><fmt:message
                    key="docspace.label.tag.selected"/></a></li>
        </c:if>

        <c:if test="${currentUser.root or jcr:hasPermission(renderContext.mainResource.node, 'docspace-force-unlock')}">
            <li><a class="lockedItemOp fancyboxlink unlockItems" href="#unlockSelectedItems"><fmt:message
                    key="label.unlock"/></a></li>
        </c:if>
    </c:if>

    <c:forEach items="${renderContext.mainResource.node.lockInfos}" var="entry">
        <c:forEach items="${entry.value}" var="lock">
            <c:if test="${fn:substringAfter(lock,':') eq 'docspace'}">
                <c:set value="${fn:substringBefore(lock,':')}" var="lockOwner"/>
                <c:if test="${renderContext.user.name eq lockOwner}">
                    <c:set var="isCurrentUserLockOwner" value="true"/>
                </c:if>
            </c:if>
            <c:if test="${fn:substringAfter(lock,':') ne 'docspace'}">
                <c:set value="true" var="externalLock"/>
            </c:if>
        </c:forEach>
    </c:forEach>

    <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'jnt:file')}">
        <c:set var="backToLibUrl" value="${url.base}${functions:escapePath(jcr:getParentOfType(renderContext.mainResource.node,'docmix:docspaceObject').path)}.workspace-library.html"/>
        <li><a href="<c:url value='${backToLibUrl}'/>" class="returnLink"><span><fmt:message key="docspace.label.back.to.library" /></span></a></li>

        <li><a id="download" href="${renderContext.mainResource.node.url}"><fmt:message key="docspace.label.document.download"/></a></li>
        <c:forEach items="${renderContext.mainResource.node.linearVersionInfos}" var="v">
            <c:if test="${fn:startsWith(v.label, 'default_validated')}">
                <c:set value="${v.label}"  var="latestValidated"/>
            </c:if>
        </c:forEach>
        <c:if test="${not empty latestValidated}">
            <li><a id="downloadLatestValidated" href="${renderContext.mainResource.node.url}?l=${latestValidated}"><fmt:message key="docspace.label.document.lastvalidated.download"/></a></li>
        </c:if>
        <c:if test="${not empty lockOwner and (isCurrentUserLockOwner eq 'true' or currentUser.root) and jcr:hasPermission(renderContext.mainResource.node, 'jcr:modifyProperties_default') and jcr:hasPermission(renderContext.mainResource.node, 'docspace-document-release')}">
            <li><a id="release" href="#" onclick="releaseDocument(); return false"><fmt:message key="docspace.label.document.release"/></a></li>
        </c:if>
        <c:if test="${not empty lockOwner and empty isCurrentUserLockOwner and not isReleaseRequestSent}">
            <li><a id="requestRelease" href="#" onclick="requestDocumentRelease(); return false"><fmt:message key="docspace.label.document.release.request"/></a></li>
        </c:if>

        <li class="workflowExecuteLink"><a id="viewWorkflowStatus" href="#" onclick="viewWorkflowStatus()"><fmt:message key="label.workflow.viewWorkflowStatus"/></a></li>

        <c:if test="${not externalLock and (empty lockOwner or isCurrentUserLockOwner)}">
            <li class="workflowStartLink" style="display:none"><a id="startWorkflow" href="#" onclick="startCurrentWorkflow()"><fmt:message key="label.workflow.startWorkflow"/></a></li>
        </c:if>
        <c:if test="${jcr:hasPermission(renderContext.mainResource.node, 'jcr:modifyProperties_default')}">
            <c:if test="${not externalLock and (empty lockOwner or isCurrentUserLockOwner)}">
                <li><a id="uploadVersion" class="fancyboxlink" href="#uploadFileForm" onclick=""><fmt:message key="docspace.label.upload.version"/></a></li>
            </c:if>
            <c:if test="${not externalLock and empty lockOwner and jcr:hasPermission(renderContext.mainResource.node, 'docspace-document-lock')}">
                <li><a id="lock" href="#" onclick="lockDocument(); return false"><fmt:message key="docspace.label.document.lock"/></a></li>
            </c:if>
        </c:if>
        <c:if test="${not empty lockOwner and empty isCurrentUserLockOwner}">
            <jcr:jqom var="result" statement="select * from [jnt:task] where ischildnode('${functions:sqlencode(renderContext.mainResource.node.path)}/tasks') and [type] = 'releaseRequest' and [jcr:createdBy] = '${currentUser.name}'"/>
            <c:set var="isReleaseRequestSent" value="${result.nodes.size > 0}" />
            <li><fmt:message key="docspace.label.document.locked.by"><fmt:param value="${lockOwner}"/></fmt:message><c:if test="${result.nodes.size > 0}"> <fmt:message key="docspace.label.document.release.request.sent"/></c:if></li>
        </c:if>
        <c:if test="${isCurrentUserLockOwner eq 'true'}">
            <jcr:jqom var="result" statement="select * from [jnt:task] where ischildnode('${functions:sqlencode(renderContext.mainResource.node.path)}/tasks') and [type] = 'releaseRequest'"/>
            <li><fmt:message key="docspace.label.document.locked.by.you"/><c:if test="${result.nodes.size > 0}"> <fmt:message key="docspace.label.document.release.requested"/></c:if></li>
        </c:if>
    </c:if>

    <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'docnt:notesContainer') and (renderContext.mainResource.template eq 'default' or renderContext.mainResource.template eq 'workspace-notes')}">
        <c:if test="${jcr:hasPermission(renderContext.mainResource.node, 'docspace-note-add')}">
            <li><a class="notesContainerOp fancyboxlink" id="createNote" href="<c:url value='${url.base}${functions:escapePath(renderContext.mainResource.node.path)}.workspace-note-creation.html'/>"><fmt:message
                    key="label.create.a.note"/></a></li>
        </c:if>

        <li><a class="restrictedItemOp fancyboxlink" id="deleteNote" href="#deleteSelectedItems"><fmt:message
                key="label.delete"/></a></li>

        <%--<c:if test="${jcr:hasPermission(renderContext.mainResource.node.parent, 'jcr:addChildNodes_default')}">
            <li><a class="restrictedItemOp fancyboxlink" id="convertNote" href="#convertSelectedNote"><fmt:message
                    key="label.convert"/></a></li>
        </c:if>--%>
        <c:if test="${jcr:hasPermission(renderContext.mainResource.node, 'docspace-manageCategory')}">
            <li><a class="nonfolderItemOp fancyboxlink tagItems" id="tagNote" href="#tagSelectedItems"><fmt:message
                    key="docspace.label.tag.selected"/></a></li>
        </c:if>

        <c:if test="${currentUser.root or jcr:hasPermission(renderContext.mainResource.node, 'docspace-force-unlock')}">
            <li><a class="lockedItemOp fancyboxlink unlockItems" href="#unlockSelectedItems"><fmt:message
                    key="label.unlock"/></a></li>
        </c:if>
    </c:if>

    <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'docnt:notesContainer') and renderContext.mainResource.template eq 'workspace-note-creation'}">
        <li><a href="<c:url value='${url.base}${functions:escapePath(renderContext.mainResource.node.path)}.workspace-notes.html'/>" class="returnLink"><span><fmt:message key="docspace.label.back.to.notes" /></span></a></li>
    </c:if>

    <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'docnt:note')}">
        <c:set var="backToNotesUrl" value="${url.base}${functions:escapePath(jcr:getParentOfType(renderContext.mainResource.node,'docnt:notesContainer').path)}.workspace-notes.html"/>
        <li><a href="<c:url value='${backToNotesUrl}'/>" class="returnLink"><span><fmt:message key="docspace.label.back.to.notes" /></span></a></li>

        <c:if test="${(renderContext.mainResource.template eq 'default' or renderContext.mainResource.template eq 'workspace-note-details') and (empty lockOwner or isCurrentUserLockOwner) and jcr:hasPermission(renderContext.mainResource.node, 'jcr:write_default')}">
            <c:set var="editNoteUrl" value="${url.base}${functions:escapePath(renderContext.mainResource.node.path)}.workspace-note-edition.html"/>
            <li><a href="<c:url value='${editNoteUrl}'/>"><span><fmt:message key="docspace.label.note.edit" /></span></a></li>
        </c:if>
        <c:set var="printNoteUrl" value="${url.base}${functions:escapePath(renderContext.mainResource.node.path)}.workspace-note-print.html"/>
        <li><a href="<c:url value='${printNoteUrl}'/>" id="printNote"><span><fmt:message key="docspace.label.note.print"/></span></a></li>
    </c:if>

    <c:if test="${jcr:hasPermission(renderContext.mainResource.node, 'docspace-collections-add')}">
        <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'jnt:folder') or jcr:isNodeType(renderContext.mainResource.node, 'docnt:notesContainer')}">
            <li><a class="nonfolderItemOp fancyboxlink" id="createCollection" href="#createCollectionForm"><fmt:message
                    key="label.create.collection"/></a></li>

            <c:if test="${not empty hasCollection}">
                <li><a class="nonfolderItemOp fancyboxlink" id="manageCollection" href="#manageCollectionForm"><fmt:message
                        key="label.add.to.a.collection"/></a></li>
            </c:if>
        </c:if>
    </c:if>

    <c:if test="${jcr:isNodeType(renderContext.mainResource.node, 'docnt:pollsContainer')}">
        <c:if test="${jcr:hasPermission(renderContext.mainResource.node, 'docspace-poll-add')}">
            <li><a class="votesContainerOP fancyboxlink" id="createPoll" href="#createPollPopup"><fmt:message
                    key="docspace.label.poll.create"/></a>
            </li>
        </c:if>
        <li><a class="restrictedItemOp fancyboxlink" id="deletePoll" href="#deleteSelectedItems"><fmt:message
                key="label.delete"/></a></li>
    </c:if>

</ul>
