<%@ page import="javax.servlet.jsp.jstl.fmt.LocalizationContext" %>
<%@ page import="org.jahia.services.render.Resource" %>
<%@ page import="org.jahia.utils.i18n.JahiaResourceBundle" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="social" uri="http://www.jahia.org/tags/socialLib" %>
<%@ taglib prefix="user" uri="http://www.jahia.org/tags/user" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>

<jcr:node var="adminSite" path="/sites/wsfaccess"/>
<c:set var="fromUser" value="${jcr:getParentOfType(currentNode,'jnt:user')}"/>
<c:url var="userUrl"
       value='${url.baseLive}${fromUser.path}.workspace-public-user.html?jsite=${adminSite.identifier}'/>
<c:if test="${fromUser.name eq renderContext.user.name}">
    <c:url var="userUrl"
           value='${url.baseLive}${fromUser.path}.workspace-user.html?jsite=${adminSite.identifier}'/>
</c:if>
    <div class="activityContent">
        <div class='image'>
            <div class='itemImageLeft'>
                <jcr:nodeProperty var="picture" node="${fromUser}" name="j:picture"/>
                <c:if test="${not empty picture}">
                    <a href="${userUrl}"><img
                            src="${picture.node.thumbnailUrls['avatar_120']}"
                            alt=" "
                            width="64"
                            height="64"/></a>
                </c:if>
                <c:if test="${empty picture}"><a href="${userUrl}">
                    <img alt=" " src="<c:url value='/modules/social/images/userBig.png'/>" border="0"/></a>
                </c:if>
            </div>
        </div>

        <div class="activityInnerContent">
            <p class='author'><a 
                    href="${userUrl}">${fn:escapeXml(not empty fromUser ? user:userFullName(fromUser) : fields["jcr:createdBy"])}</a>
            </p>

            <c:set var="targetLink" value="${currentNode.properties['j:targetNode'].string}"/>
            <jcr:node var="targetNode" path="${currentNode.properties['j:targetNode'].string}"/>

            <c:if test="${not empty targetNode}">
                <c:url var="targetUrl" value="${url.base}${functions:escapePath(targetNode.path)}.html"/>
                <c:if test="${jcr:isNodeType(targetNode, 'docmix:docspaceFolder')}">
                    <c:url var="targetUrl" value="${url.base}${functions:escapePath(targetNode.path)}.workspace-library.html"/>
                </c:if>
                <c:set var="targetLink">
                    <a href="${targetUrl}">${fn:escapeXml(functions:abbreviate(targetNode.name,30,40,'...'))}</a>
                </c:set>
            </c:if>
            <c:set var="activityType" value="${currentNode.properties['j:activityType'].string}"/>
            <c:choose>
                <c:when test="${activityType eq 'docspace-massimport'}">
                    <fmt:message key="label.activityTypes.docspace-massimport.message">
                        <fmt:param value="${currentNode.properties['nbFilesImported'].long}"/>
                        <fmt:param value="${currentNode.properties['nbFilesSkipped'].long}"/>
                        <fmt:param value="${currentNode.properties['nbFilesRejected'].long}"/>
                    </fmt:message>
                </c:when>
                <c:when test="${activityType eq 'docspace-newfile'}">
                    <c:url var="url" value="${url.base}${targetNode.path}.html"/>
                    <p class="message">
                        <fmt:message key="label.activityTypes.docspace-newfile.message">
                            <fmt:param value="${targetLink}"/>
                        </fmt:message>
                    </p>

                    <c:if test="${not empty targetNode}">
                        <div class='itemImageLeft'>
                            <c:if test="${jcr:isNodeType(targetNode, 'jmix:thumbnail') && (!empty targetNode.thumbnailUrls['thumbnail'])}">
                                <c:url value="${targetNode.thumbnailUrls['thumbnail']}" var="imgUrl" context="/"/>
                                <img src="${imgUrl}" alt="" style="vertical-align:top"/>
                            </c:if>
                        </div>

                        <div style="display: table-cell;">
                            <p class="message2">

                            <p><fmt:message key="label.activityTypes.docspace-newfile.message.type"/>: ${targetNode.fileContent.contentType}</p>

                            <c:if test="${not empty targetNode.fileContent.extractedText}">
                                <p><fmt:message key="label.activityTypes.docspace-newfile.message.abstract"/>: ${fn:escapeXml(functions:abbreviate(targetNode.fileContent.extractedText,200,300,'...'))}</p>
                            </c:if>
                            </p>
                        </div>
                    </c:if>
                </c:when>
                <c:when test="${activityType eq 'docspace-filecontentupdated'}">
                    <p class="message">
                        <fmt:message key="label.activityTypes.docspace-filecontentupdated.message">
                            <fmt:param value="${targetLink}"/>
                        </fmt:message>
                    </p>
                    <c:if test="${not empty targetNode}">
                        <div class='itemImageLeft'>
                            <c:if test="${jcr:isNodeType(targetNode, 'jmix:thumbnail') && (!empty targetNode.thumbnailUrls['thumbnail'])}">
                                <c:url value="${targetNode.thumbnailUrls['thumbnail']}" var="imgUrl" context="/"/>
                                <img src="${imgUrl}" alt="" style="vertical-align:top"/>
                            </c:if>
                        </div>

                        <div style="display: table-cell;">
                            <p class="message2">

                            <p><fmt:message key="label.activityTypes.docspace-newfile.message.type"/>: ${targetNode.fileContent.contentType}</p>

                            <c:if test="${not empty targetNode.fileContent.extractedText}">
                                <p><fmt:message key="label.activityTypes.docspace-newfile.message.abstract"/>: ${fn:escapeXml(functions:abbreviate(targetNode.fileContent.extractedText,200,300,'...'))}</p>
                            </c:if>
                            </p>
                        </div>
                    </c:if>
                </c:when>
                <c:when test="${activityType eq 'docspace-documentdescriptionupdated'}">
                    <p class="message">
                        <fmt:message key="label.activityTypes.docspace-documentdescriptionupdated.message">
                            <fmt:param value="${targetLink}"/>
                        </fmt:message>
                    </p>
                    <c:if test="${not empty targetNode}">
                        <div class='itemImageLeft'>
                            <c:if test="${jcr:isNodeType(targetNode, 'jmix:thumbnail') && (!empty targetNode.thumbnailUrls['thumbnail'])}">
                                <c:url value="${targetNode.thumbnailUrls['thumbnail']}" var="imgUrl" context="/"/>
                                <img src="${imgUrl}" alt="" style="vertical-align:top"/>
                            </c:if>
                        </div>
                    </c:if>

                    <div style="display: table-cell;">
                            ${fn:escapeXml(functions:abbreviate(currentNode.properties['newvalue'].string,30,40,'...'))}
                    </div>
                </c:when>
                <c:when test="${activityType eq 'docspace-documenttitleupdated'}">
                    <p class="message">
                        <fmt:message key="label.activityTypes.docspace-documenttitleupdated.message">
                            <fmt:param value="${targetLink}"/>
                        </fmt:message>
                    </p>
                    <c:if test="${not empty targetNode}">
                        <div class='itemImageLeft'>
                            <c:if test="${jcr:isNodeType(targetNode, 'jmix:thumbnail') && (!empty targetNode.thumbnailUrls['thumbnail'])}">
                                <c:url value="${targetNode.thumbnailUrls['thumbnail']}" var="imgUrl" context="/"/>
                                <img src="${imgUrl}" alt="" style="vertical-align:top"/>
                            </c:if>
                        </div>
                    </c:if>

                    <div style="display: table-cell;">
                            ${fn:escapeXml(functions:abbreviate(currentNode.properties['newvalue'].string,30,40,'...'))}
                    </div>
                </c:when>
                <c:when test="${activityType eq 'docspace-moved'}">
                    <p class="message">
                        <fmt:message key="label.activityTypes.docspace-moved.message">
                            <fmt:param value="${targetLink}"/>
                            <fmt:param value="${currentNode.properties['previousPath'].string}"/>
                        </fmt:message>
                    </p>
                </c:when>
                <c:when test="${activityType eq 'docspace-copied'}">
                    <p class="message">
                        <fmt:message key="label.activityTypes.docspace-copied.message">
                            <fmt:param value="${targetLink}"/>
                            <fmt:param value="${currentNode.properties['previousPath'].string}"/>
                        </fmt:message>
                    </p>
                </c:when>
                <c:when test="${activityType eq 'docspace-tagged'}">
                    <p class="message">
                        <fmt:message key="label.activityTypes.docspace-tagged.message">
                            <fmt:param value="${targetLink}"/>
                            <fmt:param value="${functions:abbreviate(currentNode.properties['newvalue'].string,30,40,'...')}"/>
                        </fmt:message>
                    </p>
                </c:when>
                <c:when test="${activityType eq 'docspace-categorized'}">
                    <p class="message">
                        <c:forEach items="${currentNode.properties['newvalues']}" var="value" varStatus="st">
                            <jcr:node var="cat" path="${value.string}"/>
                            <c:if test="${st.first}"><c:set var="cats" value="${cat.displayableName}"/></c:if>
                            <c:if test="${not st.first}"><c:set var="cats" value="${cats},${cat.displayableName}"/></c:if>
                        </c:forEach>
                        <fmt:message key="label.activityTypes.docspace-categorized.message">
                            <fmt:param value="${targetLink}"/>
                            <fmt:param value="${cats}"/>
                        </fmt:message>
                    </p>
                </c:when>
                <c:when test="${activityType eq 'docspace-noteconversion'}">
                    <p class="message">
                        <fmt:message key="label.activityTypes.docspace-noteconversion.message">
                            <fmt:param value="${targetLink}"/>
                            <fmt:param value="${currentNode.properties['conversionType'].string}"/>
                        </fmt:message>
                    </p>
                </c:when>
                <c:when test="${activityType eq 'docspace-newpoll'}">
                    <p class="message">
                        <fmt:message key="label.activityTypes.docspace-newpoll.message">
                            <fmt:param value="${targetLink}"/>
                        </fmt:message>
                    </p>
                    <c:if test="${not empty targetNode}">
                        <template:module path="${targetNode.path}"/>
                    </c:if>
                </c:when>
                <c:when test="${activityType eq 'docspace-closedpoll'}">
                    <p class="message">
                        <fmt:message key="label.activityTypes.docspace-closedpoll.message">
                            <fmt:param value="${targetLink}"/>
                        </fmt:message>
                    </p>

                    <template:module path="${targetNode.path}"/>
                </c:when>
                <c:when test="${activityType eq 'docspace-newdiscussion'}">
                    <p class="message">
                        <c:url var="topicUrl" value="${url.base}${functions:escapePath(targetNode.parent.path)}.html"/>
                        <c:set var="topicLink">
                            <a href="${topicUrl}">${fn:escapeXml(targetNode.parent.displayableName)}</a>
                        </c:set>

                        <fmt:message key="label.activityTypes.docspace-newdiscussion.message">
                            <fmt:param value="${fn:escapeXml(targetNode.displayableName)}"/>
                            <fmt:param value="${topicLink}"/>
                        </fmt:message>
                    </p>
                </c:when>
                <c:when test="${activityType eq 'docspace-newtopic'}">
                    <p class="message">
                        <c:url var="topicUrl" value="${url.base}${functions:escapePath(targetNode.path)}.html"/>
                        <c:set var="topicLink">
                            <a href="${topicUrl}">${fn:escapeXml(targetNode.displayableName)}</a>
                        </c:set>

                        <fmt:message key="label.activityTypes.docspace-newtopic.message">
                            <fmt:param value="${fn:escapeXml(targetNode.displayableName)}"/>
                            <fmt:param value="${topicLink}"/>
                        </fmt:message>
                    </p>
                </c:when>
                <c:when test="${activityType eq 'docspace-newblogcomment'}">
                    <p class="message">
                        <c:url var="topicUrl" value="${url.base}${functions:escapePath(targetNode.parent.parent.path)}.html"/>
                        <c:set var="topicLink">
                            <a href="${topicUrl}">${fn:escapeXml(targetNode.parent.parent.displayableName)}</a>
                        </c:set>

                        <fmt:message key="label.activityTypes.docspace-newblogcomment.message">
                            <fmt:param value="${fn:escapeXml(targetNode.displayableName)}"/>
                            <fmt:param value="${topicLink}"/>
                        </fmt:message>
                    </p>
                </c:when>
                <c:when test="${activityType eq 'docspace-newmember'}">
                    <p class="message">
                        <c:if test="${fn:startsWith(currentNode.properties['memberKey'].string, 'u:')}">
                            <c:set var="user"
                                   value="${user:lookupUser(fn:substringAfter(currentNode.properties['memberKey'].string, 'u:'))}"/>
                            <jcr:node var="newUserNode" path="${user.localPath}"/>
                            <c:url var="thisUserUrl"
                               value='${url.baseLive}${newUserNode.path}.workspace-public-user.html?jsite=${adminSite.identifier}'/>

                            <c:set var="member"><a href="${thisUserUrl}">${user:displayName(user)}</a></c:set>
                        </c:if>
                        <c:if test="${fn:startsWith(currentNode.properties['memberKey'].string, 'g:')}">
                            <c:set var="group"
                                   value="${user:lookupUser(fn:substringAfter(currentNode.properties['memberKey'].string, 'g:'))}"/>
                            <c:set var="member" value="${group}"/>
                        </c:if>


                        <fmt:message key="label.activityTypes.docspace-newmember.message">
                            <fmt:param value="${targetLink}"/>
                            <fmt:param value="${member}"/>
                            <fmt:param value="${currentNode.properties['role'].string}"/>
                        </fmt:message>
                        <c:if test="${not empty newUserNode}">
                            <template:module path="${newUserNode.path}" view="mini" />
                        </c:if>
                    </p>
                </c:when>
                <c:when test="${activityType eq 'docspace-newtask'}">
                    <p class="message">
                        <c:url var="taskUrl" value="${url.base}${functions:escapePath(targetNode.parent.parent.path)}.html"/>
                        <c:set var="taskLink">
                            <a href="${taskUrl}">${fn:escapeXml(targetNode.parent.parent.displayableName)}</a>
                        </c:set>

                        <fmt:message key="label.activityTypes.docspace-newtask.message">
                            <fmt:param value="${fn:escapeXml(targetNode.displayableName)}"/>
                            <fmt:param value="${taskLink}"/>
                        </fmt:message>
                    </p>
                    <c:if test="${not empty currentNode.properties['newAssignee']}">
                    <c:set var="assignee" value="${user:lookupUser(currentNode.properties['newAssignee'].string)}"/>
					</c:if>
                    <div style="display: table-cell;">
                        <p class="message2">
                            <fmt:message key="label.activityTypes.docspace-newtask.message.status"/>
                            : ${currentNode.properties['newStatus'].string}
                            <c:if test="${not empty assignee}">
                                <c:url var="assigneeURL" value="${url.baseLive}${functions:escapePath(assignee.localPath)}.workspace-public-user.html?jsite=${adminSite.identifier}"/>
                                &nbsp;<fmt:message key="label.activityTypes.docspace-newtask.message.assignee"/>: <a href="${assigneeURL}">${user:fullName(assignee)}</a>
                            </c:if>
                        </p>
                    </div>
                </c:when>
                <c:when test="${activityType eq 'docspace-taskupdated'}">
                    <p class="message">
                        <fmt:message key="label.activityTypes.docspace-taskupdated.message">
                            <fmt:param value="${fn:escapeXml(targetNode.displayableName)}"/>
                        </fmt:message>
                    </p>
                    <c:set var="assignee" value="${user:lookupUser(currentNode.properties['newAssignee'].string)}"/>
                    <div style="display: table-cell;">
                        <p class="message2">
                            <fmt:message key="label.activityTypes.docspace-newtask.message.status"/>
                            : ${currentNode.properties['newStatus'].string}
                            <c:if test="${not empty assignee}">
                                <c:url var="assigneeURL" value="${url.baseLive}${functions:escapePath(assignee.localPath)}.workspace-public-user.html?jsite=${adminSite.identifier}"/>
                                &nbsp;<fmt:message key="label.activityTypes.docspace-newtask.message.assignee"/>
                                : <a href="${assigneeURL}">${user:fullName(assignee)}</a>
                            </c:if>
                        </p>
                    </div>
                </c:when>
                <c:when test="${activityType eq 'docspace-newlinkedresource'}">
                    <p class="message">
                        <c:url var="sourceUrl" value="${url.base}${functions:escapePath(currentNode.properties['source'].node.path)}.html"/>
                        <c:set var="sourceLink">
                            <a href="${sourceUrl}">${fn:escapeXml(currentNode.properties['source'].node.displayableName)}</a>
                        </c:set>

                        <c:url var="targetUrl" value="${url.base}${functions:escapePath(currentNode.properties['target'].node.path)}.html"/>
                        <c:set var="targetLink">
                            <a href="${targetUrl}">${fn:escapeXml(currentNode.properties['target'].node.displayableName)}</a>
                        </c:set>

                        <fmt:message key="label.activityTypes.docspace-newlinkedresource.message">
                            <fmt:param value="${sourceLink}"/>
                            <fmt:param value="${targetLink}"/>
                        </fmt:message>
                    </p>
                </c:when>
                <c:when test="${activityType eq 'docspace-newcomment'}">
                    <p class="message">

                        <c:url var="targetUrl" value="${url.base}${functions:escapePath(currentNode.properties['target'].node.path)}.html"/>
                        <c:set var="targetLink">
                            <a href="${targetUrl}">${fn:escapeXml(currentNode.properties['target'].node.displayableName)}</a>
                        </c:set>

                        <fmt:message key="label.activityTypes.docspace-newcomment.message">
                            <fmt:param value="${targetLink}"/>
                            <fmt:param value="${currentNode.properties['commentTitle'].string}"/>
                        </fmt:message>
                    </p>
                </c:when>
                <c:otherwise>
                    <p class="message">
                        <fmt:message key="label.activityTypes.${activityType}.message">
                            <fmt:param value="${targetLink}"/>
                        </fmt:message>
                    </p>
                </c:otherwise>
            </c:choose>

            <jcr:nodeProperty node="${currentNode}" name="jcr:lastModified" var="lastModified"/>
            <span class="timestamp"><fmt:formatDate value="${lastModified.time}" pattern="yyyy/MM/dd HH:mm:ss"/></span>
        </div>
    </div>
    <div class="clear"></div>