<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<template:addResources type="javascript"
                       resources="jquery.min.js,jquery-ui.min.js"/>
<template:addResources type="javascript" resources="jquery.fancybox.js"/>

<template:addResources type="css" resources="jquery.fancybox.css"/>
<template:addResources>
<script type="text/javascript">
$(document).ready(function() { $("a#createDocspace").fancybox(); });
</script>
</template:addResources>

<c:set var="formid" value="docspaceForm"/>
<c:set var="nodeType" value="jnt:page"/>

<a class="aButton createDocspace" id="createDocspace" href="#createDocspaceForm"><span><fmt:message key="docspace.label.docspace.new"/></span></a>

<div style="display:none">
    <div id="createDocspaceForm" class="popupSize">
        <h3><fmt:message key="docspace.label.docspace.new"/></h3>

        <c:if test="${not empty currentNode.properties['class']}">
        <div class="${currentNode.properties['class'].string}"/>
        </c:if>
        <template:tokenizedForm>
            <form class="docspaceFormCreation" method="post"
                  action="<c:url value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(currentNode.properties.targetFolder.node.path)}/*'/>"
                  name="${formid}" onsubmit="$('#docspaceFormCreationSubmit').attr('disabled', 'disabled'); return true;">
                <input type="hidden" name="jcrNodeType" value="jnt:folder">
                <input type="hidden" name="jcrNewNodeOutputFormat" value="html">
                <input type="hidden" name="jcrNormalizeNodeName" value="true"/>
                <input type="hidden" name="jcrAutoAssignRole" value="docspace-owner"/>
                <input type="hidden" name="jcr:mixinTypes" value="docmix:docspace"/>
                <%--<input type="hidden" name="j:splitConfig" value="date,jcr:created,yyyy-MM-dd"/>--%>
                <%--<input type="hidden" name="j:splitNodeType" value="jnt:folder"/>--%>
                <c:if test="${currentNode.properties.stayOnPage.boolean}">
                    <input type="hidden" name="jcrRedirectTo"
                           value="<c:url value='${url.base}${functions:escapePath(renderContext.mainResource.node.path)}'/>"/>
                </c:if>
                <fieldset>
                    <legend>${fn:escapeXml(currentNode.displayableName)}</legend>

                    <p><label for="title"><fmt:message key="label.title"/></label>
                        <input type="text" name="jcr:title" id="title" class="field" value=""
                               tabindex="20"/></p>
                    <c:if test="${currentNode.properties['useDescription'].boolean}">
                        <p><label for="description"><fmt:message
                                key="label.description"/></label>
                            <textarea name="jcr:description" id="description" cols="45" rows="3"
                                      tabindex="21"></textarea></p>
                    </c:if>
                    <div>
                        <fmt:message key="label.noTitle" var="i18nNoTitle"/>
                        <input type="submit" class="button"
                                id="docspaceFormCreationSubmit"
                               value="<fmt:message key='docspace.label.docspace.create' />" tabindex="28"
                               onclick="if (document.${formid}.elements['jcr:title'].value == '') { alert('${functions:escapeJavaScript(i18nNoTitle)}'); return false; } else { return true; }" ${disabled}/>
                    </div>
                </fieldset>
            </form>
        </template:tokenizedForm>

        <c:if test="${not empty currentNode.properties['class']}">
        </div>
        </c:if>
    </div>
</div>