<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="uiComponents" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<c:set var="boundComponent"
       value="${uiComponents:getBindedComponent(currentNode, renderContext, 'j:bindedComponent')}"/>
<c:url var="postUrl" value="${url.base}${functions:escapePath(boundComponent.path)}.addMemberToAcl.do"/>

<h2 class="docspace-header-title"><span class="icon-docspace-medium"></span>${boundComponent.displayableName}</h2>
<p class="docspace-inline-meta-p">
<span class="docspace-inline-meta"><fmt:message key="docspace.label.docspace.created" />:&nbsp;<fmt:formatDate value="${boundComponent.properties['jcr:created'].time}" dateStyle="medium" type="date"/></span>
<span class="docspace-inline-meta"><fmt:message key="column.createdBy.label" />:&nbsp;${boundComponent.properties['jcr:createdBy'].string}</span>
<c:set var="owners" value=""/>
<c:forEach items="${boundComponent.aclEntries}" var="entry">
    <c:forEach items="${entry.value}" var="details">
        <c:if test="${details[0] eq boundComponent.path and details[1] eq 'GRANT' and details[2] eq 'docspace-owner'}">
            <c:set var="owners" value="${owners}${not empty owners ? ', ' : ''}${fn:substringAfter(entry.key, ':')}" />
        </c:if>
    </c:forEach>
</c:forEach>
<span class="docspace-inline-meta"><fmt:message key="docspace.label.docspace.owner" />&nbsp;${fn:escapeXml(owners)}</span>
</p>

<c:if test="${not empty boundComponent.properties['jcr:description'].string}">
<p class="docspace-boxed-meta">${boundComponent.properties['jcr:description'].string}</p>
</c:if>

<c:forEach items="${boundComponent.aclEntries}" var="entry">
    <c:if test="${fn:substringAfter(entry.key, 'u:') eq renderContext.user.username}">
        <c:forEach items="${entry.value}" var="details">
            <c:if test="${details[0] eq boundComponent.path and details[1] eq 'GRANT'}">
                <c:set var="currentRole" value="${details[2]}" />
            </c:if>
        </c:forEach>
    </c:if>
</c:forEach>
<c:if test="${not empty currentRole}">
    <jcr:node var="adminSite" path="/sites/wsfaccess"/>
    <div class="docspace-boxed-meta-resign">
    <template:tokenizedForm>
        <form action="${postUrl}" class="floatright" method="post">
            <input type="hidden" name="memberKey" value="u:${renderContext.user.username}"/>
            <input type="hidden" name="role" value=""/>
            <input type="hidden" name="jcrRedirectTo" value="<c:url value='${url.baseLive}${functions:escapePath(renderContext.user.localPath)}'/>"/>
            <input type="hidden" name="jcrNewNodeOutputFormat" value="workspace-user.html?jsite=${adminSite.identifier}"/>
            <input type="submit" class="button" value="<fmt:message key='docspace.label.docspace.resign'/>" />
        </form>
    </template:tokenizedForm>
    <fmt:message key="docspace.label.docspace.role.${currentRole}.short" var="i18nRole"/>
    <fmt:message key="docspace.label.docspace.ismember">
        <fmt:param value="${i18nRole}"/>
    </fmt:message>
    <br/><br/>
</div>
</c:if>