<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="uiComponents" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>

<c:set var="boundComponent"
       value="${uiComponents:getBindedComponent(currentNode, renderContext, 'j:bindedComponent')}"/>

<query:definition var="filesQuery" statement="select count AS [rep:count(skipChecks=1;approxCountLimit=1000)] from [jnt:file] where isdescendantnode('${functions:sqlencode(boundComponent.path)}') and [jnt:file].[jcr:language] is null" />
<jcr:jqom var="files" qomBeanName="filesQuery"/>
<c:forEach var="row" items="${files.rows}" end="0">
    <c:choose>
        <c:when test="${row.values[1].boolean}">
            <c:set var="nbOfDocuments">
                <fmt:message key="docspace.label.docspace.approximate.count">
                    <fmt:param value="${row.values[0].long}" />
                </fmt:message>
            </c:set>
        </c:when>
        <c:otherwise>
            <c:set var="nbOfDocuments" value="${row.values[0].long}" />
        </c:otherwise>
    </c:choose>
</c:forEach>
<div class="docspace-number"><p><fmt:message key="docspace.label.docspace.nbOfDocuments" />: <span class="big-number">${nbOfDocuments}</span></p>

<query:definition var="notesQuery" statement="select count AS [rep:count(skipChecks=1;approxCountLimit=1000)] from [docnt:note] where isdescendantnode('${functions:sqlencode(boundComponent.path)}') and [docnt:note].[jcr:language] is null" />
<jcr:jqom var="notes" qomBeanName="notesQuery"/>
<c:forEach var="row" items="${notes.rows}" end="0">
    <c:choose>
        <c:when test="${row.values[1].boolean}">
            <c:set var="nbOfNotes">
                <fmt:message key="docspace.label.docspace.approximate.count">
                    <fmt:param value="${row.values[0].long}" />
                </fmt:message>
            </c:set>
        </c:when>
        <c:otherwise>
            <c:set var="nbOfNotes" value="${row.values[0].long}" />
        </c:otherwise>
    </c:choose>  
</c:forEach>
<p><fmt:message key="docspace.label.docspace.nbOfNotes" />: <span class="big-number">${nbOfNotes}</span> </p>

<jsp:useBean id="members" class="java.util.HashSet" type="java.util.Set" />
<c:forEach items="${boundComponent.aclEntries}" var="entry">
    <c:if test="${entry.key != 'g:guest'}">
        <c:forEach items="${entry.value}" var="details">
            <c:if test="${details[0] eq boundComponent.path and details[1] eq 'GRANT'}">
                <c:set var="memberName" value="${entry.key}"/>
                <% members.add(pageContext.findAttribute("memberName")); %>
            </c:if>
        </c:forEach>
    </c:if>
</c:forEach>
    <p><fmt:message key="docspace.label.docspace.nbOfMembers" />: <span class="big-number">${fn:length(members)}</span></p>
</div>