<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<c:choose>
    <c:when test="${jcr:isNodeType(renderContext.mainResource.node, 'docmix:docspace')}">
        <c:set var="docspaceNode" value="${renderContext.mainResource.node}"/>
    </c:when>
    <c:otherwise>
        <c:set var="docspaceNode" value="${jcr:getParentOfType(renderContext.mainResource.node, 'docmix:docspace')}"/>
    </c:otherwise>
</c:choose>
<c:choose>
    <c:when test="${jcr:isNodeType(renderContext.mainResource.node, 'jnt:page')}">
        <c:set var="isApps" value="true"/>
    </c:when>
    <c:otherwise>
        <c:set var="isApps" value="${jcr:getParentOfType(renderContext.mainResource.node, 'jnt:page')}"/>
    </c:otherwise>
</c:choose>
<jcr:node var="adminSite" path="/sites/wsfaccess"/>
<c:if test="${!empty docspaceNode or currentNode.properties['directory'].boolean or currentNode.properties['profile'].boolean or currentNode.properties['wisehome'].boolean}">
    <select name="" onchange="window.location=this.value">
        <c:if test="${
        (currentNode.properties['directory'].boolean or currentNode.properties['profile'].boolean or currentNode.properties['home'].boolean)
        }"><option value>go to: </option></c:if>
        <c:if test="${currentNode.resolveSite.properties['j:templatesSet'].string eq 'workspace-factory' and currentNode.properties['wisehome'].boolean}">
            <option value="<c:url value='/cms/wsfactory/default/${currentResource.locale}${currentNode.resolveSite.path}/home.html'/>"><fmt:message key="docspace.navigation.wisehome"/></option>
        </c:if>
        <c:if test="${currentNode.resolveSite.properties['j:templatesSet'].string ne 'workspace-factory' and currentNode.properties['wisehome'].boolean}">
            <jcr:jqom var="docspacesSitesResults" statement="SELECT * FROM [jnt:virtualsite] where ['j:templatesSet']='workspace-factory'"/>
            <c:if test="${fn:length(docspacesSitesResults.nodes) eq 1}">
                <c:forEach items="${docspacesSitesResults.nodes}" var="s">
                    <c:set var="docspacesSite" value="${s}"/>
                </c:forEach>
                <option <c:if test="${renderContext.mainResource.template == 'workspace-home'}">selected</c:if> value="<c:url value='/cms/wsfactory/default/${currentResource.locale}${docspacesSite.path}/home.html'/>"><fmt:message key="docspace.navigation.wisehome"/></option>
            </c:if>
        </c:if>
        <c:if test="${not empty docspaceNode and currentNode.properties['home'].boolean}">
            <option <c:if test="${(empty isApps) and (renderContext.mainResource.template == 'docspace' || renderContext.mainResource.template == 'default')}">selected</c:if> value="<c:url value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(docspaceNode.path)}.html'/>"><fmt:message key="docspace.navigation.home"/></option>
        </c:if>

        <c:if test="${not empty docspaceNode and currentNode.properties['library'].boolean}">
            <option <c:if test="${renderContext.mainResource.template == 'workspace-library' || renderContext.mainResource.template == 'workspace-document-details'}">selected</c:if> value="<c:url value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(docspaceNode.path)}.workspace-library.html'/>"><fmt:message key="docspace.navigation.library"/></option>
        </c:if>
        <c:if test="${not empty docspaceNode and currentNode.properties['notes'].boolean}">
            <option <c:if test="${renderContext.mainResource.template == 'workspace-notes' || renderContext.mainResource.template == 'workspace-note-details' || renderContext.mainResource.template == 'workspace-note-edition'}">selected</c:if> value="<c:url value='/cms/wsfactory/default/${currentResource.locale}${docspaceNode.path}/notes.workspace-notes.html'/>"><fmt:message key="docspace.navigation.notes"/></option>
        </c:if>
        <c:if test="${not empty docspaceNode and currentNode.properties['polls'].boolean}">
            <option <c:if test="${renderContext.mainResource.template == 'workspace-polls'}">selected</c:if> value="<c:url value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(docspaceNode.path)}/polls.workspace-polls.html'/>"><fmt:message key="docspace.navigation.polls"/></option>
        </c:if>
        <c:if test="${not empty docspaceNode and currentNode.properties['calendar'].boolean}">
            <option <c:if test="${renderContext.mainResource.template == 'workspace-calendar'}">selected</c:if> value="<c:url value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(docspaceNode.path)}.workspace-calendar.html'/>"><fmt:message key="docspace.navigation.calendar"/></option>
        </c:if>
<%--        <c:if test="${not empty docspaceNode and currentNode.properties['settings'].boolean}">
            <c:if test="${jcr:hasPermission(docspaceNode, 'docspace-settings-main') or jcr:hasPermission(docspaceNode, 'docspace-settings-massImport') or jcr:hasPermission(docspaceNode, 'docspace-settings-emailGateway')}">
                <option <c:if test="${renderContext.mainResource.template == 'workspace-settings'}">selected</c:if> value="<c:url value='/cms/wsfactory/default/${currentResource.locale}${docspaceNode.path}.workspace-settings.html'/>"><fmt:message key="docspace.navigation.settings"/></option>
            </c:if>
        </c:if>--%>
        <c:if test="${currentNode.properties['directory'].boolean}">
            <c:set var="directoryNodePath" value="${adminSite.path}/directory"/>
            <option value="<c:url value='/cms/wsfactory/default/${currentResource.locale}${adminSite.path}/directory.html'/>"><fmt:message key="docspace.label.users.dir.link"/></option>
        </c:if>
        <c:if test="${currentNode.properties['profile'].boolean}">
            <option value="<c:url value='${url.baseLive}${renderContext.user.localPath}.workspace-user.html?jsite=${adminSite.identifier}'/>"><fmt:message key="docspace.navigation.profile"/>:&nbsp;${renderContext.user.username}</option>
        </c:if>
        <c:if test="${not empty docspaceNode and currentNode.properties['apps'].boolean}">
            <c:forEach items="${docspaceNode.nodes}" var="node">
                <template:addCacheDependency node="${node}"/>
                <c:if test="${jcr:isNodeType(node, 'jnt:page') and !jcr:isNodeType(node, 'jmix:navMenu')}">
                    <option <c:if test="${fn:startsWith(renderContext.mainResource.node.path,node.path)}">selected</c:if> value="<c:url value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(node.path)}.html'/>">${node.displayableName}</option>
                </c:if>
            </c:forEach>
        </c:if>
        <c:if test="${not empty docspaceNode and currentNode.properties['members'].boolean}">
            <option <c:if test="${renderContext.mainResource.template == 'workspace-members'}">selected</c:if> value="<c:url value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(docspaceNode.path)}.workspace-members.html'/>"><fmt:message key="docspace.navigation.members"/></option>
        </c:if>
    </select>
</c:if>
<template:addCacheDependency node="${renderContext.mainResource.node}"/>
