<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<c:choose>
    <c:when test="${jcr:isNodeType(renderContext.mainResource.node, 'docmix:docspace')}">
        <c:set var="docspaceNode" value="${renderContext.mainResource.node}"/>
    </c:when>
    <c:otherwise>
        <c:set var="docspaceNode" value="${jcr:getParentOfType(renderContext.mainResource.node, 'docmix:docspace')}"/>
    </c:otherwise>
</c:choose>

<c:choose>
    <c:when test="${jcr:isNodeType(renderContext.mainResource.node, 'jnt:page') or not empty jcr:getParentOfType(renderContext.mainResource.node, 'jnt:page')}">
        <c:set var="currentContainer" value="apps"/>
    </c:when>
    <c:when test="${jcr:isNodeType(renderContext.mainResource.node, 'docnt:notesContainer') or not empty jcr:getParentOfType(renderContext.mainResource.node, 'docnt:notesContainer')}">
        <c:set var="currentContainer" value="notes"/>
    </c:when>
    <c:when test="${jcr:isNodeType(renderContext.mainResource.node, 'docnt:pollsContainer') or not empty jcr:getParentOfType(renderContext.mainResource.node, 'docnt:pollsContainer')}">
        <c:set var="currentContainer" value="polls"/>
    </c:when>
    <c:when test="${not jcr:isNodeType(renderContext.mainResource.node, 'docmix:docspace') and (jcr:isNodeType(renderContext.mainResource.node, 'jnt:folder') or jcr:isNodeType(renderContext.mainResource.node, 'jnt:file'))}">
        <c:set var="currentContainer" value="library"/>
    </c:when>
    <c:otherwise>
        <c:set var="currentContainer" value="docspace"/>
    </c:otherwise>
</c:choose>

<jcr:node var="adminSite" path="/sites/wsfaccess"/>
<c:if test="${not empty currentNode.properties['ulclass'].string}">
    <ul class="${currentNode.properties['ulclass'].string}">
</c:if>
<c:if test="${currentNode.resolveSite.properties['j:templatesSet'].string eq 'workspace-factory' and currentNode.properties['wisehome'].boolean}">
        <li <c:if test="${renderContext.mainResource.template == 'workspace-home'}">class="selected"</c:if>>
            <a class="docspace-wise-home" href="<c:url value='/cms/wsfactory/default/${currentResource.locale}${currentNode.resolveSite.path}/home.html'/>"><fmt:message key="docspace.navigation.wisehome"/></a>
        </li>
</c:if>
<c:if test="${currentNode.resolveSite.properties['j:templatesSet'].string ne 'workspace-factory' and currentNode.properties['wisehome'].boolean}">
    <jcr:jqom var="docspacesSitesResults" statement="SELECT * FROM [jnt:virtualsite] where ['j:templatesSet']='workspace-factory'"/>
    <c:if test="${fn:length(docspacesSitesResults.nodes) eq 1}">
        <c:forEach items="${docspacesSitesResults.nodes}" var="s">
            <c:set var="docspacesSite" value="${s}"/>
        </c:forEach>
        <li <c:if test="${renderContext.mainResource.template == 'workspace-home'}">class="selected"</c:if>>
            <a class="docspace-wise-home" href="<c:url value='/cms/wsfactory/default/${currentResource.locale}${docspacesSite.path}/home.html'/>"><fmt:message key="docspace.navigation.wisehome"/></a>
        </li>
    </c:if>
</c:if>
<c:if test="${not empty docspaceNode and currentNode.properties['home'].boolean}">

    <li <c:if test="${currentContainer == 'docspace' and (renderContext.mainResource.template == 'docspace' || renderContext.mainResource.template == 'default')}">class="selected"</c:if>>
        <a class="docspace-nav-home"
                href="<c:url value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(docspaceNode.path)}.html'/>"><fmt:message key="docspace.navigation.home"/></a>
    </li>
</c:if>
<c:if test="${not empty docspaceNode and currentNode.properties['library'].boolean}">
    <li <c:if test="${currentContainer == 'library' || renderContext.mainResource.template == 'workspace-library' || renderContext.mainResource.template == 'workspace-document-details'}">class="selected"</c:if>>
        <a class="docspace-nav-library"
                href="<c:url value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(docspaceNode.path)}.workspace-library.html'/>"><fmt:message key="docspace.navigation.library"/></a>
    </li>
</c:if>
<c:if test="${not empty docspaceNode and currentNode.properties['notes'].boolean}">
    <li <c:if test="${currentContainer == 'notes'}">class="selected"</c:if>>
        <a class="docspace-nav-notes"
                href="<c:url value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(docspaceNode.path)}/notes.workspace-notes.html'/>"><fmt:message key="docspace.navigation.notes"/></a>
    </li>
</c:if>
<c:if test="${not empty docspaceNode and currentNode.properties['polls'].boolean}">
    <li <c:if test="${currentContainer == 'polls'}">class="selected"</c:if>>
        <a class="docspace-nav-polls"
                href="<c:url value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(docspaceNode.path)}/polls.workspace-polls.html'/>"><fmt:message key="docspace.navigation.polls"/></a>
    </li>
</c:if>
<c:if test="${not empty docspaceNode and currentNode.properties['calendar'].boolean}">
    <li <c:if test="${renderContext.mainResource.template == 'workspace-calendar'}">class="selected"</c:if>>
        <a class="docspace-nav-calendar"
                href="<c:url value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(docspaceNode.path)}.workspace-calendar.html'/>"><fmt:message key="docspace.navigation.calendar"/></a>
    </li>
</c:if>
<c:if test="${currentNode.properties['directory'].boolean}">
    <c:if test="${jcr:hasPermission(adminSite, 'jcr:read_default')}">
    <li <c:if test="${renderContext.mainResource.template == 'workspace-directory'}">class="selected"</c:if>>
        <a class="docspace-nav-directory"
                href="<c:url value='/cms/wsfactory/default/${currentResource.locale}${adminSite.path}/directory.html'/>"><fmt:message key="docspace.label.users.dir.link"/>
            </a>
    </li>
    </c:if>
</c:if>
<c:if test="${currentNode.properties['profile'].boolean}">
    <li <c:if test="${renderContext.mainResource.template == 'workspace-user'}">class="selected"</c:if>>
        <a  class="docspace-nav-user"
                href="<c:url value='${url.baseLive}${renderContext.user.localPath}.workspace-user.html?jsite=${adminSite.identifier}'/>"><fmt:message key="docspace.navigation.profile"/>:&nbsp;${renderContext.user.username}</a>
    </li>
</c:if>
<c:if test="${not empty docspaceNode and currentNode.properties['apps'].boolean}">
    <c:forEach items="${docspaceNode.nodes}" var="node">
        <template:addCacheDependency node="${node}"/>
        <c:if test="${jcr:isNodeType(node, 'jnt:page') and !jcr:isNodeType(node, 'jmix:navMenu')}">
            <li <c:if test="${fn:startsWith(renderContext.mainResource.node.path,node.path)}">class="selected"</c:if>>
                <a class="docspace-nav-${node.name}" href="<c:url value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(node.path)}.html'/>">${node.displayableName}</a>
            </li>
        </c:if>
    </c:forEach>
</c:if>
<c:if test="${not empty docspaceNode and currentNode.properties['members'].boolean}">
    <li <c:if test="${renderContext.mainResource.template == 'workspace-members'}">class="selected"</c:if>>
        <a class="docspace-nav-members"
                href="<c:url value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(docspaceNode.path)}.workspace-members.html'/>"><fmt:message key="docspace.navigation.members"/></a>
    </li>
</c:if>
<c:if test="${not empty docspaceNode and currentNode.properties['settings'].boolean}">
    <c:if test="${jcr:hasPermission(docspaceNode, 'docspace-settings-main') or jcr:hasPermission(docspaceNode, 'docspace-settings-massImport') or jcr:hasPermission(docspaceNode, 'docspace-settings-emailGateway')}">
        <li class="hidden-tablet<c:if test="${renderContext.mainResource.template == 'workspace-settings'}"> selected</c:if>">
            <a class="docspace-nav-settings"
               href="<c:url value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(docspaceNode.path)}.workspace-settings.html'/>"><fmt:message key="docspace.navigation.settings"/></a>
        </li>
    </c:if>
</c:if>
<template:addCacheDependency node="${renderContext.mainResource.node}"/>
<c:if test="${not empty currentNode.properties['ulclass'].string}">
    </ul>
</c:if>