<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="s" uri="http://www.jahia.org/tags/search" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="uiComponents" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<script type="text/javascript">
    function switchPollDisplay(identifier) {
        $(".pollDetails").each(function () {
            if (!$(this).is(".pollDetails_" + identifier)) {
                $(this).slideUp("medium");
            }
        });
        $(".pollDetails_" + identifier).slideToggle("medium");
        $.post("<c:url value='/cms/storeHistory'/>",{
            h:"docspaceHistory",
            i:identifier
        },null,"json");
    }
</script>
<c:set var="boundComponent"
       value="${uiComponents:getBindedComponent(currentNode, renderContext, 'j:bindedComponent')}"/>
<c:if test="${jcr:isNodeType(boundComponent,'docmix:docspaceObject') and not empty param['src_terms[0].term']}">
    <template:addResources type="css" resources="files.css"/>
    <c:set var="identifier" value="docspaceSearchResults"/>
    <c:set var="beginName" value="begin${identifier}"/>
    <c:set var="endName" value="end${identifier}"/>
    <c:set var="pagesizeName" value="pagesize${identifier}"/>    
    <c:if test="${not empty param[beginName]}">
        <c:set target="${moduleMap}" property="begin" value="${param[beginName]}"/>
    </c:if>
    <c:if test="${not empty param[endName]}">
        <c:set target="${moduleMap}" property="end" value="${param[endName]}"/>
    </c:if>
    <c:set target="${moduleMap}" property="pageSize" value="${functions:default(param[pagesizeName], 10)}"/>
    
    <s:results var="resultsHits" limit="${moduleMap.begin + moduleMap.pageSize}">
        <c:set var="termKey" value="src_terms[0].term"/>
        <c:set var="sizeNotExact" value="${approxCount > 0 && count != approxCount}"/>        
        <h3><fmt:message key="${sizeNotExact ? 'search.results.sizeNotExact.found' : 'search.results.found'}"><fmt:param value="${fn:escapeXml(param[termKey])}"/><fmt:param
                value="${sizeNotExact ? approxCount : count}"/></fmt:message></h3>

        <template:initPager id="docspaceSearchResults" totalSize="${sizeNotExact ? approxCount : count}" sizeNotExact="${sizeNotExact}" pageSize="${moduleMap.pageSize}"/>
        <ol class="search-result-list" start="${moduleMap.begin+1}">
            <s:resultIterator begin="${moduleMap.begin}" end="${moduleMap.end}" varStatus="status"
                              hits="${moduleMap['resultsHits']}">
                <jcr:node path="${hit.path}" var="node"/>
                    <c:choose>
                        <c:when test="${jcr:isNodeType(node, 'jnt:file')}">
                            <li><c:if test="${node.locked}">
                            <span class="icon-lock${node.properties.documentStatus.string == 'archived' ? '-archive' : ''}"></span>
                            </c:if>
                            <span class="icon ${functions:fileIcon(node.name)}"></span>
                            <a href="<c:url value='${url.base}${functions:escapePath(node.path)}.workspace-document-details.html'/>"
                               title="${functions:abbreviate(functions:default(fn:trim(node.displayableName), node.name),30,40,'...')}">${node.name}</a>
                            </li>
                        </c:when>
                        <c:when test="${jcr:isNodeType(node, 'jnt:folder')}">
                            <li><c:if test="${node.locked}">
                                <span class="icon-lock"></span>
                            </c:if>
                                <span class="icon-folder"></span>
                                <a href="<c:url value='${url.base}${functions:escapePath(node.path)}.workspace-library.html'/>"
                                   title="${functions:abbreviate(functions:default(fn:trim(node.displayableName), node.name),30,40,'...')}">${node.name}</a>
                            </li>
                        </c:when>
                        <c:when test="${jcr:isNodeType(node, 'docnt:note')}">
                            <li><c:if test="${node.locked}">
                            <span class="icon-lock"></span>
                            </c:if>
                            <span class="icon-note"></span>
                            <a href="<c:url value='${url.base}${functions:escapePath(node.path)}.workspace-note-details.html'/>"
                               title="${node.name}">${functions:abbreviate(functions:default(fn:trim(node.displayableName), node.name),30,40,'...')}</a>
                            </li>
                        </c:when>
                        <c:when test="${jcr:isNodeType(node, 'jnt:poll')}">
                            <c:choose>
                                <c:when test="${node.properties['status'].string eq 'closed'}">
                                    <c:set var="pollStatus" value="poll-closed"/>
                                </c:when>
                                <c:otherwise>
                                    <c:set var="pollStatus" value="poll"/>
                                </c:otherwise>
                            </c:choose>
                            <li><c:if test="${node.locked}">
                            <span class="icon-lock"></span>
                            </c:if>
                            <span class="icon-${pollStatus}"></span>
                            <span class="openpoll" onclick="switchPollDisplay('${node.identifier}')">
                                    ${functions:abbreviate(functions:default(fn:trim(node.properties.question.string), node.name),30,40,'...')}
                            </span>
                            <br/>
                            <div class="pollDetails pollDetails_${node.identifier}" style="display:none;"><template:module node="${node}"/></div>
                            </li>
                        </c:when>
                    </c:choose>
            </s:resultIterator>
        </ol>
        <template:displayPagination id="docspaceSearchResults"/>
    </s:results>
</c:if>
