<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="workflow" uri="http://www.jahia.org/tags/workflow" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="utils" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="ui" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="propertyDefinition" type="org.jahia.services.content.nodetypes.ExtendedPropertyDefinition"--%>
<%--@elvariable id="type" type="org.jahia.services.content.nodetypes.ExtendedNodeType"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>

<template:addResources type="javascript"
                       resources="jquery.min.js,jquery-ui.min.js,jquery.fileupload-with-ui.min.js"/>
<template:addResources type="css" resources="jquery.fileupload.css"/>
<template:addResources type="javascript" resources="jquery.fancybox.js"/>
<template:addResources type="css" resources="jquery.fancybox.css"/>

<c:set var="docspaceNode" value="${renderContext.mainResource.node}"/>

<template:addCacheDependency  path="/gateway/startPoints/jahia-spaces-inbox"/>
<fmt:message key="docspace.lable.gatewayAlias.issue" var="i18nAliasIssue"/>
<template:addResources type="inlinejavascript">
    <script type="text/javascript">
        $(document).ready(function () {
            $('#gatewayForm').submit(function (event) {
                event.preventDefault();

                $(this).append('<input type="hidden" name="form-token" value="' +
                        document.forms['tokenGatewayForm'].elements['form-token'].value + '"/>');

                $.post("<c:url value='${url.basePreview}${functions:escapePath(docspaceNode.path)}.configureGateway.do'/>", $(this).serialize(),
                        function (data) {
                            window.location.reload();
                        }, "json");
                return false;
            });

            $('#mailInboxTypeGmail,#mailInboxTypeOther').change(function () {
                $('#mailIndboxAdvanced').toggle('fast');
                return true;
            });
            <jcr:node var="startPoint" path="/gateway/startPoints/jahia-spaces-inbox"/>
            <c:if test="${not empty startPoint}">
            $.get("<c:url value='${url.basePreview}/gateway/startPoints/jahia-spaces-inbox.json'/>",
                function(data) {
                    var s = "([a-z0-9]+)://([a-z._-]+):?([0-9]*)\\?username=([a-zA-Z.@0-9]*)&amp;password=(.*)&amp;consumer\\.delay=([0-9]+)&amp;delete=(true|false)";
                    var re = new RegExp(s);
                    var m = re.exec(data.uri);
                    if (m != null) {
                        $("#mailProtocol").val(m[1]);
                        $("#mailHost").val(m[2]);
                        $("#mailPort").val(m[3]);
                        $("#mailDelay").val(m[6]/1000);
                        if(m[7] == "false") {
                            $("#mailDelete").click();
                        }
                        $("#mailUsername").val(m[4]);
                    }
                }, "json");
            </c:if>
        });
    </script>
</template:addResources>

<template:tokenizedForm>
    <form id="tokenGatewayForm" method="post"
          action="<c:url value='${url.basePreview}${functions:escapePath(docspaceNode.path)}.configureGateway.do'/>">
    </form>
</template:tokenizedForm>

<form class="inboxManagementForm" id="gatewayForm"
      action="#" method="post">
    <input type="hidden" name="jcrRedirectTo"
           value="<c:url value='${url.basePreview}${functions:escapePath(renderContext.mainResource.node.path)}'/>"/>
    <input type="hidden" name="jcrNewNodeOutputFormat" value="${renderContext.mainResource.template}.html"/>

    <fieldset>
        <legend><fmt:message key="docspace.label.mailGateway.title"/></legend>
        <h3><fmt:message key="docspace.label.mailGateway.title"/></h3>

        <div id="gatewayConfig">

            <p><fmt:message key="docspace.label.mailGateway.mailInbox.provideConfig"/></p>

            <p id="typeOfMailBox">
                <input type="radio" id="mailInboxTypeGmail" name="inboxType" value="gmail" checked="checked"
                       tabindex="32"/>
                <label for="mailInboxTypeGmail" class="label-inline"><fmt:message
                        key="docspace.label.mailGateway.mailInbox.gmail"/></label><br/>
                <input type="radio" id="mailInboxTypeOther" name="inboxType" value="other" tabindex="33"/>
                <label for="mailInboxTypeOther" class="label-inline"><fmt:message
                        key="docspace.label.mailGateway.mailInbox.other"/></label>
                    <span id="help_typeOfMailBox" class="hidden"><fmt:message
                            key="docspace.label.mailGateway.mailInbox.help"/></span>
            </p>

            <div id="mailIndboxAdvanced" style="display:none">
                <p id="selectMailProtocol">
                    <label for="mailProtocol"><fmt:message
                            key="docspace.label.mailGateway.mailInbox.protocol"/></label>
                    <select id="mailProtocol" name="protocol" tabindex="34">
                        <option value="imap" selected="selected">IMAP</option>
                        <option value="imaps">IMAPS (IMAP+SSL)</option>
                        <option value="pop3">POP3</option>
                        <option value="pop3s">POP3S (POP3+SSL)</option>
                    </select>
                        <span id="help_selectMailProtocol" class="hidden"><fmt:message
                                key="docspace.label.mailGateway.mailInbox.protocol.help"/></span>
                </p>
                <p id="selectMailHost">
                    <label for="mailHost"><fmt:message key="docspace.label.mailGateway.mailInbox.host"/></label>
                    <input type="text" class="inputsize1" name="host" id="mailHost" value="" tabindex="35"/>
                        <span id="help_selectMailHost" class="hidden"><fmt:message
                                key="docspace.label.mailGateway.mailInbox.host.help"/></span>
                </p>

                <p id="selectMailPort">
                    <label for="mailPort"><fmt:message key="docspace.label.mailGateway.mailInbox.port"/></label>
                    <input type="text" class="inputsize1" name="port" id="mailPort" value="" tabindex="36"/>
                        <span id="help_selectMailPort" class="hidden"><fmt:message
                                key="docspace.label.mailGateway.mailInbox.port.help"/></span>
                </p>

                <p id="selectMailDelay">
                    <label for="mailDelay"><fmt:message key="docspace.label.mailGateway.mailInbox.delay"/></label>
                    <input type="text" class="inputsize1" name="delay" id="mailDelay" value="60" tabindex="37"/>
                        <span id="help_selectMailDelay" class="hidden"><fmt:message
                                key="docspace.label.mailGateway.mailInbox.delay.help"/></span>
                </p>

                <p id="selectMailDelete">
                    <input type="checkbox" name="delete" id="mailDelete" checked="checked" tabindex="38"/>
                    <label for="mailDelete" class="label-inline"><fmt:message
                            key="docspace.label.mailGateway.mailInbox.delete"/></label>
                        <span id="help_selectMailDelete" class="hidden"><fmt:message
                                key="docspace.label.mailGateway.mailInbox.delete.help"/></span>
                </p>
            </div>
            <p id="selectMailUsername">
                <label for="mailUsername"><fmt:message key="label.username"/></label>
                <input type="text" class="inputsize1" name="username" id="mailUsername" value="" tabindex="39"/>
                    <span id="help_selectMailUsername" class="hidden"><fmt:message
                            key="docspace.label.mailGateway.mailInbox.username.help"/></span>
            </p>

            <p id="selectMailPassword">
                <label for="mailPassword"><fmt:message key="label.password"/></label>
                <input type="password" class="inputsize1" name="password" id="mailPassword" value="" tabindex="40"/>
                    <span id="help_selectMailPassword" class="hidden"><fmt:message
                            key="docspace.label.mailGateway.mailInbox.password.help"/></span>
            </p>

        </div>

        <div>
            <input type="submit" class="button" value="<fmt:message key='label.submit'/>" tabindex="41"/>
        </div>
    </fieldset>
</form>
