<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="workflow" uri="http://www.jahia.org/tags/workflow" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="utils" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="ui" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="propertyDefinition" type="org.jahia.services.content.nodetypes.ExtendedPropertyDefinition"--%>
<%--@elvariable id="type" type="org.jahia.services.content.nodetypes.ExtendedNodeType"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>

<c:choose>
    <c:when test="${jcr:isNodeType(renderContext.mainResource.node, 'docmix:docspace')}">
        <c:set var="docspaceNode" value="${renderContext.mainResource.node}"/>
    </c:when>
    <c:otherwise>
        <c:set var="docspaceNode" value="${jcr:getParentOfType(renderContext.mainResource.node, 'docmix:docspace')}"/>
    </c:otherwise>
</c:choose>
<c:set var="filesToIgnore" value="*.ds_store,__macosx,.thumbdb,thumbs.db,*.ini"/>

<template:addResources type="javascript"
                       resources="jquery.min.js,jquery-ui.min.js,jquery.fileupload-with-ui.min.js"/>
<template:addResources type="css" resources="jquery.fileupload.css"/>
<template:addResources type="javascript" resources="jquery.fancybox.js"/>
<template:addResources type="css" resources="jquery.fancybox.css"/>
<template:addResources type="javascript" resources="jquery.treeview.min.js"/>
<template:addResources type="css" resources="contentinfo.css"/>
<template:addResources type="css" resources="jquery-ui.smoothness.css,jquery-ui.smoothness-jahia.css"/>

<template:addResources>
<script type="text/javascript">
    $(document).ready(function () {
        $('#mass_import${currentNode.identifier}').fileUploadUI({
            messageShowed:false,
            onComplete:function (event, files, index, xhr, handler) {
                $('#zipajaxloading').hide();
                if (!handler.messageShowed) {
                    handler.messageShowed = true;
                    var rsp=$.parseJSON(xhr.response);
                    if (rsp.nbImportedFiles > 0 || rsp.nbSkippedFiles > 0) {
                    <fmt:message key="docspace.label.zipfilemassimport.completed" var="i18nCompleted"/>
                    <fmt:message key="docspace.label.zipfilemassimport.filesImported" var="i18nImported"/>
                    <fmt:message key="docspace.label.zipfilemassimport.filesSkipped" var="i18nSkipped"/>
                    <fmt:message key="docspace.label.zipfilemassimport.filesIgnored" var="i18nIgnored"/>
                        alert("${functions:escapeJavaScript(i18nCompleted)} " + 
                        		rsp.nbImportedFiles + " ${functions:escapeJavaScript(i18nImported)} " +
                        		rsp.nbSkippedFiles + " ${functions:escapeJavaScript(i18nSkipped)} " +
                        		rsp.nbIgnoredFiles + " ${functions:escapeJavaScript(i18nIgnored)}");
                    } else {
                    <fmt:message key="docspace.label.zipfilemassimport.noFilesImported" var="i18nNoFilesImported"/>
                        alert("${functions:escapeJavaScript(i18nNoFilesImported)}");
                    }
                }
                $('#file_upload_container').show();
                $('#zipUploadSubmit').show();
            },
            uploadTable:$('#files${currentNode.identifier}'),
            dropZone:$('#file_upload_container'),
            beforeSend:function (event, files, index, xhr, handler, callBack) {
                handler.formData = {
                    'jcrReturnContentType':"json",
                    'pathOptions':$("#pathOptions").val(),
                    'filesToIgnore':$("#filesToIgnore").val(),
                    'overwriteMode':$("#docspaceMassImportOverwriteMode").val()
                };
                callBack();
            },
            buildUploadRow:function (files, index) {
                $('#file_upload_container').hide();
                $('#zipUploadSubmit').hide(); $('#zipajaxloading').show();
                return $('<tr><td>' + files[index].name + '<\/td>' +
//                        '<td class="file_upload_progress"><div><\/div><\/td>' +
                        '<td class="file_upload_cancel">' +
                        '<button class="ui-state-default ui-corner-all" title="Cancel">' +
                        '<span class="ui-icon ui-icon-cancel">Cancel<\/span>' +
                        '<\/button><\/td><\/tr>');
            }
        });

        // Handle help
        $("div p").mouseover(function () {
            if (this.id != null && this.id != "") {
                $("#setting_help").html("<h4>" + $("#" + this.id + " > label").html() + "</h4>" + $("#help_" + this.id).html());
            } else {
                $("#setting_help").html("");
            }
        });

        $('#mass_import${currentNode.identifier}').submit(function () {
            $.ajax({
                url:'<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}.filesImport.do'/>',
                type:'post',
                dataType:'json',
                data:{
                    'docspaceMassImportPath':$("#docspaceMassImportPath").val(),
                    'pathOptions':$("#pathOptions").val(),
                    'filesToIgnore':$("#filesToIgnore").val(),
                    'overwriteMode':$("#docspaceMassImportOverwriteMode").val()
                },
                success:function (data) {
                	$('#zipajaxloading').hide();
                    if (data["nbImportedFiles"] > 0 || data["nbSkippedFiles"] > 0) {
                    <fmt:message key="docspace.label.zipfilemassimport.completed" var="i18nCompleted"/>
                    <fmt:message key="docspace.label.zipfilemassimport.filesImported" var="i18nFilesImported"/>
                    <fmt:message key="docspace.label.zipfilemassimport.filesSkipped" var="i18nSkipped"/>
                    <fmt:message key="docspace.label.zipfilemassimport.filesIgnored" var="i18nIgnored"/>
                        alert("${functions:escapeJavaScript(i18nCompleted)} " + 
                        		data["nbImportedFiles"] + " ${functions:escapeJavaScript(i18nImported)} " +
                        		data["nbSkippedFiles"] + " ${functions:escapeJavaScript(i18nSkipped)} " +
                        		data["nbIgnoredFiles"] + " ${functions:escapeJavaScript(i18nIgnored)}");
                    } else {
                    <fmt:message key="docspace.label.zipfilemassimport.noFilesImported" var="i18nNoFilesImported"/>
                        alert("${functions:escapeJavaScript(i18nNoFilesImported)}");
                    }
                    $('#file_upload_container').show();
                    $('#zipUploadSubmit').show();
                }
            });
            return false;
        });

        $('#theme_upload${currentNode.identifier}').fileUploadUI({
            namespace:'theme_upload_${currentNode.identifier}',
            onComplete:function (event, files, index, xhr, handler) {
                data = $.parseJSON(xhr.response);
                if ($("#themeConfig option[value='" + data.newnodeid + "']").length == 0) {
                    $("#themeConfig").append($("<option value=\"" + data.newnodeid + "\">" + data.newnodename + "</options>"));
                }
                $("#themeConfig").val(data.newnodeid);
                $.fancybox.close();
            },
            uploadTable:$('#theme_files${currentNode.identifier}'),
            dropZone:$('#theme_upload_container'),
            beforeSend:function (event, files, index, xhr, handler, callBack) {
                handler.formData = {
                    'jcrReturnContentType':"json",
                    'jcrReturnContentTypeOverride':$.browser.msie ? 'text/plain; charset=UTF-8' : 'application/json; charset=UTF-8',
                    'form-token':$('#theme_upload${currentNode.identifier}').find('input[name="form-token"]').val()
                };
                callBack();
            },
            buildUploadRow:function (files, index) {
                return $('<tr><td>' + files[index].name + '<\/td>' +
                        '<td class="file_upload_progress"><div><\/div><\/td>' +
                        '<td class="file_upload_cancel">' +
                        '<button class="ui-state-default ui-corner-all" title="Cancel">' +
                        '<span class="ui-icon ui-icon-cancel">Cancel<\/span>' +
                        '<\/button><\/td><\/tr>');
            }
        });

        $('#dictionary_upload${currentNode.identifier}').fileUploadUI({
            namespace:'dictionary_upload_${currentNode.identifier}',
            onComplete:function (event, files, index, xhr, handler) {
                data = $.parseJSON(xhr.response);
                if ($("#dictionaryConfig option[value='" + data.newnodeid + "']").length == 0) {
                    $("#dictionaryConfig").append($("<option value=\"" + data.newnodeid + "\">" + data.newnodename + "</options>"));
                }
                $("#dictionaryConfig").val(data.newnodeid);
                $.fancybox.close();
            },
            uploadTable:$('#dictionary_files${currentNode.identifier}'),
            dropZone:$('#dictionary_upload_container'),
            beforeSend:function (event, files, index, xhr, handler, callBack) {
                handler.formData = {
                    'jcrReturnContentType':"json",
                    'jcrReturnContentTypeOverride':$.browser.msie ? 'text/plain; charset=UTF-8' : 'application/json; charset=UTF-8',
                    'form-token':$('#dictionary_upload${currentNode.identifier}').find('input[name="form-token"]').val()
                };
                callBack();
            },
            buildUploadRow:function (files, index) {
                return $('<tr><td>' + files[index].name + '<\/td>' +
                        '<td class="file_upload_progress"><div><\/div><\/td>' +
                        '<td class="file_upload_cancel">' +
                        '<button class="ui-state-default ui-corner-all" title="Cancel">' +
                        '<span class="ui-icon ui-icon-cancel">Cancel<\/span>' +
                        '<\/button><\/td><\/tr>');
            }
        });

        $('#uploadThemeLink,#uploadDictionaryLink').fancybox();
        $("#deleteDocspaceButton").fancybox({ href: '#deleteSpaceConfirmation' });

        $('#autoTagAllLink').click(function () {
            $.post('<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}.autoTag.do'/>', {}, function() {
                alert('<fmt:message key="docspace.label.autotagall.jobstarted" />');
            });
            return false;
        });

        $("#catSettingsList").treeview({
            collapsed:true
        });
        
        $('#formCreateMountPoint').submit(function () {
        	if (!$.trim($('#mountPointRoot').val())) {
    			<fmt:message key="label.mountPointPathMandatory" var="mountPointPathMandatory" />
    			alert("${functions:escapeJavaScript(mountPointPathMandatory)}");
    			return false;
    		} else {
    			return true;
    		}
    	});
    });
</script>
</template:addResources>
<c:if test="${jcr:hasPermission(docspaceNode, 'docspace-settings-main')}" var="hasAccessToMainSettings">

<%--Main Settings--%>

<h2><fmt:message key="docspace.label.settings.main"/></h2>
<div class="docspaceSettingBox">

    <form class="form formsettings" id="mainSettings" action="<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}.saveDocspaceSettings.do'/>" method="POST">
        <h3><fmt:message key="docspace.label.settings.main.subtitle"/></h3>
        <input type="hidden" name="jcrNewNodeOutputFormat" value="${renderContext.mainResource.template}.html"/>

        <p id="docspaceTitleForm">
            <label class="left" for="docspaceTitle"><fmt:message key="docspace.label.settings.spacename"/></label>
            <input class="inputsize1" id="docspaceTitle" name="docspaceTitle" value="${empty docspaceNode.properties['jcr:title'].string? docspaceNode.name : docspaceNode.properties['jcr:title'].string}"/>
            <span id="help_docspaceTitleForm" class="hidden"><fmt:message key="docspace.label.settings.spacename.help"/></span>
        </p>
        <p id="docspaceDescForm">
            <label class="left" for="docspaceDesc"><fmt:message key="docspace.label.settings.spacedesc"/></label>
            <textarea cols="50" rows="5" class="inputsize1" id="docspaceDesc" name="docspaceDesc">${docspaceNode.properties['jcr:description'].string}</textarea>
            <span id="help_docspaceDescForm" class="hidden"><fmt:message key="docspace.label.settings.spacedesc.help"/></span>
        </p>

        <p id="docspaceURLForm">
            <label class="left" for="docspaceURL"><fmt:message key="docspace.label.settings.defaultpublicurl"/></label>
            <span id="docspaceURL">${url.server}${pageContext.request.contextPath}${url.base}${docspaceNode.path}.html</span>
            <span id="help_docspaceURLForm" class="hidden"><fmt:message key="docspace.label.settings.defaultpublicurl.help"/></span>
        </p>

        <p id="docspaceVanityURLForm">
            <label class="left" for="docspaceVanityURL"><fmt:message key="docspace.label.settings.choosepublicurl"/></label>
                ${url.server}${pageContext.request.contextPath}/cms
            <input class="inputsize1"
                   id="docspaceVanityURL" name="docspaceVanityURL"
                   value="${functions:getDefaultVanityUrl(docspaceNode).url}"/>
            <span id="help_docspaceVanityURLForm" class="hidden"><fmt:message
                    key="docspace.label.settings.choosepublicurl.help"/></span>
        </p>
        <p id="theme_uploadForm">
            <label class="left" for="uploadThemeLink"><fmt:message key="docspace.label.themeupload"/></label>
            <a class="aButton" id="uploadThemeLink" href="#uploadThemeForm"><fmt:message key="docspace.label.upload"/></a>
            <span id="help_theme_uploadForm" class="hidden"><fmt:message key="docspace.label.themeupload.help"/></span>
        </p>

        <p id="themeConfigForm">
            <c:set var="previous" value="${docspaceNode.properties['j:theme'].string}"/>
            <label class="left" for="themeConfig"><fmt:message key="docspace.label.themeselect"/></label>


            <select id="themeConfig" name="themeConfig">
                <jcr:node var="themesFolder" path="/modules/${renderContext.site.templatePackage.rootFolderWithVersion}/templates/files/themes"/>
                <jcr:node var="uploadThemesFolder" path="${renderContext.site.path}/files/themes"/>

                <c:forEach items="${themesFolder.nodes}" var="theme">
                    <option value="${theme.identifier}" ${previous eq theme.identifier ? 'selected' : ""}>${theme.name}</option>
                </c:forEach>
                <c:if test="${uploadThemesFolder != null}">
                    <c:forEach items="${uploadThemesFolder.nodes}" var="theme">
                        <option value="${theme.identifier}" ${previous eq theme.identifier ? 'selected' : ""}>${theme.name}</option>
                    </c:forEach>
                </c:if>
            </select>
            <span id="help_themeConfigForm" class="hidden"><fmt:message key="docspace.label.themeselect.help"/></span>
        </p>
        <p>
            <label class="left" for="docspaceEmailForm"><fmt:message key="docspace.label.settings.chooseemailform"/></label>
            <input class="inputsize1"
                   id="docspaceEmailForm" name="docspaceEmailForm"
                   value="${docspaceNode.properties['fromEmail'].string}"/>
            <span id="help_docspaceEmailForm" class="hidden"><fmt:message
                    key="docspace.label.settings.chooseemailform.help"/></span>
        </p>
        <div class="clearitem centerButtonTop">
            <fmt:message key="label.noTitle" var="i18nNoTitle"/>
            <input type="submit" class="button" value="<fmt:message key='label.submit'/>" onclick="if (document.forms.mainSettings.elements['docspaceTitle'].value == '') { alert('${functions:escapeJavaScript(i18nNoTitle)}');document.forms.mainSettings.elements['docspaceTitle'].focus(); return false; } else { return true; }"/>
        </div>

    </form>

</div>


<div class="docspaceSettingBox">
    <form class="form formsettings" id="taxonomySettings" action="<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}.saveDocspaceSettings.do'/>" method="POST">
        <input type="hidden" name="jcrRedirectTo" value="<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}'/>"/>
        <input type="hidden" name="jcrNewNodeOutputFormat" value="${renderContext.mainResource.template}.html"/>

        <h3><fmt:message key="docspace.label.settings.taxonomy.subtitle"/></h3>
        <h4><fmt:message key="docspace.label.settings.taxonomy.categories"/></h4>
        <p id="categoryRootForm">
            <label class="left" for="categoryRoot"><fmt:message key="docspace.label.settings.category.root"/></label>
            <span id="help_categoryRootForm" class="hidden"><fmt:message
                    key="docspace.label.settings.category.root.help"/></span>
        </p><div class="formMarginLeft"><template:include templateType="html" view="categoryTree"/></div>
        <h4><fmt:message key="docspace.label.settings.taxonomy.autoTagging"/></h4>
        <p id="dictionaryConfigForm">
            <c:set var="currentDict" value="${docspaceNode.properties['dictionary'].string}"/>
            <label class="left" for="dictionaryConfig"><fmt:message key="docspace.label.dictionaryselect"/></label>

            <select id="dictionaryConfig" name="dictionaryConfig">
                <jcr:node var="dictionariesFolder" path="${renderContext.site.path}/files/dictionaries"/>
                <option value="" ${currentDict eq null ? 'selected' : ""}><fmt:message key="docspace.label.settings.dictionary.none"/></option>
                <c:forEach items="${dictionariesFolder.nodes}" var="dictionary">
                    <option value="${dictionary.identifier}" ${currentDict eq dictionary.identifier ? 'selected' : ""}>${dictionary.name}</option>
                </c:forEach>
            </select>
            <span id="help_dictionaryConfigForm" class="hidden"><fmt:message key="docspace.label.dictionaryselect.help"/></span>
        </p>

        <p id="dictionary_uploadForm">
            <label class="left" for="uploadDictionaryLink"><fmt:message key="docspace.label.dictionaryupload"/></label>
            <a class="aButton" id="uploadDictionaryLink" href="#uploadDictionaryForm"><fmt:message
                    key="docspace.label.upload"/></a>
            <span id="help_dictionary_uploadForm" class="hidden"><fmt:message key="docspace.label.dictionaryupload.help"/></span>
        </p>

        <p id="tagTermCountMinForm">
            <c:set var="previous" value="${docspaceNode.properties['tagTermCountMin'].long}"/>
            <label class="left" for="tagTermCountMin"><fmt:message key="docspace.label.tagTermCountMin"/></label>

            <input class="inputsize1" type="number" id="tagTermCountMin" name="tagTermCountMin" value="${docspaceNode.properties['tagTermCountMin'].long}" />
            <span id="help_tagTermCountMinForm" class="hidden"><fmt:message key="docspace.label.tagTermCountMin.help"/></span>
        </p>

        <div class="clearitem centerButtonBottom">
            <input type="submit" class="button" value="<fmt:message key='label.submit'/>"/>
        </div>

        <p id="autoTagAll">

            <c:choose>
            <c:when test="${empty currentDict}">
                <label class="left"><fmt:message key="docspace.label.autotagall"/></label>
                <span class="align"><fmt:message key="docspace.label.autotagall.choose.dictionary"/></span>

            </c:when>
            <c:otherwise>
                <label class="left" for="autoTagAllLink"><fmt:message key="docspace.label.autotagall"/></label>
                <a class="aButton" id="autoTagAllLink" href="#"><fmt:message key="docspace.label.autotagall"/></a>
            </c:otherwise>
            </c:choose>
            <span id="help_autoTagAll" class="hidden"><fmt:message key="docspace.label.autotagall.help"/></span>
        </p>
    </form>


</div>
</c:if>


<c:if test="${jcr:hasPermission(docspaceNode, 'docspace-settings-massImport')}">
    <h2><fmt:message key="docspace.label.massimport"/></h2>
    <div class="docspaceSettingBox">
        <form class="file_upload formsettings" id="mass_import${currentNode.identifier}"
              action="<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}.filesImport.do'/>" method="POST"
              enctype="multipart/form-data"
              accept="application/json">
                <h3><fmt:message key="docspace.label.zipfilemassimport"/></h3>
                <p>
                    <label class="left" for="filesToIgnore"><fmt:message key="docspace.label.zipfilemassimport.filesToIgnore"/></label>
                    <input class="inputsize1" id="filesToIgnore" name="filesToIgnore" value="${filesToIgnore}">
                </p>
                <p>
                    <label class="left" for="docspaceMassImportPath"><fmt:message key="docspace.label.zipfilemassimport.serverpath"/></label>
                    <input class="inputsize1" id="docspaceMassImportPath" name="docspaceMassImportPath"/>
                </p>
                <p>
                    <label class="left" for="docspaceMassImportOverwrite"><fmt:message key="docspace.label.zipfilemassimport.overwriteMode"/></label>
                    <select id="docspaceMassImportOverwriteMode" name="docspaceMassImportOverwriteMode">
                        <option value="rename"><fmt:message key="docspace.label.zipfilemassimport.overwriteMode.rename"/></option>
                        <option value="skip"><fmt:message key="docspace.label.zipfilemassimport.overwriteMode.skip"/></option>
                        <option value="overwrite"><fmt:message key="docspace.label.zipfilemassimport.overwriteMode.overwrite"/></option>
                    </select>
                </p>

                <div id="file_uploadForm">
                    <div class="formMarginLeft">
                        <div id="file_upload_container">
                            <input type="file" name="file" multiple/>
                            <button><fmt:message key="label.upload"/></button>
                            <div id="drop-box-file-upload-${currentNode.identifier}"><fmt:message key="label.dropHere"/></div>
                         </div>

                         <table id="files${currentNode.identifier}" class="table table-upload"></table>
                        <span id="help_file_uploadForm" class="hidden"><fmt:message
                        key="docspace.label.zipfilemassimport.help"/></span>

                        <div id="zipajaxloading" style="display:none;">
                            <img src="<c:url value='${url.currentModule}/css/img/ajax-loader.gif'/>"/>
                        </div>
                    </div>
                </div>

              <div class="centerButton">
                <div id="zipUploadSubmit">
                    <input type="submit" class="button" onclick="$('#file_upload_container').hide();$('#zipUploadSubmit').hide(); $('#zipajaxloading').show();" value="<fmt:message key='label.submit'/>"/>
                </div>
              </div>

        </form>
        <hr/>
        <template:addResources>
        <script type="text/javascript">
            $(document).ready(function () {
                $('#createMountPointLink').fancybox();
            });
        </script>
        </template:addResources>

        <form class="file_upload formsettings" id="mount_import${currentNode.identifier}"
              action="<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}.mountImport.do'/>" method="POST">
                <h3><fmt:message key="docspace.label.mountedrepmassimport"/></h3>
                <fmt:message key="docspace.label.mount.selected" var="selected"/><c:set var="selected" value="${functions:escapeJavaScript(selected)}"/>
                <c:set var="mountOnSelect">
                    function(uuid, filePath, title) {
                    $('#mountPoint').val(filePath);
                    $('#displaySelectedMountPoint').html('${selected}&nbsp;<span><strong>'+title+'</strong></span>');
                    return false;
                    }
                </c:set>
                <div id="mount_file_upload_container" >
                    <input type="hidden" name="mountPoint" id="mountPoint"/>
                    <input type="hidden" name="jcrRedirectTo"
                           value="<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}.workspace-library'/>"/>
                    <p>
                        <label class="left" for="mountFilesToIgnore"><fmt:message key="docspace.label.zipfilemassimport.filesToIgnore"/></label>
                        <input class="inputsize1" id="mountFilesToIgnore" name="filesToIgnore" value="${filesToIgnore}">
                    </p>
                    <p>
                        <label class="left" for="mountOverwrite"><fmt:message key="docspace.label.zipfilemassimport.overwriteMode"/></label>
                        <select id="mountOverwrite" name="overwriteMode">
                            <option value="rename"><fmt:message key="docspace.label.zipfilemassimport.overwriteMode.rename"/></option>
                            <option value="skip"><fmt:message key="docspace.label.zipfilemassimport.overwriteMode.skip"/></option>
                            <option value="overwrite"><fmt:message key="docspace.label.zipfilemassimport.overwriteMode.overwrite"/></option>
                        </select>
                    </p>
                    <div class="formMarginLeft"><span id="displaySelectedMountPoint"></span>
                        <fmt:message key="docspace.label.zipfilemassimport.selectMountPoint" var="selectMountPointLabel"/>
                        <ui:fileSelector fieldId="mountpoint"
                                     displayFieldId="displaySelectedMountPoint" valueType="path"
                                     label="${selectMountPointLabel}"
                                     nodeTypes="jnt:folder" root="/mounts"
                                     onSelect="${mountOnSelect}"
                                     selectableNodeTypes="jnt:folder"/>
                    <a id="createMountPointLink" href="#createMountPoint"><fmt:message key="docspace.label.zipfilemassimport.createMountPoint"/></a>

                    <div id="ajaxloading" style="display:none;"><img
                            src="<c:url value='${url.currentModule}/css/img/ajax-loader.gif'/>"/></div>
                        </div>
                    <div class="centerButton">
                        <div id="mountPointSubmit">
                            <input type="submit" class="button"
                                   onclick="if ($('#mountPoint').val().length == 0) { return false; } $('#mountPointSubmit').hide(); $('#ajaxloading').show();" value="<fmt:message key='label.submit'/>"/>
                        </div>
                    </div>
                </div>
        </form>
        <div style="display:none">

        <div id="createMountPoint">
        <template:tokenizedForm>
            <form action="<c:url value='${url.base}/mounts.vfsMount.do'/>" method="post" id="formCreateMountPoint">
                <h3><fmt:message key="docspace.label.mountedrepmassimport"/></h3>
                <input type="hidden" name="jcrRedirectTo" value="<c:url value='${url.base}${functions:escapePath(renderContext.mainResource.node.path)}'/>"/>
                <input type="hidden" name="jcrNewNodeOutputFormat" value="workspace-settings.html"/>
                <p>
                    <label class="left" for="mountPointJcrNodeName"><fmt:message key="label.name"/></label>
                    <input class="field" id="mountPointJcrNodeName" type="text" name="jcrNodeName">
                </p>
                <p>
                    <label class="left" for="mountPointRoot"><fmt:message key="docspace.label.mount.path"/></label>
                    <input class="field" id="mountPointRoot" type="text" name="j:rootPath">
                </p>
                <input type="submit"  value="<fmt:message key='label.submit'/>" class="button"/>
            </form>
        </template:tokenizedForm>
        </div>
        </div>
    </div>
</c:if>

<c:if test="${hasAccessToMainSettings}">
<h2><fmt:message key="docspace.label.settings.advanced"/></h2>

<div class="docspaceSettingBox">

    <form class="form formsettings" id="communitySettings" action="<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}.saveDocspaceSettings.do'/>" method="POST">
         <h3><fmt:message key="docspace.label.settings.advanced.community"/></h3>
        <input type="hidden" name="jcrRedirectTo" value="<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}'/>"/>
        <input type="hidden" name="jcrNewNodeOutputFormat" value="${renderContext.mainResource.template}.html"/>
        <input type="hidden" name="processApps" value="true"/>
        <p id="forumForm">
            <jcr:node var="forumNode" path="${docspaceNode.path}/forum"/>
            <input type="checkbox" ${forumNode != null && not jcr:isNodeType(forumNode,"jmix:navMenu") ? "checked" : ""}
                   id="forum" name="app" value="forum|/base/forum-base/forum|##resourceBundle(docspace.label.settings.createforum)##">
            <span id="help_forumForm" class="hidden"><fmt:message
                    key="docspace.label.settings.createforum.help"/></span>
            <label class="label-inline" for="forum"><fmt:message key="docspace.label.settings.createforum"/></label>

        </p>

        <p id="wikiForm">
            <jcr:node var="wikiNode" path="${docspaceNode.path}/wiki"/>
            <input type="checkbox" ${wikiNode != null && not jcr:isNodeType(wikiNode,"jmix:navMenu") ? "checked" : ""}
                   id="wiki" name="app" value="wiki|/base/wiki|##resourceBundle(docspace.label.settings.createwiki)##">
            <span id="help_wikiForm" class="hidden"><fmt:message key="docspace.label.settings.createwiki.help"/></span>
            <label class="label-inline" for="wiki"><fmt:message key="docspace.label.settings.createwiki"/></label>
        </p>

        <p id="blogForm">
            <jcr:node var="blogNode" path="${docspaceNode.path}/blog"/>
            <input type="checkbox" ${blogNode != null && not jcr:isNodeType(blogNode,"jmix:navMenu") ? "checked" : ""}
                   id="blog" name="app" value="blog|/base/blog|##resourceBundle(docspace.label.settings.createblog)##">
            <span id="help_blogForm" class="hidden"><fmt:message key="docspace.label.settings.createblog.help"/></span>
            <label class="label-inline" for="blog"><fmt:message key="docspace.label.settings.createblog"/></label>
        </p>

        <div class="clearitem centerButton">
            <input type="submit" class="button" value="<fmt:message key='label.submit'/>"/>
        </div>

    </form>
</div>

<div class="docspaceSettingBox">
    <form class="form formsettings" id="workflowSettings" action="<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}.saveDocspaceSettings.do'/>" method="POST">
        <h3><fmt:message key="docspace.label.settings.advanced.workflow"/></h3>
        <input type="hidden" name="jcrRedirectTo" value="<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}'/>"/>
        <input type="hidden" name="jcrNewNodeOutputFormat" value="${renderContext.mainResource.template}.html"/>

        <p id="workflowForm">
            <workflow:workflowsForNode node="${docspaceNode}" workflowAction="docspace"
                                       var="previous" checkPermission="false" />
            <workflow:workflowsForAction var="workflowDefinitions" workflowAction="docspace"/>
            <label class="left" for="workflow">Workflow</label>
            <select id="workflow" name="workflow">
                <c:forEach items="${workflowDefinitions}" var="wf">
                    <option ${previous[0].key eq wf.key ? 'selected' : ""}
                            value="${wf.provider}:${wf.key}">${wf.displayName}</option>
                </c:forEach>
            </select>
            <span id="help_workflowForm" class="hidden"><fmt:message
                    key="docspace.label.settings.workflow.help"/></span>
        </p>

        <div class="clearitem centerButton">
            <input type="submit" class="button" value="<fmt:message key='label.submit'/>"/>
        </div>

    </form>
</div>

<jcr:node var="startPoint" path="/gateway/startPoints/jahia-spaces-inbox"/>
<c:if test="${not empty startPoint and jcr:hasPermission(docspaceNode, 'docspace-settings-emailGateway')}">
    <div class="docspaceSettingBox">
        <div class="clearitem">
            <%@include file="mailGateway.jspf" %>
        </div>
    </div>
</c:if>


<div style="display:none">
    <div id="uploadThemeForm" class="popupSize">
        <h3><fmt:message key="docspace.label.settings.layout"/></h3>
        <template:tokenizedForm  allowsMultipleSubmits="true" >
            <form class="theme_upload" id="theme_upload${currentNode.identifier}"
                  action="<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}.uploadTheme.do'/>" method="POST"
                  enctype="multipart/form-data"
                  accept="application/json">
                <div id="theme_upload_container">
                    <input type="file" name="file" accept="application/zip"/>
                    <button><fmt:message key="label.upload"/></button>
                    <div id="drop-box-theme-upload-${currentNode.identifier}"><fmt:message key="label.dropHere"/></div>
                </div>
                <table id="theme_files${currentNode.identifier}" class="table"></table>
            </form>
        </template:tokenizedForm>
    </div>
</div>

<div style="display:none">
    <div id="uploadDictionaryForm" class="popupSize">
        <h3><fmt:message key="docspace.label.settings.autotagging"/></h3>
        <template:tokenizedForm  allowsMultipleSubmits="true" >
            <form class="dictionary_upload" id="dictionary_upload${currentNode.identifier}"
                  action="<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}.uploadDictionary.do'/>" method="POST"
                  enctype="multipart/form-data"
                  accept="application/json">
                <div id="dictionary_upload_container">
                    <input type="file" name="file" accept="text/plain"/>
                    <button><fmt:message key="label.upload"/></button>
                    <div id="drop-box-dictionary-upload-${currentNode.identifier}"><fmt:message key="label.dropHere"/></div>
                </div>
                <table id="dictionary_files${currentNode.identifier}" class="table"></table>
            </form>
        </template:tokenizedForm>
    </div>
</div>

<div class="docspaceSettingBox formsettings">
	<h3><fmt:message key="label.administration"/></h3>
    <p><fmt:message key="docspace.label.docspace.delete.description"/></p>
    <p><fmt:message key="docspace.label.docspace.delete.caution"/></p>
    <div class="centerButton">
        <input type="button" class="button buttonred" id="deleteDocspaceButton" value="<fmt:message key='docspace.label.docspace.delete'/>"/>
    </div>
</div>
<div style="display:none">
    <div id="deleteSpaceConfirmation" class="popupSize2">
        <h3><fmt:message key="label.warning"/></h3>
        <form action="<c:url value='${url.base}${functions:escapePath(docspaceNode.path)}'/>" method="post" id="deleteDocspaceForm" class="form formsettings">
            <p><fmt:message key="docspace.label.docspace.delete.confirm"/></p>
            <p><fmt:message key="docspace.label.docspace.delete.caution"/></p>
            <c:set var="parentPageNode" value="${renderContext.site.home}"/>
            <input type="hidden" name="jcrRedirectTo" value="<c:url value='${url.base}${functions:escapePath(parentPageNode.path)}'/>"/>
            <input type="hidden" name="jcrNewNodeOutputFormat" value="html"/>
            <input type="hidden" name="jcrMethodToCall" value="delete"/>
            <div class="centerButton">
                <input type="submit" class="buttonred" value="<fmt:message key='docspace.label.docspace.delete'/>"/>
            </div>
        </form>
    </div>
</div>

</c:if>

<div class="clear"></div>
