<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>

<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>

<template:addResources type="javascript" resources="jquery.js"/>
<script type="text/javascript">
    function switchDocspaceDisplay(identifier,path) {
        $(".docspaceDetails").each(function () {
            if (!$(this).is(".docspaceDetails_" + identifier)) {
                $(this).slideUp("medium");
            }
        });
        $(".docspaceDetails_" + identifier).slideToggle("medium");
        if ($("#" + identifier + "Count").html().length < 1)  {
            $("#" + identifier + "Count").html("<img width='10' height='10' src='<c:url value='${url.currentModule}/css/img/ajax-loader.gif'/>''/>");
            $("#" + identifier + "Count").load('<c:url value="${url.base}${functions:escapePath(currentNode.path)}.countFiles.html.ajax?path="/>' + path);
        }
    }
</script>

<template:include view="hidden.header"/>
<table width="100%" id="docspaceListTable" summary="Docspace List Table" class="table docspaceListTable">
    <caption class=" hidden"></caption>
    <colgroup>
        <col width="70%" span="1" class="col1">
        <col width="30%" span="1" class="col2">
    </colgroup>
    <thead>
    <tr>
        <th scope="col" id="Title"><fmt:message key="docspace.label.title"/></th>
        <th class="hidden-phone-portrait" scope="col" id="LastModif"><fmt:message key="docspace.label.lastmodificationdate"/></th>
    </tr>
    </thead>

    <tbody>

    <c:forEach items="${moduleMap.currentList}" var="subchild" begin="${moduleMap.begin}" end="${moduleMap.end}">
        <tr>
        <td headers="Title">
            <span class="icon-docspace"></span>&nbsp;
            <a href="${subchild.url}">${fn:escapeXml(subchild.displayableName)}</a>
            <c:set var="spaceDescription" value="${subchild.properties['jcr:description'].string}"/>
                <span class="hidden-phone-portrait opendocspacedescription" onclick="switchDocspaceDisplay('${subchild.identifier}','${subchild.path}')"><fmt:message key="label.show.docspace.description"/></span>
                <div class="hidden-phone-portrait docspaceDetails docspaceDetails_${subchild.identifier}" style="display:none;">
                    ${fn:escapeXml(spaceDescription)}<br/><br/>
                    <span id="${subchild.identifier}Count"></span>&nbsp;<fmt:message key="docspace.label.documents"/>
                </div>
        </td>
        <td class="hidden-phone-portrait" headers="LastModif">
            <fmt:formatDate value="${subchild.properties['jcr:lastModified'].date.time}" pattern="MMM dd, yyyy - HH:mm"/>
        </td>
    </tr>
    </c:forEach>
    </tbody>
</table>
   <template:include view="hidden.footer"/>