<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="uiComponents" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<c:set var="boundComponent"
       value="${uiComponents:getBindedComponent(currentNode, renderContext, 'j:bindedComponent')}"/>
<h2 class="documentTitle">${fn:escapeXml(boundComponent.displayableName)}</h2>
<c:set var="pageNodes" value="${jcr:getMeAndParentsOfType(renderContext.mainResource.node,'jnt:folder')}"/>
<ul class="breadcrumb">
    <c:forEach items="${functions:reverse(pageNodes)}" var="pageNode" varStatus="status">
        <c:if test="${jcr:isNodeType(pageNode, 'docmix:docspace,docmix:docspaceFolder')}">
        <li>
            <c:choose>
                <c:when test="${jcr:isNodeType(pageNode, 'docmix:docspace')}">
                    <c:url value='${url.base}${functions:escapePath(pageNode.path)}.workspace-library.html' var="folderURL"/>
                </c:when>
                <c:otherwise>
                    <c:url value='${url.base}${functions:escapePath(pageNode.path)}.html' var="folderURL"/>
                </c:otherwise>
            </c:choose>
            <a href="${folderURL}">${fn:escapeXml(pageNode.displayableName)}</a> <span class="divider">></span>
        </li>
        </c:if>
    </c:forEach>
    <li class="active">${fn:escapeXml(boundComponent.name)}</li>
</ul>