package docnt_folderTree.html

import javax.jcr.NodeIterator
import javax.jcr.query.Query
import org.jahia.services.content.JCRContentUtils
import org.jahia.services.content.JCRNodeWrapper
import org.jahia.taglibs.jcr.node.JCRTagUtils
import org.jahia.utils.i18n.JahiaResourceBundle
import org.apache.commons.lang.StringEscapeUtils
import org.jahia.utils.WebUtils

if (renderContext.editMode) {
    print("This will render folders as a tree")
} else {
    def base;
    def type = JCRTagUtils.getMeAndParentsOfType(renderContext.mainResource.node, "docmix:docspace")
    base = type.first();
    def displayTree;
    displayTree = {parent, depth ->
        def childs = JCRTagUtils.getChildrenOfType(parent, "jnt:folder");
        Collections.sort(childs, new Comparator<JCRNodeWrapper>() {
            int compare(JCRNodeWrapper o1, JCRNodeWrapper o2) {
                return o1.getName().toLowerCase().compareTo(o2.getName().toLowerCase());
            }
        })
        childs.each {childNode ->
            println "<ul>";
            def isPath = (renderContext.mainResource.node.path+"/").startsWith(childNode.path+"/");
            def isRPath = (childNode.path+"/").startsWith(renderContext.mainResource.node.path+"/");
            if (isPath || isRPath || depth > 0) {

            print "<li";
            def isSelected = renderContext.mainResource.node.path.equals(childNode.path);
            if (isSelected) {
                print " class=\"selectedFolder\" "
            }
            print "><span class=\"icon-folder\"></span><a href=\"" + url.context + url.base + WebUtils.escapePath(childNode.path) + "." + renderContext.mainResource.template + ".html\"";
            if (isSelected) {
                print " class=\"currentfolder\"";
            }
            print ">" + StringEscapeUtils.escapeXml(childNode.displayableName) + "</a>";
            if (isPath) {
                displayTree(childNode, depth + 1);
            }
            println "</li>"
            }
            println "</ul>"
        }
    }
    if (JCRTagUtils.hasChildrenOfType(base, "jnt:folder")) {
        println "<h3>" + JahiaResourceBundle.getString("Workspace Factory", "docspace.label.folders", renderContext.UILocale, "Workspace Factory") + "</h3>";
        println "<div id=\"foldertree\">";
        println "<ul><li";
        def isSelected = renderContext.mainResource.node.path.equals(base.path);
        if (isSelected) {
            print " class=\"selectedFolder\" "
        }
        print "><span class=\"icon-docspace\"></span><a href=\"" + url.context + url.base + WebUtils.escapePath(base.path) + "." + renderContext.mainResource.template + ".html\"";
        if (isSelected) {
            print " class=\"currentfolder\"";
        }
        print ">" + StringEscapeUtils.escapeXml(base.displayableName) + "</a>"
        displayTree(base,0);
        println "</li></ul></div>";
    }
}
