<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="uiComponents" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="user" uri="http://www.jahia.org/tags/user" %>

<template:addResources type="javascript" resources="jquery.min.js,jquery-ui.min.js"/>
<template:addResources type="javascript" resources="jquery.fancybox.js,jquery.jeditable.js"/>
<template:addResources type="javascript" resources="jquery.autocomplete.js"/>
<template:addResources type="css" resources="jquery.autocomplete.css"/>
<template:addResources type="css" resources="jquery.fancybox.css"/>

<jcr:jqom var="docspaces" statement="select * from [docmix:docspace] as docspace order by localname(docspace)"/>

<c:set var="user" value="${uiComponents:getBindedComponent(currentNode, renderContext, 'j:bindedComponent')}"/>
<c:if test="${empty user or not jcr:isNodeType(user, 'jnt:user')}">
    <jcr:node var="user" path="${renderContext.user.localPath}"/>
</c:if>
<c:forEach items="${docspaces.nodes}" var="docspace" varStatus="st">
    <c:if test="${jcr:hasPermission(docspace, 'docspace-member-manage')}">

        <c:set var="found" value="false"/>
        <c:set var="aclEntries" value="${functions:getRolesForNode(docspace, false, true, null, -1, 'latestFirst')}"/>
        <c:forEach items="${aclEntries}" var="acl">
            <c:if test="${acl['principal'].name eq user.name}">
                <c:forEach items="${acl['roles']}" var="role">
                    <c:if test="${fn:startsWith(role, 'docspace-')}">
                        <c:set var="found" value="true"/>
                    </c:if>
                </c:forEach>
            </c:if>
        </c:forEach>
        <c:if test="${found eq 'false'}">
        <c:url var="postUrl" value="${url.basePreview}${functions:escapePath(docspace.path)}.addMemberToAcl.do"/>
            <c:set var="options">${options}
                <option value="${postUrl}">${docspace.displayableName}</option>
            </c:set>
        <c:if test="${st.first}">
            <c:set var="selected" value="${postUrl}"/>
        </c:if>
        </c:if>
    </c:if>
</c:forEach>
<c:if test="${not empty options}">
${currentNode.properties['jcr:title'].string}
<select id="select${currentNode.identifier}" name="docspace" >
    ${options}
</select>
<script>
    function inviteUser(select) {
        target = $("#"+select).val();
        $.post(target, {"memberKey":"u:${user.name}", "role":"${currentNode.properties['defaultRole'].string}", "overwrite":true}, function (result) {
            location.reload();
        }, "json");
    }
</script>

<button onclick="inviteUser('select${currentNode.identifier}')"><fmt:message key="docspace.label.members.invite.button"/></button>

</c:if>