<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="uiComponents" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>

<template:addResources type="css" resources="jquery.autocomplete.css"/>
<template:addResources type="javascript" resources="jquery.autocomplete.js"/>
<template:addResources type="css" resources="jquery.fancybox.css"/>
<template:addResources type="javascript" resources="jquery.fancybox.js"/>
<c:set var="boundComponent"
       value="${uiComponents:getBindedComponent(currentNode, renderContext, 'j:bindedComponent')}"/>
<c:set var="docspaceNode" value="${jcr:getParentOfType(boundComponent, 'docmix:docspace')}"/>
<c:url var="formAction" value="${url.base}${functions:escapePath(docspaceNode.path)}/links/*"/>

<script>
    function getFormattedResult(node) {
        var nodename = node['nodename'];
        var tp = node['jcr:primaryType'];
        var title = node['jcr:title'];
        if (typeof title == 'undefined') {
            title = nodename;
        } else if (tp == 'jnt:file') {
        	title = nodename + " (" + title + ")"; 
        }
        return "<span class='"+nodeTypeLabel[tp]+"'/>&nbsp;"+title;
    }
    function parseData(data) {
        return $.map(data, function (row) {
            var node = row.node;
            if (node == undefined) {
                node = row;
            }
            return {
                data:node,
                value:node["nodename"],
                result:node["nodename"]
            }
        });
    }

    <c:set var="query"
       value="select * from [docnt:link] as link where isdescendantnode('${functions:sqlencode(docspaceNode.path)}/links') and (link.source = '${boundComponent.identifier}' or link.target = '${boundComponent.identifier}')"/>
    <query:definition var="listQuery" statement="${query}"/>
    <jcr:jqom qomBeanName="listQuery" var="result"/>
    var linkedIDs = [];
    <c:forEach items="${result.nodes}" var="linkedNode">
    linkedIDs["${linkedNode.properties.target.string}"]="${linkedNode.properties.target.string}";
    </c:forEach>
    linkedIDs["${renderContext.mainResource.node.identifier}"]="${renderContext.mainResource.node.identifier}";

    var nodeTypeLabel = [];
    nodeTypeLabel['jnt:file'] = 'icon-document';
    nodeTypeLabel['docnt:note'] = 'icon-note';
    nodeTypeLabel['jnt:poll'] = 'icon-poll';
    nodeTypeLabel['jnt:topic'] = 'icon-topic';
    nodeTypeLabel['jnt:wikiPage'] = 'icon-wiki';

    function getExtraParams() {
        var nodeType = $("input[name=resourceNodeType]:checked", "#linkResourceForm${currentNode.identifier}").val()
        if (nodeType == null) {
            nodeType = "docmix:docspaceObject";
        }
        var q = "select * from " + nodeType + " where jcr:path like '${functions:sqlencode(docspaceNode.path)}/%' and (lower(fn:name()) like '%{$q}%' or lower(jcr:title) like '%{$q}%')";
        for (i in linkedIDs) { 
            q = q + " and jcr:uuid<>'" + linkedIDs[i] + "'";
        }

        var extraParams = {
            query:q,
            language:'sql',
            propertyMatchRegexp:"{$q}.*"
        };
        return extraParams;
    }    
    
    $(document).ready(
            function () {
                var linkFound = false;
                autocomplete = $("#linkTarget${currentNode.identifier}").autocomplete("<c:url value='${url.find}'/>", {
                    dataType:"json",
                    cacheLength:1,
                    parse:parseData,
                    formatItem:getFormattedResult,
                    extraParams:getExtraParams()
                });

                function selectLink(event, item, formatted) {
                    $("#linkTargetId${currentNode.identifier}").val(item['identifier']);
                    linkFound = true;
                    return true;
                }

                autocomplete.result(selectLink);

                <c:url value='/cms/findHistory/${currentResource.node.session.workspace.name}/${currentResource.locale}' var="dispHistURL"><c:param name="trackerName" value="docspaceHistory"></c:param></c:url>

                function displayHistory() {
                    $.get("${dispHistURL}",null,function(result){
                        $("#historyresults").empty();
                        $(result).each(function(index,el){
                            if(undefined==linkedIDs[el['identifier']]) {
                                $("#historyresults").append("<p><input type=\"radio\" name=\"histolink\" value=\""+el['identifier']+"\" id=\"histolink_"+index+"\"/><label for=\"histolink_"+index+"\" class=\"normal-font\">"+getFormattedResult(el)+"</label></p>");
                                $("#histolink_"+index).click(function(){
                                    $("#linkTargetId${currentNode.identifier}").val($(this).val());
                                    linkFound = true;
                                });
                            }
                        })
                    },"json");
                }

                $("#submit${currentNode.identifier}").click(function () {
                    $("#linkResourceForm${currentNode.identifier}").submit();
                });

                $("#linkResourceForm${currentNode.identifier}").submit(function () {
                    return linkFound;
                });

                $("input[name=resourceNodeType]", "#linkResourceForm${currentNode.identifier}").change(function() {
                    autocomplete.setOptions({extraParams:getExtraParams()});
                    autocomplete.flushCache();
                });
                $("a#addLink").fancybox();

                setTimeout(displayHistory, 210);
            })
</script>

<a href="#linkResource${currentNode.identifier}" id="addLink" class="addLink"><fmt:message key="docspace.label.link.add" /></a>

<div style="display:none">
    <div id="linkResource${currentNode.identifier}" class="popupSize">
        <form class="linkResourceForm" id="linkResourceForm${currentNode.identifier}" action="${formAction}" method="post">
            <fieldset>
                <legend><fmt:message key="docspace.label.searchLinkedResource.title"/></legend>
                <h3><fmt:message key="docspace.label.searchLinkedResource.title"/></h3>
                <input type="hidden" name="jcrNodeType" value="docnt:link"/>
                <input type="hidden" name="jcrAutoAssignRole" value="owner"/>
                <c:url value="${url.base}${functions:escapePath(renderContext.mainResource.node.path)}" var="redirectUrl"/>
                <input type="hidden" name="jcrRedirectTo" value="${redirectUrl}"/>
                <input type="hidden" name="jcrNewNodeOutputFormat" value="${renderContext.mainResource.template}.html"/>
                <input type="hidden" name="source" value="${boundComponent.identifier}"/>

                <p>
                    <input id="resourceNodeTypeDocument" name="resourceNodeType" type="radio"
                           value="docmix:docspaceDocument" checked="checked" />
                    &nbsp;<label for="resourceNodeTypeDocument" class="normal-font"><fmt:message key="docspace.label.documents" /></label>
                    <input id="resourceNodeTypeNote" name="resourceNodeType" type="radio"
                           value="docnt:note" />
                    &nbsp;<label for="resourceNodeTypeNote" class="normal-font"><fmt:message key="docspace.navigation.notes" /></label>
                    <input id="resourceNodeTypePoll" name="resourceNodeType" type="radio"
                           value="jnt:poll" />
                    &nbsp;<label for="resourceNodeTypePoll" class="normal-font"><fmt:message key="docspace.navigation.polls" /></label>
                    <jcr:node var="forum" path="${docspaceNode.path}/forum"/>
                    <c:if test="${not empty forum}">
                    <input id="resourceNodeTypeTopic" name="resourceNodeType" type="radio"
                           value="jnt:topic" />
                    &nbsp;<label for="resourceNodeTypeDocument" class="normal-font"><fmt:message key="docspace.label.topic" /></label>
                    </c:if>
                    <jcr:node var="wiki" path="${docspaceNode.path}/wiki"/>
                    <c:if test="${not empty wiki}">
                    <input id="resourceNodeTypeWiki" name="resourceNodeType" type="radio"
                           value="jnt:wikiPage" />
                    &nbsp;<label for="resourceNodeTypeDocument" class="normal-font"><fmt:message key="docspace.label.wiki" /></label>
                    </c:if>
                </p>

                <input type="text" class="field" id="linkTarget${currentNode.identifier}"/>
            </fieldset>
            <input type="hidden" id="linkTargetId${currentNode.identifier}" name="target"/>
            <fieldset>
                <legend><fmt:message key="docspace.label.searchLinkedResource.browse"/></legend>
                <h3><fmt:message key="docspace.label.searchLinkedResource.browse"/></h3>
                <div id="historyresults">

                </div>
            </fieldset>
            <button type="button" id="submit${currentNode.identifier}"><fmt:message key="label.ok"/></button>
        </form>
    </div>
</div>
