<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="workflow" uri="http://www.jahia.org/tags/workflow" %>
<%@ taglib prefix="s" uri="http://www.jahia.org/tags/search" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<template:addResources type="javascript" resources="jquery.min.js"/>
<template:addResources type="css" resources="files.css"/>
<template:addResources type="css" resources="jquery.fancybox.css"/>
<template:include view="hidden.header"/>
<div id="documentList${currentNode.identifier}">

    <c:choose>
        <c:when test="${!empty param.collection and moduleMap.listTotalSize == 0}">
            <fmt:message key="docspace.label.collection.empty"/>
        </c:when>
        <c:otherwise>
    <table width="100%" class="table noteListTable" summary="Note List Table" id="noteListTable">
        <caption class=" hidden">
        </caption>
        <colgroup>
            <col span="1" width="10%" class="noteListTableCol1"/>
            <col span="1" width="70%" class="noteListTableCol2"/>
            <col span="1" width="20%" class="noteListTableCol3"/>
        </colgroup>
        <thead>
        <tr>
            <th class="center" id="Type" scope="col"><fmt:message key="docspace.label.type"/>
            </th>
            <th id="Title" scope="col"><fmt:message key="docspace.label.title"/></th>
            <th class="hidden-phone-portrait" id="Author" scope="col"><fmt:message key="docspace.label.author"/></th>
        </tr>
        </thead>

        <tbody>
        <c:forEach items="${moduleMap.currentList}" var="subchild" begin="${moduleMap.begin}" end="${moduleMap.end}">
            <%@ include file="noteTableRow.jspf" %>        
        </c:forEach>
        <div class="clear"></div>
        <c:if test="${moduleMap.editable and renderContext.editMode}">
            <template:module path="*"/>
        </c:if>


        </tbody>
    </table>
        </c:otherwise>
    </c:choose>
    <template:include view="hidden.footer">
        <template:param name="searchUrl" value="${url.current}"/>
    </template:include>
</div>


