<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>

<template:addResources type="css" resources="jquery-ui.smoothness.css,jquery-ui.smoothness-jahia.css"/>
<template:addResources type="javascript" resources="jquery.min.js,jquery-ui.min.js"/>
<template:addResources type="javascript" resources="ajaxreplace.js"/>
<template:addResources type="javascript" resources="ckeditor/ckeditor.js"/>
<template:addResources type="javascript" resources="ckeditor/adapters/jquery.js"/>
<c:set var="formid" value="noteForm${currentNode.identifier}"/>
<fmt:message key="label.noTitle" var="i18nNoTitle"/>
<template:addResources>
    <script type="text/javascript">
        $(document).ready(function () {
            $(".newContentCkeditorContribute${currentNode.identifier}docnt_note").each(function () {
                $(this).ckeditor(function () {
                }, {
                    toolbar_Note : [
                        ['Source'],
                        ['Bold','Italic','Underline','Strike'],
                        ['NumberedList','BulletedList','-','Blockquote'],
                        ['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],
                        ['Link','Unlink'],
                        ['Table'],
                        ['Format'],
                        ['TextColor','BGColor']
                    ],
                    toolbar : 'Note', filebrowserBrowseUrl: null, filebrowserFlashBrowseUrl: null, filebrowserImageBrowseUrl: null, filebrowserLinkBrowseUrl: null
                });
                $(this).data('ckeditorInstance').checkWCAGCompliance = (typeof wcagCompliant) === 'function' ? wcagCompliant : null;
            });


            $("#${formid}").submit(function(event) {
                event.preventDefault();
                var $form = $(this);
                var url = $form.attr('action');
                var title = $form.find('input[name="jcr:title"]').val();
                if (title == undefined || $.trim(title) == "") {
                    alert('${functions:escapeJavaScript(i18nNoTitle)}');
                    return false;
                }
                $.post(url, $form.serialize(),
                        function(result) {
                            location.replace("<c:url value='${url.base}${functions:escapePath(renderContext.mainResource.node.path)}'/>/" + result.j_nodename + ".workspace-note-details.html");
                        }, "json");
                return false;
            });

            $("#cancel${currentNode.name}").click(function(){
                location.replace("<c:url value='${url.base}${functions:escapePath(renderContext.mainResource.node.path)}.workspace-notes.html'/>");
            });

        });
    </script>
</template:addResources>
<fmt:message key="label.ok" var="label_ok"/>
<fmt:message key="label.cancel" var="label_cancel"/>
<template:tokenizedForm>
    <form class="Form noteFormCreation" method="post"
          action="<c:url value='${url.base}${functions:escapePath(currentNode.path)}/*'/>"
          id="${formid}">
        <input type="hidden" name="jcrNodeType" value="docnt:note">
        <input type="hidden" name="jcrMethodToCall" value="post"/>
        <p>
            <label for="title"><fmt:message key="label.title"/></label>
            <input type="text" name="jcr:title" id="title" class="field" value="${currentNode.properties['jcr:title'].string}" tabindex="20" />
        </p>

        <p>
            <label for="editContent"><fmt:message key="docnt_note.body"/></label>
            <textarea name="body" id="editContent"
                      class="newContentCkeditorContribute${currentNode.identifier}docnt_note" cols="45" rows="3"
                      tabindex="22">${currentNode.properties['body'].string}</textarea>
        </p>

        <div>
            <input type="submit" class="button" value="${label_ok}" tabindex="23" />
            <input type="button" class="button" value="${label_cancel}" tabindex="24" id="cancel${currentNode.name}" />
        </div>
    </form>
</template:tokenizedForm>