<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="workflow" uri="http://www.jahia.org/tags/workflow" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<template:addResources type="javascript" resources="jquery.min.js"/>
<template:addResources type="css" resources="files.css"/>
<template:addResources type="css" resources="jquery.fancybox.css"/>

<template:addResources type="css" resources="poll.css"/>
<template:addResources type="javascript" resources="poll.js"/>

<template:include view="hidden.header"/>
<script type="text/javascript">
    function switchPollDisplay(identifier) {
        $(".pollDetails").each(function () {
            if (!$(this).is(".pollDetails_" + identifier)) {
                $(this).slideUp("medium");
            }
        });
        $(".pollDetails_" + identifier).slideToggle("medium");
        $.post("<c:url value='/cms/storeHistory'/>",{
                h:"docspaceHistory",
                i:identifier
              },null,"json");
    }
</script>
<div id="documentList${currentNode.identifier}">

    <table width="100%" class="table pollListTable" summary="Note List Table" id="pollListTable">
        <caption class=" hidden">
        </caption>
        <colgroup>
            <col class="pollListTablecol1" width="10%" span="1">
            <col class="pollListTablecol2" width="70%" span="1">
            <col class="pollListTablecol3" width="20%" span="1">
        </colgroup>
        <thead>
        <tr>
            <th class="center" id="Type" scope="col"><fmt:message key="docspace.label.type"/>
            </th>
            <th id="Question" scope="col"><fmt:message key="docspace.label.poll.question"/></th>

            <th class="hidden-phone-portrait center" id="End" scope="col"><fmt:message
                    key="docspace.label.poll.end"/></th>
        </tr>
        </thead>

        <tbody>
        <c:forEach items="${moduleMap.currentList}" var="subchild" begin="${moduleMap.begin}" end="${moduleMap.end}">
            <c:if test="${jcr:isNodeType(subchild, 'jnt:poll')}">
                <c:choose>
                    <c:when test="${subchild.properties['status'].string eq 'closed'}">
                        <c:set var="pollStatus" value="poll-closed"/>
                    </c:when>
                    <c:otherwise>
                        <c:set var="pollStatus" value="poll"/>
                    </c:otherwise>
                </c:choose>
                <tr class="odd ${pollStatus}">
                    <td class="center" headers="Type">
                        <c:if test="${subchild.locked}">
                            <span class="icon-lock"></span>
                        </c:if>
                        <span class="icon-${pollStatus}"></span>
                    </td>
                    <td headers="Question">
                        <span class="openpoll" onclick="switchPollDisplay('${subchild.identifier}')">
                          ${functions:abbreviate(functions:default(fn:trim(subchild.properties.question.string), subchild.name),30,40,'...')}
                        </span>
                        <br/>
                        <div class="pollDetails pollDetails_${subchild.identifier}" style="display:none;"><template:module path="${subchild.path}"/></div>
                    </td>
                    <td class="hidden-phone-portrait" class="center" headers="End"><fmt:formatDate value="${subchild.properties['endDate'].time}" dateStyle="medium" type="date"/></td>
                </tr>
            </c:if>
        </c:forEach>
        <div class="clear"></div>
        <c:if test="${moduleMap.editable and renderContext.editMode}">
            <template:module path="*"/>
        </c:if>


        </tbody>
    </table>
    <template:include view="hidden.footer">
        <template:param name="searchUrl" value="${url.current}"/>
    </template:include>
</div>


