<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="workflow" uri="http://www.jahia.org/tags/workflow" %>
<%@ taglib prefix="s" uri="http://www.jahia.org/tags/search" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<template:addResources type="javascript" resources="jquery.min.js"/>
<template:addResources type="css" resources="files.css"/>
<template:addResources type="css" resources="jquery.fancybox.css"/>

<template:addResources type="css" resources="poll.css"/>
<template:addResources type="javascript" resources="poll.js"/>

<template:include view="hidden.header"/>
<script type="text/javascript">
    function switchPollDisplay(identifier) {
        $(".pollDetails").each(function () {
            if (!$(this).is(".pollDetails_" + identifier)) {
                $(this).slideUp("medium");
            }
        });
        $(".pollDetails_" + identifier).slideToggle("medium");
        $.post("<c:url value='/cms/storeHistory'/>",{
                h:"docspaceHistory",
                i:identifier
              },null,"json");
    }
    $(document).ready(function () {
        if($("ul.docspace-actions > li").length<2) {
            $(".fileCheckbox").hide();
        }
    });
</script>
<div id="documentList${currentNode.identifier}">

    <table width="100%" class="table pollListTable" summary="Note List Table" id="pollListTable">
        <caption class=" hidden">
        </caption>
        <colgroup>
            <col class="hidden-tablet col1" width="5%" span="1">
            <col class="col2" width="5%" span="1">
            <col class="col3" width="45%" span="1">
            <col class="col4" width="15%" span="1">
            <col class="col5" width="15%" span="1">
            <col class="col6" width="15%" span="1">
        </colgroup>
        <thead>
        <tr>
            <th class="hidden-tablet center" id="Select" scope="col"></th>
            <th class="center" id="Type" scope="col"><fmt:message key="docspace.label.type"/>
            </th>
            <th id="Question" scope="col"><fmt:message key="docspace.label.poll.question"/></th>
            <th class="center" id="NbOfVotes" scope="col"><fmt:message key="docspace.label.poll.numberOfVotes"/></th>
            <th class="center" id="Creation" scope="col"><fmt:message
                    key="docspace.label.creation"/></th>
            <th class="center" id="End" scope="col"><fmt:message
                    key="docspace.label.poll.end"/></th>
        </tr>
        </thead>

        <tbody>
        <c:choose>
            <c:when test="${moduleMap.resultsHits != null}">
			    <s:resultIterator hits="${moduleMap.resultsHits}" begin="${moduleMap.begin}" end="${moduleMap.end}">
			        <c:set var="subchild" value="${hit.rawHit}"/>                
                    <%@ include file="pollItem.jspf" %>
                </s:resultIterator>            
            </c:when>
            <c:otherwise>
                <c:forEach items="${moduleMap.currentList}" var="subchild" begin="${moduleMap.begin}" end="${moduleMap.end}">
                    <%@ include file="pollItem.jspf" %>
                </c:forEach>
            </c:otherwise>
        </c:choose>
        <div class="clear"></div>
        <c:if test="${moduleMap.editable and renderContext.editMode}">
            <template:module path="*"/>
        </c:if>


        </tbody>
    </table>
    <template:include view="hidden.footer">
        <template:param name="searchUrl" value="${url.current}"/>
    </template:include>
</div>


