<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="facet" uri="http://www.jahia.org/tags/facetLib" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<template:addResources type="javascript" resources="jquery.min.js,jquery-ui.min.js"/>

<template:addResources type="css" resources="jquery-ui.smoothness.css,jquery-ui.smoothness-jahia.css"/>

<template:addResources type="javascript" resources="jquery.fancybox.js"/>
<template:addResources type="css" resources="jquery.fancybox.css"/>
<template:addResources type="javascript" resources="managesites.js"/>
<template:addResources type="javascript" resources="jquery.form.js"/>
<template:addResources type="css" resources="loading.css"/>
<jsp:useBean id="sitesIntancesWithNonMemberSpaces" class="java.util.HashMap"/>
<jcr:sql var="allspaces" sql="select * from [docmix:docspace] order by [jcr:created] desc" useRootUser="true" />
<c:forEach items="${allspaces.nodes}" var="space" varStatus="status">
    <c:remove var="userSpace"/>
    <jcr:node var="userSpace" uuid="${space.identifier}"/>
    <c:if test="${empty userSpace or not jcr:hasPermission(userSpace, 'docspace-note')}">
        <c:set target="${sitesIntancesWithNonMemberSpaces}" property="${space.resolveSite.siteKey}" value="${space.resolveSite}"/>
    </c:if>
</c:forEach>
<c:forEach items="${sitesIntancesWithNonMemberSpaces}" var="site" varStatus="status">
    <c:choose>
        <c:when test="${empty uuidSql}">
            <c:set var="uuidSql" value="[jcr:uuid] = '${site.value.identifier}'"/>
        </c:when>
        <c:otherwise>
            <c:set var="uuidSql" value="${uuidSql} or [jcr:uuid] = '${site.value.identifier}'"/>
        </c:otherwise>
    </c:choose>
</c:forEach>
<script type="text/javascript">
    $(document).ready(function() {
        $("ul a.togglerequestspacemember").click(function() {
            $(this).siblings("ul").toggle();
            if($(this).siblings("ul").css("display")== 'none') {
                $(this).removeClass("open");
                $(this).addClass("close");
                $(this).attr("title",'<fmt:message key="label.view"/>');
            } else {
                $(this).removeClass("close");
                $(this).addClass("open");
                $(this).attr("title",'<fmt:message key="label.hide"/>');
            }

        });
        $(".displayNomMemberForm").click(function(){
            $(".request-membership-form").toggle();
            if($(".request-membership-form").css("display")== 'none') {
                $(this).removeClass("open");
                $(this).addClass("close");
                $(this).attr("title",'<fmt:message key="label.view"/>');
            } else {
                $(this).removeClass("close");
                $(this).addClass("open");
                $(this).attr("title",'<fmt:message key="label.hide"/>');
            }
        });
        $('.spaceCheckbox').change(function () {
            spaceCheckboxChecked();
        });

        function spaceCheckboxChecked() {
            var n = $(".spaceCheckbox:checked").length;
            if (n == 0) {
                $('.request-membership-form .button').attr("disabled","true");
            } else {
                $('.request-membership-form .button').removeAttr("disabled");
            }
        }
    });
</script>
<c:if test="${fn:length(sitesIntancesWithNonMemberSpaces) > 0}">
    <h3>${currentNode.displayableName}&nbsp;<a href="#" class="displayNomMemberForm close" title="<fmt:message key="label.view"/>"></a></h3>
    <template:tokenizedForm>
        <form class="request-membership-form"
              action="<c:url value='${url.baseLive}${functions:escapePath(renderContext.user.localPath)}.requestSpaceMembership.do'/>"
              method="post" style="display: none;">
            <input type="hidden" name="redirectToUser"
                   value="<c:url value='${url.baseLive}${functions:escapePath(renderContext.user.localPath)}.workspace-user.html?jsite=${renderContext.site.identifier}'/>"/>
            <ul class="list-sites-with-spaces">
                <jcr:sql var="wiseinstances"
                         sql="select * from [jnt:virtualsite] as site where ${uuidSql} order by site.[jcr:created] desc"
                         useRootUser="true"/>
                <template:initPager id="nonMemberSpaces" totalSize="${fn:length(sitesIntancesWithNonMemberSpaces)}" pageSize="5"/>
                <c:if test="${fn:length(sitesIntancesWithNonMemberSpaces) gt 5}">
                    <template:displayPagination id="nonMemberSpaces"/>
                </c:if>
                <c:forEach items="${wiseinstances.nodes}" var="wiseinstance" begin="${moduleMap['begin']}" end="${moduleMap['end']}">
                    <li>${wiseinstance.displayableName}&nbsp;<a href="#" class="togglerequestspacemember close" title="<fmt:message key="label.view"/>"></a><ul style="display: none">
                    <jcr:sql var="spaces"
                             sql="select * from [docmix:docspace] where isdescendantnode('${functions:sqlencode(wiseinstance.path)}') order by [jcr:created] desc"
                             useRootUser="true"/>
                    <c:forEach items="${spaces.nodes}" var="space" varStatus="status">
                        <c:remove var="userSpace"/>
                        <jcr:node var="userSpace" uuid="${space.identifier}"/>
                        <c:if test="${empty userSpace or not jcr:hasPermission(userSpace, 'docspace-note')}">
                            <li>
                                <input type="checkbox" name="requestedSpaces" value="${space.identifier}" class="spaceCheckbox"/><span
                                    class="icon-docspace"></span>${fn:escapeXml(space.displayableName)}
                                <c:if test="${not empty space.properties['jcr:description']}"><p class="list-sites-with-spaces-dec">${fn:escapeXml(space.properties['jcr:description'].string)}</p></c:if>
                            </li>
                        </c:if>
                    </c:forEach>
                    </ul></li>
                </c:forEach>
            </ul>
            <input type="submit" class="button" value="<fmt:message key='docspace.label.request.membership'/>" disabled="true"/>
        </form>
    </template:tokenizedForm>
</c:if>
