<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="uiComponents" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="propertyDefinition" type="org.jahia.services.content.nodetypes.ExtendedPropertyDefinition"--%>
<%--@elvariable id="type" type="org.jahia.services.content.nodetypes.ExtendedNodeType"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<jcr:node var="user" path="${renderContext.mainResource.node.path}"/>

<template:addResources type="css" resources="userProfile.css"/>
<template:addResources type="javascript" resources="jquery.min.js,jquery-ui.min.js"/>
<template:addResources type="javascript" resources="jquery.jeditable.js"/>
<template:addResources type="javascript" resources="jquery.autocomplete.js"/>
<template:addResources type="css" resources="jquery.autocomplete.css"/>
<template:addCacheDependency flushOnPathMatchingRegexp="${user.path}.*"/>

<fmt:message key="docspace.label.skill.remove" var="removeSkillLabel"/>

<c:set var="levelsJs" value="'':'${removeSkillLabel}'"/>
<jcr:nodeType name="docnt:skill" var="skillNodeType"/>
<c:forEach items="${skillNodeType.declaredPropertyDefinitionsAsMap['level'].valueConstraints}" var="level"
           varStatus="status">
    <fmt:message var="translatedLevel" key="docnt_skill.level.${level}"/>
    <c:set var="levelsJs" value="${levelsJs},'${level}':'${translatedLevel}'"/>
</c:forEach>

<c:url var="postUrl" value="${url.basePreview}${user.path}.manageSkill.do"/>

<c:if test="${jcr:hasPermission(user,'jcr:write') and currentNode.properties['canEdit'].boolean}">
    <script>
        function addSkill($form) {
            var data = {action:'add'};
            var skillName = $form.find('input[name="skillName"]').val();
            if (skillName === undefined || skillName == ""
                    || skillName == "<fmt:message key='docspace.label.skill.type'/>") {
                return;
            }
            data.skillName = skillName;
            $.ajax({
                type: "POST",
                url: "${postUrl}",
                data: data,
                complete: function(result) {
                    location.reload();
                },
                dataType: "json"
            });
        }

        $(document).ready(function() {
            function getText(node) {
                return node["jcr:title"];
            }

            function format(result) {
                return getText(result["node"]);
            }

            $(".searchSkillName").autocomplete("<c:url value='${url.find}'/>", {
                dataType: "json",
                cacheLength: 1,
                parse: function parse(data) {
                    var arr =  $.map(data, function(row) {
                        return {
                            data: row,
                            value: getText(row["node"]),
                            result: getText(row["node"])
                        }
                    });
                    var sorted_arr = arr.sort(function(a,b) {
                        var nameA=a["value"], nameB=b["value"].toLowerCase();
                        if (nameA < nameB) //sort string ascending
                            return -1;
                        if (nameA > nameB)
                            return 1;
                        return 0;
                    });
                    var results = [];
                    for (var i = 0; i < arr.length; i++) {
                        if (i == 0 || sorted_arr[i - 1]["value"] != sorted_arr[i]["value"]) {
                            results.push(sorted_arr[i]);
                        }
                    }
                    return results;
                },
                formatItem: function(item) {
                    return format(item);
                },
                extraParams: {
                    query : "select * from [docnt:skill] as skill where lower(skill.[jcr:title]) like '{$q}%' or lower(skill.[jcr:title]) like '% {$q}%'",
                    escapeColon : "false",
                    propertyMatchRegexp : "{$q}.*",
                    removeDuplicatePropValues : "false"
                }
            });

            $(".editSkillLevel").editable(function (value, settings) {
                        var data = {skillName:$(this).attr('skillName')};
                        if (value == '') {
                            data.action = "remove";
                        } else {
                            data.action = "edit";
                            data.level = value;
                        }

                        $.ajax({
                            type: "POST",
                            url: "${postUrl}",
                            data: data,
                            complete: function(result) {
                                location.reload();
                            },
                            dataType: "json"
                        });
                    }
                        , {
                        type:'select',
                        data:"{${levelsJs}}",
                        submit:'OK'
                    }
            );
        });
    </script>
</c:if>
<div class="skills">
    <jcr:jqom var="result"
              statement="select * from [docnt:skill] where ischildnode('${functions:sqlencode(user.path)}/j:skills') order by [jcr:title]"/>
    <c:set var="canEdit" value="${jcr:hasPermission(user,'jcr:write') and currentNode.properties['canEdit'].boolean}"/>
    <c:if test="${functions:length(result.nodes) > 0 or canEdit}">
        <h3><fmt:message key="docspace.label.user.dashboard.skills" /></h3>
        <ol class="skillList">
            <c:forEach items="${result.nodes}" var="skillnode">
                <li>

                    <span class="floatright inline-editable editSkillLevel" skillName="${skillnode.name}"><fmt:message
                            key="docnt_skill.level.${skillnode.properties.level.string}"/></span>
                        ${skillnode.displayableName}<br class="clear"/>
                </li>
            </c:forEach>
        </ol>
    </c:if>
    <c:if test="${canEdit}">
        <div>
            <form id="addSkillForm" class="addSkillForm" onsubmit="addSkill($(this));return false;">
                <input type="text" name="skillName" value="<fmt:message key='docspace.label.skill.type'/>"
                       onfocus="if(this.value==this.defaultValue)this.value='';"
                       onblur="if(this.value=='')this.value=this.defaultValue;" class="field text-input searchSkillName"/>
                <input class="button addSkill" type="submit" title="<fmt:message key='docspace.label.skill.add'/>" value="<fmt:message key='docspace.label.skill.add'/>">
            </form>
            <br class="clear"/>
        </div>
    </c:if>
</div>