/**
 * Jahia FlexPaper SFW viewer integration
 *
 * @url		http://www.jahia.org/
 * @author	Sergiy Shyrkov <sergiy.shyrkov@jahia.com>
 * @version	2.0
 * Copyright (C) 2002-2014 Jahia Solutions Group SA. All rights reserved.
 */
;(function($) {
	$.fn.docViewer = function(opts) {
		var cp = contextJsParameters, u = 'undefined';
		var allOpts = $.extend({}, $.fn.docViewer.defaults, opts);
		if (typeof opts == u || typeof opts.localeChain == u) {
			var lang = typeof opts != u && typeof opts.lang != u ? opts.lang : null;
			if (lang == null && typeof cp != u && typeof cp.uilang != u) {
				lang = cp.uilang;
			}
			if (lang != null) {
				var all = {bg:'bg_BG',cz:'cz_CS',de:'de_DE',dn:'dn_DN',el:'el_EL',en:'en_US',es:'es_ES',fi:'fi_FN',fr:'fr_FR',he:'he_IL',hu:'hu_HU',it:'it_IT',lt:'lt_LT',nl:'nl_NL',pl:'pl_PL',pt_BR:'pt_BR',pt:'pt_PT',pv:'pv_FN',ru:'ru_RU',se:'se_SE',tr:'tr_TR',zh:'zh_CN',zh_TW:'zh_TW'};
				var l = all[lang] || null;
				if (l == null) {
					var pos = lang.indexOf('_');
					if (pos != -1) {
						l = all[lang.substring(0, pos)] || null;
					}
				}
				if (l != null) {
					allOpts = $.extend(allOpts, {localeChain : l});
				}
			}
		}
		if (typeof allOpts.jsDirectory == u) {
			allOpts.jsDirectory = (typeof cp != u && typeof cp.contextPath != u ? cp.contextPath : '') + '/modules/document-viewer/javascript/flexpaper/';
		}
		if (typeof allOpts.localeDirectory == u) {
			allOpts.localeDirectory = allOpts.jsDirectory + 'locale/';
		}
		
		return this.each(function() {
			var opts = allOpts;
			var el = $(this);
			if (typeof allOpts.SwfFile == u && typeof allOpts.SWFFile == u ) {
				var swfFile;
				if (typeof el.attr('data-swf-file') != u) {
	                swfFile = el.attr('data-swf-file');
				} else if (typeof el.attr('rel') != u) {
	                swfFile = el.attr('rel');
				}
				if (typeof swfFile != u) {
	                swfFile = swfFile.replace("'","%27");
	                opts = $.extend({}, allOpts, {SwfFile : swfFile});
				}
			}
			if (typeof allOpts.PDFFile == u) {
				var pdfFile;
				if (typeof el.attr('data-pdf-file') != u) {
					pdfFile = el.attr('data-pdf-file');
					pdfFile = pdfFile.replace("'","%27");
	                opts = $.extend({}, opts, {PDFFile : pdfFile});
				}
			}
			el.data("docViewer", el.FlexPaperViewer({ config : opts }));
		});
	};

	$.fn.docViewer.defaults = {
            key : "\u0040\u0038\u0065\u0063\u0034\u0039\u0034\u0035\u0031\u0062\u0062\u0037\u0034\u0030\u0033\u0034\u0065\u0031\u0034\u0030\u0024\u0036\u0061\u0064\u0030\u0062\u0066\u0066\u0061\u0038\u0062\u0038\u0032\u0038\u0061\u0066\u0032\u0061\u0061\u0034",
            Scale : 0.6,
            ZoomTransition : 'easeOut',
            ZoomTime : 0.5,
            ZoomInterval : 0.1,
            FitPageOnLoad : false,
            FitWidthOnLoad : true,
            FullScreenAsMaxWindow : false,
            ProgressiveLoading : false,
            MinZoomSize : 0.2,
            MaxZoomSize : 5,
            SearchMatchAll : false,
            InitViewMode : 'Portrait',
            RenderingOrder : 'flash,html5',
            StartAtPage : '',
            
            ViewModeToolsVisible : true,
            ZoomToolsVisible : true,
            NavToolsVisible : true,
            CursorToolsVisible : true,
            SearchToolsVisible : true,
            WMode : 'window',
                
            localeChain: 'en_US'
    };
})(jQuery);