<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<template:addResources type="javascript" resources="jquery.min.js,jquery-ui.min.js"/>
<template:addResources type="css" resources="jquery-ui.smoothness.css,jquery-ui.smoothness-jahia.css"/>

<c:set var="resourceReadOnly" value="${currentResource.moduleParams.readOnly}"/>
<template:include view="hidden.header"/>
<c:set var="isEmpty" value="true"/>
<c:choose>
    <c:when test="${moduleMap.liveOnly eq 'true' && !renderContext.liveMode}">
        <c:if test="${renderContext.editModeConfigName eq 'studiomode'}">
            <div class="area-liveOnly">
                <fmt:message key="label.content.creation.only.live"/>
            </div>
        </c:if>
        <c:if test="${!(renderContext.editModeConfigName eq 'studiomode')}">
            <template:addResources type="javascript" resources="jquery.min.js"/>
            <div id="liveList${currentNode.identifier}"></div>
            <script type="text/javascript">
                $('#liveList${currentNode.identifier}').load('<c:url value="${url.baseLive}${functions:escapePath(currentNode.path)}.html.ajax"/>');
            </script>
        </c:if>
    </c:when>
    <c:otherwise>
        <c:if test="${renderContext.editMode}">
        <c:forEach items="${moduleMap.currentList}" var="subchild" begin="${moduleMap.begin}" end="${moduleMap.end}">
            <template:module node="${subchild}" view="${moduleMap.subNodesView}" editable="${moduleMap.editable && !resourceReadOnly}"/>
            <c:set var="isEmpty" value="false"/>
        </c:forEach>
        <c:if test="${not omitFormatting}"><div class="clear"></div></c:if>
        <c:if test="${moduleMap.editable and renderContext.editMode && !resourceReadOnly}">
            <template:module path="*"/>
        </c:if>
        <c:if test="${not empty moduleMap.emptyListMessage and renderContext.editMode and isEmpty}">
            ${moduleMap.emptyListMessage}
        </c:if>
        </c:if>

        <c:if test="${not renderContext.editMode}">
            <script>
                $(document).ready(function() {
                    $("#accordion${currentNode.identifier}").accordion();
                });
            </script>

            <div id="accordion${currentNode.identifier}">
                <c:forEach items="${moduleMap.currentList}" var="subchild" begin="${moduleMap.begin}" end="${moduleMap.end}">
                    <template:module node="${subchild}" view="${moduleMap.subNodesView}" editable="${moduleMap.editable && !resourceReadOnly}" var="tabContent"/>
                    
                    <c:if test="${not empty tabContent}">
                      <h3><a href="#">${subchild.displayableName}</a></h3>
                      <div>${tabContent}</div>
                      <c:set var="isEmpty" value="false"/>
                    </c:if>  
                </c:forEach>
            </div>
        </c:if>

        <template:include view="hidden.footer"/>
    </c:otherwise>
</c:choose>

