<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="ui" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%@ taglib prefix="workflow" uri="http://www.jahia.org/tags/workflow" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="propertyDefinition" type="org.jahia.services.content.nodetypes.ExtendedPropertyDefinition"--%>
<%--@elvariable id="type" type="org.jahia.services.content.nodetypes.ExtendedNodeType"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<jsp:useBean id="datas" class="java.util.LinkedHashMap"/>
<template:addResources type="css" resources="fullcalendar.css"/>
<template:addResources type="javascript" resources="jquery.min.js"/>
<template:addResources type="javascript" resources="fullcalendar.js"/>
<template:addResources type="javascript" resources="i18n/calendar-${renderContext.mainResourceLocale}.js"/>

<c:choose>
    <c:when test="${jcr:isNodeType(renderContext.mainResource.node, 'docmix:docspace')}">
        <c:set var="docspaceNode" value="${renderContext.mainResource.node}"/>
    </c:when>
    <c:otherwise>
        <c:set var="docspaceNode" value="${jcr:getParentOfType(renderContext.mainResource.node, 'docmix:docspace')}"/>
    </c:otherwise>
</c:choose>
<c:if test="${!empty docspaceNode}">
    <query:definition var="listQuery"
                      statement="select * from [jnt:task] as t where isdescendantnode(t,['${functions:sqlencode(docspaceNode.path)}']) order by [jcr:created] desc"/>

    <jcr:jqom var="result" qomBeanName="listQuery"/>
    <c:forEach items="${result.nodes}" var="linkedChild" varStatus="status">
        <c:set value="${jcr:findDisplayableNode(linkedChild, renderContext)}" var="displayableNode"/>

        <fmt:formatDate pattern="yyyy-MM-dd"
                        value="${linkedChild.properties['dueDate'].date.time}"
                        var="startDate"/>
        <jsp:useBean id="data" class="java.util.LinkedHashMap"/>
        <c:set target="${datas}" property="${fn:length(datas)}" value="${data}"/>
        <c:set target="${data}" property="startDate" value="${startDate}"/>
        <c:set target="${data}" property="title" value="${linkedChild.properties['jcr:title'].string}"/>
        <c:set target="${data}" property="allday" value="true"/>
        <c:url value="${url.base}${displayableNode.path}.html" var="displayLink"/>	
        <c:set target="${data}" property="link" value="${displayLink}"/>
        <c:choose>
        <c:when test="${linkedChild.properties['state'].string eq 'finished'}">
            <c:set var="taskStatus" value="finishedTask"/>
        </c:when>
        <c:otherwise>
            <c:set var="taskStatus" value="unfinishedTask"/>
        </c:otherwise>
        </c:choose>
        <c:choose>
            <c:when test="${linkedChild.properties['type'].string eq 'docspace-task-on-file'}">
                <c:set target="${data}" property="className" value="['docspace-task-on-file','${taskStatus}']"/>
            </c:when>
            <c:when test="${linkedChild.properties['type'].string eq 'docspace'}">
                <c:set target="${data}" property="className" value="['docspace','${taskStatus}']"/>
            </c:when>
            <c:otherwise>
                <c:set target="${data}" property="className" value="['genericTask','${taskStatus}']"/>
            </c:otherwise>
        </c:choose>


        <c:remove var="data"/>
    </c:forEach>


    <workflow:workflowForPath path="${renderContext.mainResource.node.path}/%" var="test"/>
    <c:forEach items="${test}" var="process">
        <jcr:node var="node" uuid="${process.nodeId}"/>
        <c:url value="${url.base}${functions:escapePath(node.path)}.html" var="link"/>
        <c:if test="${not process.completed}">
            <workflow:workflow id="${process.processId}" provider="${process.provider}" var="active"/>
            <c:forEach items="${active.availableActions}" var="task">
                <c:if test="${not empty task.dueDate}">
                    <jsp:useBean id="activeData" class="java.util.LinkedHashMap"/>
                    <fmt:formatDate pattern="yyyy-MM-dd'T'HH:mm:ss'Z'"
                                    value="${task.createTime}"
                                    var="startDate"/>
                    <c:set target="${activeData}" property="startDate" value="${startDate}"/>
                    <fmt:formatDate pattern="yyyy-MM-dd'T'HH:mm:ss'Z'"
                                    value="${task.dueDate}"
                                    var="endDate"/>
                    <c:set target="${activeData}" property="endDate" value="${endDate}"/>
                    <c:set target="${datas}" property="${fn:length(datas)}" value="${activeData}"/>
                    <c:set target="${activeData}" property="title" value="${task.displayName} - ${node.name}"/>
                    <c:set target="${activeData}" property="allday" value="false"/>
                    <c:set target="${activeData}" property="link" value="${link}"/>
                    <c:set target="${activeData}" property="className" value="['workflowtask','unfinishedTask']"/>
                    <c:remove var="activeData"/>
                </c:if>
            </c:forEach>
        </c:if>
        <workflow:workflowHistory var="history" workflowId="${process.processId}"
                                  workflowProvider="${process.provider}"/>
        <c:forEach items="${history}" var="task">
            <c:if test="${not empty task.endTime}">
                <jsp:useBean id="historyData" class="java.util.LinkedHashMap"/>
                <fmt:formatDate pattern="yyyy-MM-dd'T'HH:mm:ss'Z'"
                                value="${task.startTime}"
                                var="startDate"/>
                <c:set target="${historyData}" property="startDate" value="${startDate}"/>
                <c:if test="${(task.endTime.time - task.startTime.time) > 3600000}">
                    <fmt:formatDate pattern="yyyy-MM-dd'T'HH:mm:ss'Z'"
                                    value="${task.endTime}"
                                    var="endDate"/>
                    <c:set target="${historyData}" property="endDate" value="${endDate}"/>
                </c:if>

                <c:set target="${datas}" property="${fn:length(datas)}" value="${historyData}"/>
                <c:set target="${historyData}" property="title" value="${task.displayName} - ${node.name}"/>
                <c:set target="${historyData}" property="allday" value="false"/>
                <c:set target="${historyData}" property="link" value="${link}"/>
                <c:set target="${historyData}" property="className" value="['workflowtask','finishedTask']"/>
                <c:remove var="historyData"/>
            </c:if>
        </c:forEach>
    </c:forEach>
    <script type="text/javascript">
        function MergeJSON(o, ob) {
            for (var z in ob) {
                o[z] = ob[z];
            }
            return o;
        }
        $(document).ready(function () {
            // page is now ready, initialize the calendar...
            var calendarOptions = {
                header:{
                    left:'prev,next today',
                    center:'title',
                    right:'month,agendaWeek,agendaDay'
                },
                <c:if test="${not empty param.calStartDate}">
                year: ${fn:substring(param.calStartDate,0,4)},
                month:(${fn:substring(param.calStartDate,5,7)}-1),
                date: ${fn:substring(param.calStartDate,8,10)},
                </c:if>
                events:[
                    <c:forEach items="${datas}" var="data" varStatus="status">
                    <c:url value="${url.base}${functions:escapePath(renderContext.mainResource.node.path)}.html" var="eventUrl">
                    <c:param name="filter" value="{name:'dueDate',value:'${data.value['date']}',op:'eq',uuid:'${linked.identifier}',format:'yyyy-MM-dd',type:'date'}"/>
                    <c:param name="calStartDate" value="${data.value['date']}"/>
                    </c:url>
                    <c:if test="${not status.first}">,
                    </c:if>
                    {
                        <c:set var="evtTitle" value="${functions:escapeJavaScript(data.value['title'])}"/>
                        title:"${evtTitle}",
                        start:"${data.value['startDate']}",
                        end:"${data.value['endDate']}",
                        url:"${data.value['link']}",
                        allDay: ${data.value['allday']},
                        className:${data.value['className']}
                    }
                    </c:forEach>
                ]
            };
            if (!(typeof i18nDefaults === "undefined")) {
                MergeJSON(calendarOptions, i18nDefaults);
            }
            $('#calendar${currentNode.identifier}').fullCalendar(calendarOptions);
            $('#calendar${currentNode.identifier} a').each(function(elem){
                jQuery(this).attr("rel","nofollow");
            });
        });
    </script>
    <div class="calendar" id="calendar${currentNode.identifier}"></div>
</c:if>

