<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="uiComponents" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<template:addResources type="css" resources="files.css"/>
<template:addResources key="wiseCategoryManagementDialogIndex">
    <style>
        .ui-front {
            z-index:1000000 !important; /* The default is 100. !important overrides the default. */
        }
    </style>

</template:addResources>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="propertyDefinition" type="org.jahia.services.content.nodetypes.ExtendedPropertyDefinition"--%>
<%--@elvariable id="type" type="org.jahia.services.content.nodetypes.ExtendedNodeType"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<jcr:node var="rootCategory" path="/sites/systemsite/categories"/>
<c:if test="${jcr:hasPermission(rootCategory, 'jcr:addChildNodes_default')}">
    <template:addResources type="css" resources="contentinfo.css"/>
    <template:addResources type="css" resources="jquery-ui.smoothness.css,jquery-ui.smoothness-jahia.css"/>
    <template:addResources type="javascript" resources="jquery.min.js,jquery-ui.min.js"/>
    <template:addResources type="javascript" resources="jquery.fancybox.js"/>
    <template:addResources type="javascript" resources="jquery.treeview.min.js"/>
    <template:addResources type="javascript" resources="jquery-ui.min.js"/>
    <template:addResources type="css" resources="jquery.fancybox.css"/>
    <fmt:message var="createCategory" key="docspace.label.category.create" />
    <fmt:message var="deleteCategory" key="docspace.label.category.delete" />
    <fmt:message var="validateTips" key="label.docspace.all.form.fields.are.required" />
    <fmt:message var="titleLength" key="docspace.label.category.title.length" />
    <fmt:message var="titleExists" key="docspace.label.category.title.exists" />
    <fmt:message var="cancel" key="label.cancel"/>
    <script type="text/javascript">
        var selectedCategoryID, selectedCategoryPath;
        var $currentLevel;
        var defaultURL = "<c:url value='${url.baseContribute}'/>";
        var decorateWithTreeView = function () {
            $("#catMgmtList").treeview({
                collapsed:true
            });
            $('.icon-add').click(function () {
                $currentLevel = $(this).parent();
                selectedCategoryID = $(this).attr('id');
                selectedCategoryPath = $(this).attr('jcr:path');
                $("#dialog-form").dialog('open');
                $("#dialog-form").dialog('moveToTop')

            });
            $('.add-category').click(function () {
                $currentLevel = $("#foldertree");
                selectedCategoryID = $(this).attr('id');
                selectedCategoryPath = $(this).attr('jcr:path');
                $("#dialog-form").dialog('open');
                $("#dialog-form").dialog('moveToTop')

            });
            $('.icon-delete').click(function () {
                $currentLevel = $(this).parent();
                selectedCategoryID = $(this).attr('id');
                selectedCategoryPath = $(this).attr('jcr:path');
                $("#dialog-confirm").dialog('open');
                $("#dialog-confirm").dialog('moveToTop');
            });
        };
        $(document).ready(function () {
            var title = $("#title");
            var tips = $(".validateTips");
// Set JQuery to traditional
            $.ajaxSetup({traditional:true, cache:false});


            $("a#showCatMgmt").fancybox({
                margin:50,
                scrolling:'auto',
                width:600,
                height:400,
                autoSize:false,
                beforeShow:decorateWithTreeView
            });

            $("#dialog-confirm").dialog({
                autoOpen:false,
                resizable:false,
                height:180,
                modal:true,
                zIndex:9000,
                buttons:{
                    "${deleteCategory}":function () {
                        $.post(defaultURL + selectedCategoryPath, {jcrMethodToCall:'delete'}, function (result) {
                            alert("<fmt:message key="docspace.label.deletion.has.been.successful"/>");
                            $("#dialog-confirm").dialog("close");
                            $.get("<c:url value='${url.basePreview}${functions:escapePath(currentNode.path)}.tree.html.ajax'/>", {},
                                    function (data) {
                                        $.fancybox({
                                            content:data,
                                            margin:50,
                                            scrolling:'auto',
                                            width:600,
                                            height:400,
                                            autoSize:false,
                                            beforeShow:decorateWithTreeView
                                        });
                                    });
                        }, "json");
                    },
                    "${cancel}":function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dialog-form").dialog({
                autoOpen:false,
                resizable:false,
                height:180,
                modal:true,
                zIndex:9000,
                open : function() {
                    title.removeClass("ui-state-error");
                    tips.text('${validateTips}');
                    title.value="";
                },
                buttons:{
                    "${createCategory}":function () {
                        if (validateCategoryTitle(title, 3, 80)) {
                            $.post(defaultURL + selectedCategoryPath + "/*",
                                    {'jcr:title':title.val(), jcrNodeType:"jnt:category", jcrNodeName:title.val()},
                                    function (result) {
                                        alert("<fmt:message key="label.docspace.creation.has.been.successful"/>");
                                        $("#dialog-confirm").dialog("close");
                                        $.get("<c:url value='${url.basePreview}${functions:escapePath(currentNode.path)}.tree.html.ajax'/>",
                                                {}, function (data) {
                                                    $.fancybox({
                                                        content:data,
                                                        margin:50,
                                                        scrolling:'auto',
                                                        width:600,
                                                        height:400,
                                                        autoSize:false,
                                                        beforeShow:decorateWithTreeView
                                                    });
                                                });
                                    }, "json");
                            $(this).dialog("close");
                        }
                    },
                    "${cancel}":function () {
                        $(this).dialog("close");
                    }
                }
            });

            function updateTips(t) {
                tips.text(t).addClass("ui-state-highlight");
                setTimeout(function () {
                    tips.removeClass("ui-state-highlight", 1500);
                }, 500);
            }

            var titleLength = "${titleLength}";
            var titleExists = "${titleExists}";
            function validateCategoryTitle(title, min, max) {
                var existingTitles = $currentLevel.children('ul').children('li').map(function() {return $(this).children('span.category-label').text();});
                if (title.val().length > max || title.val().length < min) {
                    title.addClass("ui-state-error");
                    updateTips(titleLength.replace("{0}", min).replace("{1}", max));
                    return false;
                } else if ($.inArray(title.val(), existingTitles) > -1) {
                    title.addClass("ui-state-error");
                    updateTips(titleExists.replace("{0}", title.val()));
                    return false;
                } else {
                    return true;
                }
            }
        });
    </script>
    <a id="showCatMgmt" class="fancybox.ajax" href="<c:url value='${url.basePreview}${functions:escapePath(currentNode.path)}.tree.html.ajax'/>"><fmt:message
            key="label.docspace.manage.categories"/></a>
    <c:if test="${not renderContext.editMode}">
        <div id="dialog-confirm" title="${deleteCategory}" style="display: none;">
            <p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span><fmt:message
                    key="label.docspace.items.will.be.deleted"/></p>
        </div>

        <div id="dialog-form" title="${createCategory}">
            <p class="validateTips">${validateTips}</p>

            <form>
                <fieldset>
                    <label for="title"><fmt:message key="label.title"/></label>
                    <input type="text" name="jcr:title" id="title" class="text ui-widget-content ui-corner-all"/>
                </fieldset>
            </form>
        </div>
    </c:if>
</c:if>