package jnt_categoryManagement.html

import org.jahia.taglibs.jcr.node.JCRTagUtils
import org.jahia.utils.i18n.JahiaResourceBundle
import org.apache.commons.lang.StringEscapeUtils

if (renderContext.editMode) {
    print("This will render folders as a tree")
} else {
    def addLabel = JahiaResourceBundle.getString("DefaultJahiaTemplates", "label.add", renderContext.UILocale, "Default Jahia Templates");
    def deleteLabel = JahiaResourceBundle.getString("DefaultJahiaTemplates", "label.delete", renderContext.UILocale, "Default Jahia Templates");
    def base = renderContext.site.getSession().getNode("/sites/systemsite/categories");
    def displayTree;
    displayTree = {parent ->
        def childs = JCRTagUtils.getChildrenOfType(parent, "jnt:category");
        childs.each {childNode ->
            println "<ul style=\"display: none;\">";
            print "<li><span class=\"icon-category\"></span><span class=\"category-label\">" + StringEscapeUtils.escapeXml(childNode.displayableName)+"</span><span class=\"icon-delete\" id=\""+childNode.identifier+"\" jcr:path=\""+childNode.path+"\"><span>"+deleteLabel+"</span></span>"+"&nbsp;<span class=\"icon-add\" id=\""+childNode.identifier+"\" jcr:path=\""+childNode.path+"\"><span>"+addLabel+"</span></span>";
            displayTree(childNode);
            println "</li>"
            println "</ul>"
        }
    }
    println "<h3>" + JahiaResourceBundle.getString("DefaultJahiaTemplates", "label.categories", renderContext.UILocale, "Default Jahia Templates") + "</h3>";
    if (JCRTagUtils.hasChildrenOfType(base, "jnt:category")) {
        println "<div id=\"foldertree\">";
        println "<ul id=\"catMgmtList\">"
        def childs = JCRTagUtils.getChildrenOfType(base, "jnt:category");
        childs.each {childNode ->
            println "<li><span class=\"icon-category\"></span><span class=\"category-label\">" + StringEscapeUtils.escapeXml(childNode.displayableName)+"</span><span class=\"icon-delete\" id=\""+childNode.identifier+"\" jcr:path=\""+childNode.path+"\"><span>"+deleteLabel+"</span></span>"+"&nbsp;<span class=\"icon-add\" id=\""+childNode.identifier+"\" jcr:path=\""+childNode.path+"\"><span>"+addLabel+"</span></span>";
            displayTree(childNode);
            println "</li>"
        }
        println "</ul></div>";
    }
    println "<span class=\"add-category\" id=\""+base.identifier+"\" jcr:path=\"/sites/systemsite/categories\">"+ JahiaResourceBundle.getString("DefaultJahiaTemplates", "label.newCategory", renderContext.UILocale, "Default Jahia Templates") +"</span>";
}
