<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="dm" uri="http://www.jahia.org/tags/document-management" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="propertyDefinition" type="org.jahia.services.content.nodetypes.ExtendedPropertyDefinition"--%>
<%--@elvariable id="type" type="org.jahia.services.content.nodetypes.ExtendedNodeType"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<span class="docspace-inline-meta">(${currentNode.fileContent.contentType})</span>
<c:set var="useImage" value="${fn:startsWith(currentNode.fileContent.contentType,'image/')}"/>
<c:if test="${!useImage}">
    <c:set var="useText" value="${fn:startsWith(currentNode.fileContent.contentType,'text/')}"/>
    <c:if test="${!useText}">
        <c:set var="swfUrl" value="${dm:getViewUrl(currentNode, true)}"/>
    </c:if>
</c:if>

<c:choose>
    <c:when test="${not empty swfUrl and renderContext.channel.capabilities['full_flash_support'] ne 'false'}">
        <c:url var="swfUrl" value="${swfUrl}" context="/"/>
        <template:addResources type="javascript" resources="jquery.min.js,flexpaper/flexpaper.min.js,jahia.swfview.min.js"/>
        <%--
        when we will enable HTML5 rendering this one will be needed
        <template:addResources type="javascript" resources="jquery.min.js,flexpaper/jquery.extensions.min.js,flexpaper/flexpaper.min.js,jahia.swfview.min.js"/>
        <template:addResources type="css" resources="flexpaper.css"/>
        --%>
        <template:addResources type="inlinejavascript">
        <script type="text/javascript">
		    function docViewerUpdate(label) {
                url = '${fn:replace(currentNode.url,"'","%27")}';
                $("#dam-viewer").docViewer({SwfFile : url + '?t=swfView' + '%26l=' + label});
			}
			$(document).ready(function() {
				$("#dam-viewer").width($("#fullWidthDiv").width());
				$("#dam-viewer").docViewer();
	        });
        </script>
        </template:addResources>
        <div id="fullWidthDiv">&nbsp;</div>
        <a id="dam-viewer" style="height:630px; display:block" rel="${swfUrl}"></a>
    </c:when>
    <c:when test="${useImage}">
        <template:addResources type="javascript" resources="jquery.min.js"/>
        <template:addResources type="inlinejavascript">
        <script type="text/javascript">
		    function docViewerUpdate(label) {
                url = '${fn:replace(currentNode.url,"'","%27")}';
                $("#image").attr("src",url+"?l="+label);
		    }

            resize = function() {
            	var fullWidth = $("#fullWidthDiv").width();
            	var img = $("#image");
            	if (img.attr('width') == 'undefined' || img.attr('width') > fullWidth) {
                	img.width(fullWidth);
            	}
            	img.show();
            }
            $(window).load(resize);
            $(window).resize(resize);
        </script>
        </template:addResources>
        <div id="fullWidthDiv">&nbsp;</div>

        <template:addResources type="css" resources="files.css"/>
        <c:set var="imgWidth" value="${currentNode.properties['j:width'].string}"/><c:if test="${not empty imgWidth}"><c:set var="imgWidth"> width="${imgWidth}"</c:set></c:if>
        <img id="image" src="<c:url value='${currentNode.url}' context='/' />" style="display: none"${not empty imgWidth ? imgWidth : ''}/>
    </c:when>
    <c:when test="${useText}">
        <pre>${fn:escapeXml(currentNode.fileContent.text)}</pre>
    </c:when>
    <c:otherwise>
        <template:addResources type="css" resources="files.css"/>
        <span class="icon ${functions:fileIcon(currentNode.name)}"></span><a href="<c:url value='${currentNode.url}' context='/'/>">${fn:escapeXml(currentNode.name)}</a>
    </c:otherwise>
</c:choose>
