<%@ page import="org.jahia.modules.docspace.filters.DocumentListViewFilter" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="workflow" uri="http://www.jahia.org/tags/workflow" %>
<%@ taglib prefix="s" uri="http://www.jahia.org/tags/search" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<template:addResources type="javascript" resources="jquery.min.js"/>
<template:addResources type="css" resources="files.css"/>
<template:addResources type="css" resources="jquery.fancybox.css"/>
<template:include view="hidden.header"/>
<template:addResources type="inlinejavascript">
<script type="text/javascript">
    $(document).ready(function() {
                $(".checkAll").click(
                        function () {
                            $(".fileCheckbox").each(function (index) {
                                if ($(".checkAll").attr("checked") == "checked") {
                                    $(this).attr("checked","checked");
                                } else {
                                    $(this).removeAttr("checked");
                                }
                            });
                            fileCheckBoxChecked();
                        })}
    );
</script>
</template:addResources>
<%@include file="switchView.jspf"%>
<div id="documentList${currentNode.identifier}">

    <table width="100%" class="table fileListTable" summary="file List Table" id="fileListTable">
        <caption class=" hidden">
        </caption>
        <colgroup>
            <col span="1" width="5%" class="col1"/>
            <col span="1" width="5%" class="col2"/>
            <col span="1" width="35%" class="col3"/>
            <col span="1" width="5%" class="col4"/>
            <col span="1" width="10%" class="col5"/>
            <col span="1" width="20%" class="col6"/>
            <col span="1" width="10%" class="col7"/>
            <col span="1" width="10%" class="col8"/>
        </colgroup>
        <thead>
        <tr>
            <th class="hidden-tablet center" id="Select" scope="col"><input type="checkbox" class="allFileCheckbox checkAll"/></th>
            <th class="center" id="Type" scope="col"><fmt:message key="docspace.label.type"/>
            </th>
            <th id="FileName" scope="col"><fmt:message key="docspace.label.file.name"/></th>
            <th class="center" id="Download" scope="col"><fmt:message key="docspace.label.download"/></th>
            <th class="center" id="Creation" scope="col"><fmt:message
                    key="docspace.label.creation"/></th>
            <th class="center" id="LastModif" scope="col"><fmt:message
                    key="docspace.label.lastmodificationdate"/></th>
            <th id="Author" scope="col"><fmt:message key="docspace.label.author"/></th>
            <%--<th id="Rating" scope="col"><fmt:message key="docspace.label.rating"/></th>--%>
            <th id="Workflow" scope="col"><fmt:message key="docmix_docspaceDocument.documentStatus"/></th>
        </tr>
        </thead>

        <tbody>
        <c:choose>
            <c:when test="${moduleMap.resultsHits != null}">
			    <s:resultIterator hits="${moduleMap.resultsHits}" begin="${moduleMap.begin}" end="${moduleMap.end}">
			        <c:set var="subchild" value="${hit.rawHit}"/>                
                    <%@ include file="folderItem.jspf" %>
                </s:resultIterator>            
            </c:when>
            <c:otherwise>
                <c:forEach items="${moduleMap.currentList}" var="subchild" begin="${moduleMap.begin}" end="${moduleMap.end}">
                    <%@ include file="folderItem.jspf" %>
                </c:forEach>
            </c:otherwise>
        </c:choose>
        <div class="clear"></div>
        <c:if test="${moduleMap.editable and renderContext.editMode}">
            <template:module path="*"/>
        </c:if>


        </tbody>
    </table>
    <template:include view="hidden.footer">
        <template:param name="searchUrl" value="${url.current}"/>
    </template:include>
</div>
