<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="facet" uri="http://www.jahia.org/tags/facetLib" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<template:addResources type="javascript" resources="jquery.min.js,jquery-ui.min.js"/>

<template:addResources type="css" resources="jquery-ui.smoothness.css,jquery-ui.smoothness-jahia.css"/>

<template:addResources type="javascript" resources="jquery.fancybox.js"/>
<template:addResources type="css" resources="jquery.fancybox.css"/>
<template:addResources type="javascript" resources="managesites.js"/>
<template:addResources type="javascript" resources="jquery.form.js"/>
<template:addResources type="css" resources="loading.css"/>
<template:addResources type="css" resources="edit-site-form.css"/>
<template:include view="hidden.header"/>

<c:set var="currentLocale">${currentResource.locale}</c:set>

<jsp:useBean id="nowDate" class="java.util.Date" />
<fmt:formatDate value="${nowDate}" pattern="yyyy-MM-dd-HH-mm" var="now"/>

<script type="text/javascript">
    $(document).ready(function() {
        $("a.changePropertiesButton").fancybox();
        $("a.detailsButton").fancybox({
            margin : 50,
            scrolling : 'auto',
            width : 600,
            height : 400,
            autoDimensions : false,
            type : 'ajax'
        });
        $("ul.list-sites-with-spaces a.togglelistsites").click(function() {
            $(this).siblings("ul").toggle();
            if($(this).siblings("ul").css("display")== 'none') {
                $(this).removeClass("open");
                $(this).addClass("close");
                $(this).attr("title",'<fmt:message key="label.view"/>');
            } else {
                $(this).removeClass("close");
                $(this).addClass("open");
                $(this).attr("title",'<fmt:message key="label.hide"/>');
            }
        });
    });
</script>
<ul class="list-sites-with-spaces">
<c:forEach items="${moduleMap.currentList}" var="node" begin="${moduleMap.begin}" end="${moduleMap.end}">
    <c:choose>
        <c:when test="${currentNode.properties.typeOfContent.string eq 'contents'}">
            <c:set var="page" value="/contents"/>
        </c:when>
        <c:when test="${currentNode.properties.typeOfContent.string eq 'files'}">
            <c:set var="page" value="/files"/>
        </c:when>
        <c:otherwise>
            <c:set var="page" value="/${node.home.name}"/>
        </c:otherwise>
    </c:choose>
    <c:set var="baseLive" value="${url.baseLive}"/>
    <c:set var="basePreview" value="${url.basePreview}"/>
    <c:set var="baseContribute" value="${url.baseContribute}"/>
    <c:set var="baseEdit" value="${url.baseEdit}"/>
    <c:if test="${not functions:contains(node.languages, currentLocale)}">
        <c:set var="localeLength" value="${fn:length(currentLocale)}"/>
        <c:set var="baseLive"
               value="${fn:substring(url.baseLive,-1,fn:length(url.baseLive)-localeLength)}${currentResource.locale}"/>
        <c:set var="basePreview"
               value="${fn:substring(url.basePreview,-1,fn:length(url.basePreview)-localeLength)}${currentResource.locale}"/>
        <c:set var="baseContribute"
               value="${fn:substring(url.baseContribute,-1,fn:length(url.baseContribute)-localeLength)}${currentResource.locale}"/>
        <c:set var="baseEdit"
               value="${fn:substring(url.baseEdit,-1,fn:length(url.baseEdit)-localeLength)}${currentResource.locale}"/>
    </c:if>
    <c:set var="baseContribute" value="${fn:replace(baseContribute,'/contribute/' ,'/wsfactory/' )}"/>
    <c:set var="remotelyPublished" value="${jcr:isNodeType(node,'jmix:remotelyPublished')}"/>
    <li>
        <c:choose>
            <c:when test="${currentNode.properties.contribute.boolean  && jcr:hasPermission(node,'contributeModeAccess') && !renderContext.settings.distantPublicationServerMode && not remotelyPublished}">
                <a href="<c:url value='${baseContribute}${node.path}${page}.html'/>">${node.displayableName}</a>&nbsp;<a href="#" class="togglelistsites open" title="<fmt:message key="label.hide"/>"></a>
            </c:when>
            <c:otherwise>${node.displayableName}</c:otherwise>
        </c:choose>
        <c:choose>
            <c:when test="${not empty node and (jcr:hasPermission(node,'editModeAccess') || jcr:hasPermission(node,'contributeModeAccess'))}">
                <c:set var="siteId" value="${node.properties['j:siteId'].long}"/>
                <c:if test="${currentNode.properties.administrationlink.boolean && jcr:hasPermission(node,'adminVirtualSites')}">
                    <a href="<c:url value='/administration/?do=change&changesite=${siteId}#sites'/>"
                       title="<fmt:message key='label.administration'/>"><img
                            src="<c:url value='${url.currentModule}/css/img/admin.png'/>" width="16" height="16" alt=" "
                            role="presentation" style="position:relative; top: 3px; margin-right:2px; "/></a>
                </c:if>
                <c:if test="${currentNode.properties.edit.boolean && jcr:hasPermission(node,'editModeAccess') && !renderContext.settings.distantPublicationServerMode && not remotelyPublished}">
                    <a href="<c:url value='${baseEdit}${node.path}${page}.html'/>"
                       title="<fmt:message key='label.editMode'/>"><img
                            src="<c:url value='${url.currentModule}/css/img/editMode.png'/>" width="16" height="16" alt=" "
                            role="presentation" style="position:relative; top: 3px; margin-right:2px; "/></a>
                </c:if>
                <c:if test="${currentNode.properties.contribute.boolean  && jcr:hasPermission(node,'contributeModeAccess') && !renderContext.settings.distantPublicationServerMode && not remotelyPublished}">
                    <c:url value='${url.currentModule}/css/img/contribute.png' var="icon"/>
                    <c:if test="${currentNode.properties.typeOfContent.string eq 'contents'}">
                        <c:url value='${url.currentModule}/css/img/content-manager-1616.png' var="icon"/>
                    </c:if>
                    <a href="<c:url value='${baseContribute}${node.path}${page}.html'/>"
                       title="<fmt:message key='label.contribute'/>"><img
                            src="${icon}" width="16" height="16" alt=" " role="presentation"
                            style="position:relative; top: 3px; margin-right:2px; "/></a>
                </c:if>
                <c:if test="${currentNode.properties.preview.boolean && jcr:hasPermission(node,'jcr:read_default') && !renderContext.settings.distantPublicationServerMode && not remotelyPublished}">
                    <a href="<c:url value='${basePreview}${node.path}${page}.html'/>"
                       title="<fmt:message key='label.preview'/>"><img
                            src="<c:url value='${url.currentModule}/css/img/preview.png'/>" width="16" height="16" alt=" "
                            role="presentation" style="position:relative; top: 3px; margin-right:2px; "/></a>
                </c:if>
                <c:if test="${currentNode.properties.live.boolean && (node.home.properties['j:published'].boolean or remotelyPublished)}">
                    <a href="<c:url value='${baseLive}${node.path}${page}.html'/>"
                       title="<fmt:message key='label.live'/>"><img
                            src="<c:url value='${url.currentModule}/css/img/live.png'/>" width="16" height="16" alt=" "
                            role="presentation" style="position:relative; top: 3px; margin-right:2px; "/></a>
                </c:if>
                <c:if test="${currentNode.properties.editproperties.boolean && jcr:hasPermission(node,'adminVirtualSites')}">
                    <a href="#editSiteDiv${node.identifier}" class="changePropertiesButton" id="changePropertiesButton${node.name}"
                       title="<fmt:message key='label.manageSite.changeProperties'/>"><img
                            src="<c:url value='${url.currentModule}/css/img/changeProperties.png'/>" width="16" height="16" alt=" "
                            role="presentation" style="position:relative; top: 3px; margin-right:2px; "/></a>
                </c:if>
                <c:if test="${currentNode.properties.details.boolean && jcr:hasPermission(node,'adminVirtualSites')}">
                    <a href="<c:url value='${basePreview}${node.path}${page}.${currentNode.properties.detailsTemplate.string}.html'/>"
                       class="detailsButton" id="detailsButton${node.name}"
                       title="${currentNode.properties.detailsLabel.string}"><img
                            src="<c:url value='${url.currentModule}/css/img/administrator.png'/>" width="16" height="16" alt=" "
                            role="presentation" style="position:relative; top: 3px; margin-right:2px; "/></a>
                </c:if>
                <c:if test="${jcr:hasPermission(node,'siteAdminGroups')}">
                    <a href="<c:url value='${url.base}${node.path}.manageGroups.html'/>" target="_blank"
                       class="groupMngmtButton" id="groupButton${node.name}" siteid="${siteId}"
                       title="<fmt:message key='label.manageSite.goToGroupAdministration'/>"><img
                            src="<c:url value='${url.currentModule}/css/img/group_edit.png'/>" width="16" height="16" alt=" "
                            role="presentation" style="position:relative; top: 3px; margin-right:2px; "/></a>
                </c:if>

                <c:if test="${currentNode.properties.editproperties.boolean && jcr:hasPermission(node,'adminVirtualSites')}">
                    <div style="display:none">
                        <div id="editSiteDiv${node.identifier}" class="popupSize">
                            <form class="editSiteForm ajaxForm" id="editSiteForm${node.identifier}" action="<c:url value='${url.base}${node.path}.adminEditSite.do'/>" method="post" >
                                <input type="hidden" name="jcrRedirectTo" value="${url.base}${renderContext.mainResource.node.path}">
                                <fieldset>
                                    <legend><fmt:message key="label.manageSite.siteProperties"/></legend>
                                    <h3><fmt:message key="label.manageSite.siteProperties"/></h3>

                                    <p id="siteTitleForm${node.identifier}">
                                        <label for="siteTitle${node.name}"><fmt:message key="jnt_virtualsite.j_title"/> (*)</label>
                                        <input class="inputsize2" type="text" name="siteTitle" id="siteTitle${node.name}" value="${node.properties['j:title'].string}"/>
                                    </p>

                                    <p id="siteServerNameForm${node.identifier}">
                                        <label for="siteServerName${node.name}"><fmt:message key="jnt_virtualsite.j_serverName"/> (*)</label>
                                        <input class="inputsize2" type="text" name="siteServerName" id="siteServerName${node.name}" value="${node.properties['j:serverName'].string}"/>
                                    </p>

                                    <p id="siteDescrForm${node.identifier}">
                                        <label for="siteDescr${node.name}"><fmt:message key="jnt_virtualsite.j_description"/></label>
                                        <textarea class="inputsize2" type="text" name="siteDescr" id="siteDescr${node.name}">${node.properties['j:description'].string}</textarea>
                                    </p>
                                </fieldset>
                                <button site="${node.identifier}" onclick="editProperties('${node.identifier}')"><fmt:message key="label.manageSite.submitChanges"/></button>
                            </form>
                        </div>
                    </div>
                </c:if>
            </c:when>
            <c:otherwise>
                <c:set var="editModeAccess"
                       value="${jcr:findAllowedNodesForPermission('editModeAccess', node, 'jnt:page')}"/>
                <c:set var="contributeModeAccess"
                       value="${jcr:findAllowedNodesForPermission('contributeModeAccess', node, 'jnt:page')}"/>
                <c:set var="previewModeAccess"
                       value="${jcr:findAllowedNodesForPermission('jcr:read_default', node, 'jnt:page')}"/>
                <c:if test="${node.home.properties['j:published'].boolean or not empty editModeAccess or not empty contributeModeAccess or not empty previewModeAccess}">
                    <c:set var="baseLive" value="${url.baseLive}"/>
                    <c:set var="basePreview" value="${url.basePreview}"/>
                    <c:set var="baseContribute" value="${url.baseContribute}"/>
                    <c:set var="baseEdit" value="${url.baseEdit}"/>
                    <c:if test="${not functions:contains(node.languages, currentLocale)}">
                        <c:set var="localeLength" value="${fn:length(currentLocale)}"/>
                        <c:set var="baseLive"
                               value="${fn:substring(url.baseLive,-1,fn:length(url.baseLive)-localeLength)}${currentResource.locale}"/>
                        <c:set var="basePreview"
                               value="${fn:substring(url.basePreview,-1,fn:length(url.basePreview)-localeLength)}${currentResource.locale}"/>
                        <c:set var="baseContribute"
                               value="${fn:substring(url.baseContribute,-1,fn:length(url.baseContribute)-localeLength)}${currentResource.locale}"/>
                        <c:set var="baseEdit"
                               value="${fn:substring(url.baseEdit,-1,fn:length(url.baseEdit)-localeLength)}${currentResource.locale}"/>
                    </c:if>
                    <c:set var="baseContribute" value="${fn:replace(baseContribute,'/contribute/' ,'/wsfactory/' )}"/>
                    <c:if test="${not empty editModeAccess && currentNode.properties.contribute.boolean && !renderContext.settings.distantPublicationServerMode}">
                        <a href="<c:url value='${baseEdit}${editModeAccess[0].path}.html'/>"
                           title="<fmt:message key='label.editMode'/>"><img
                                src="<c:url value='${url.currentModule}/css/img/editMode.png'/>" width="16" height="16" alt=" "
                                role="presentation" style="position:relative; top: 3px; margin-right:2px; "/></a>
                    </c:if>

                    <c:if test="${not empty contributeModeAccess && currentNode.properties.contribute.boolean && !renderContext.settings.distantPublicationServerMode}">
                        <a href="<c:url value='${baseContribute}${contributeModeAccess[0].path}.html'/>"
                           title="<fmt:message key='label.contribute'/>"><img
                                src="<c:url value='${url.currentModule}/css/img/contribute.png'/>" width="16" height="16" alt=" "
                                role="presentation" style="position:relative; top: 3px; margin-right:2px; "/></a>
                    </c:if>

                    <c:if test="${not empty previewModeAccess && currentNode.properties.preview.boolean && !renderContext.settings.distantPublicationServerMode}">
                        <a href="<c:url value='${basePreview}${previewModeAccess[0].path}.html'/>"
                           title="<fmt:message key='label.preview'/>"><img
                                src="<c:url value='${url.currentModule}/css/img/preview.png'/>" width="16" height="16" alt=" "
                                role="presentation" style="position:relative; top: 3px; margin-right:2px; "/></a>
                    </c:if>
                    <c:if test="${currentNode.properties.live.boolean && node.home.properties['j:published'].boolean}">
                        <a href="<c:url value='${baseLive}${node.path}${page}.html'/>"
                           title="<fmt:message key='label.live'/>"><img
                                src="<c:url value='${url.currentModule}/css/img/live.png'/>" width="16" height="16" alt=" "
                                role="presentation" style="position:relative; top: 3px; margin-right:2px; "/></a>
                    </c:if>
                </c:if>
            </c:otherwise>
        </c:choose>
        <jcr:sql var="spaces" sql="select * from [docmix:docspace] where isdescendantnode('${functions:sqlencode(node.path)}') order by [jcr:title] asc"/>
        <c:forEach items="${spaces.nodes}" var="space" varStatus="status">
        <c:if test="${status.first}"><ul style="display: block;"></c:if>
            <li>
                <span class="icon-docspace"></span><a href="<c:url value='/cms/wsfactory/default/${currentResource.locale}${space.path}.html'/>">${fn:escapeXml(space.displayableName)}</a>
                <jcr:node var="acl" path="${space.path}/j:acl/GRANT_u_${renderContext.user.username}"/>
                <c:if test="${not empty acl}">
                    <c:forEach items="${acl.properties['j:roles']}" var="role" varStatus="roleStatus">
                       ${roleStatus.first ? '(' : ', '}<span title="<fmt:message key='docspace.label.docspace.role.${role.string}'/>"><fmt:message key="docspace.label.docspace.role.${role.string}.short"/></span>${roleStatus.last ? ')' : ''}
                    </c:forEach>
                </c:if>
            </li>
        <c:if test="${status.last}"></ul></c:if>
        </c:forEach>
    </li>
</c:forEach>
</ul>

<c:if test="${currentNode.properties.delete.boolean && jcr:hasPermission(root,'adminVirtualSites')}">
    <form class="deleteSiteForm ajaxForm" id="deleteSiteForm" action="<c:url value='${url.base}/sites.adminDeleteSite.do'/>" >
    </form>
</c:if>
<c:if test="${currentNode.properties.export.boolean && jcr:hasPermission(root,'adminVirtualSites')}">
    <form class="exportForm ajaxForm"  name="export" id="exportForm" method="POST">
        <input type="hidden" name="exportformat" value="site"/>
        <input type="hidden" name="live" value="true"/>
    </form>
</c:if>

<template:include view="hidden.footer"/>
