<%@ taglib prefix="uiComponents" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<template:addResources type="javascript" resources="jquery.min.js"/>

<c:set var="boundComponent"
       value="${uiComponents:getBindedComponent(currentNode, renderContext, 'j:bindedComponent')}"/>

<c:url var="postUrl" value="${url.base}${functions:escapePath(boundComponent.path)}.setDocspacePermissions.do"/>
<c:url var="postUrl" value="${functions:escapeJavaScript(postUrl)}"/>
<c:set var="aclInheritanceBreak" value="${boundComponent.aclInheritanceBreak}"/>
<c:set var="parentWithAclBreak" value="${functions:getParentWithAclInheritanceBroken(boundComponent)}"/>

<c:if test="${not param.hideForm}">
<template:addResources>
    <script type="text/javascript">
        $(document).ready(function () {

            <c:if test="${!aclInheritanceBreak}">
            $('#document-permissions-members').hide();
            </c:if>
            $("input[name='document-permissions-inherited']").click(function () {
                var breakinheritance = $(this).val() == 'false';
                $.post("${postUrl}", {'inherited':!breakinheritance}, function (result) {
                    if (breakinheritance) {
                        $('#document-permissions-members').show('fast');
                    } else {
                        $('#document-permissions-members').hide('fast');
                    }
                }, "json");
            });
        });
    </script>
</template:addResources>
<c:if test="${param.display_title eq 'true'}">
    <h3><fmt:message key="label.engineTab.permissions"/></h3>
</c:if>
<input id="document-permissions-inherited" name="document-permissions-inherited" type="radio"
       value="true"${!aclInheritanceBreak ? ' checked="checked"' : ''}/>
&nbsp;<label for="document-permissions-inherited" class="normal-font">
<c:if test="${not empty parentWithAclBreak}">
    <fmt:message key="label.home" var="i18nHome"/>
    <fmt:message key="label.inheritedFrom"/>&nbsp;<a href="<c:url
        value='/cms/wsfactory/default/${currentResource.locale}${functions:escapePath(parentWithAclBreak.path)}.html'/>">${fn:escapeXml(jcr:isNodeType(parentWithAclBreak, "docmix:docspace") ? i18nHome : functions:abbreviate(parentWithAclBreak.displayableName, 20, 25, '...'))}</a>
</c:if>
<c:if test="${empty parentWithAclBreak}">
    <fmt:message key="label.inherited"/>
</c:if>
</label>
<br/>
<input id="document-permissions-customized" name="document-permissions-inherited" type="radio"
       value="false"${aclInheritanceBreak ? ' checked="checked"' : ''}/>
&nbsp;<label for="document-permissions-customized" class="normal-font"><fmt:message
        key="docspace.permissions.customized"/></label>
<br/>

<div class="clear"></div>

<div id="document-permissions-members">
</c:if>
    <template:include view="default">
        <template:param name="membersManagementSourceNode"
                        value="${not empty parentWithAclBreak ? parentWithAclBreak.path : jcr:getParentOfType(boundComponent, 'docmix:docspace').path}"/>
    </template:include>
<c:if test="${not param.hideForm}">
</div>
</c:if>