<%@ page contentType="text/html; UTF-8" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="user" uri="http://www.jahia.org/tags/user" %>

<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="social" uri="http://www.jahia.org/tags/socialLib" %>

<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<jcr:nodeProperty node="${currentNode}" name="jcr:createdBy" var="createdBy"/>
<jcr:nodeProperty node="${currentNode}" name="content" var="content"/>
<c:if test="${createdBy.string ne ' guest '}">
    <jcr:node var="userNode" path="${user:lookupUser(createdBy.string).localPath}"/>
    <c:forEach items="${userNode.properties}" var="property">
        <c:if test="${property.name == 'j:firstName'}"><c:set var="firstname" value="${property.string}"/></c:if>
        <c:if test="${property.name == 'j:lastName'}"><c:set var="lastname" value="${property.string}"/></c:if>
        <c:if test="${property.name == 'j:email'}"><c:set var="email" value="${property.string}"/></c:if>
        <c:if test="${property.name == 'j:title'}"><c:set var="title" value="${property.string}"/></c:if>
    </c:forEach>
</c:if>

<jcr:node var="adminSite" path="/sites/wsfaccess"/>
<c:url var="userUrl"
       value='${url.baseLive}${userNode.path}.workspace-public-user.html?jsite=${adminSite.identifier}'/>
<c:if test="${userNode.name eq renderContext.user.name}">
    <c:url var="userUrl"
           value='${url.baseLive}${userNode.path}.workspace-user.html?jsite=${adminSite.identifier}'/>
</c:if>

<c:if test="${jcr:hasPermission(currentNode, 'jcr:removeNode_default')}">
    <form action="<c:url value='${url.base}${functions:escapePath(currentNode.path)}'/>" method="post" id="${currentNode.identifier}_deleteForm">
        <input type="hidden" name="jcrRedirectTo" value="<c:url value='${url.base}${functions:escapePath(renderContext.mainResource.node.path)}'/>"/>
        <input type="hidden" name="jcrNewNodeOutputFormat" value="html"/>
        <input type="hidden" name="jcrMethodToCall" value="delete"/>
    </form>
</c:if>

<li class="genericListCommentLi">
    <div class="image">
        <div class="itemImage itemImageLeft">

            <jcr:nodeProperty var="picture" node="${userNode}" name="j:picture"/>
            <c:if test="${not empty picture}"><img
                    src="${picture.node.thumbnailUrls['avatar_60']}"
                    alt="${fn:escapeXml(title)} ${fn:escapeXml(firstname)} ${fn:escapeXml(lastname)}"
                    width="60"
                    height="60"/>
            </c:if>
            <c:if test="${empty picture}"><img width="60" height="60" alt="" src="<c:url value='${url.currentModule}/css/img/userbig.png'/>"/></c:if>
        </div>
    </div>

    <h5 class="commentTitle"><jcr:nodeProperty node="${currentNode}" name="jcr:title"/></h5>
    <jcr:nodeProperty node="${currentNode}" name="jcr:lastModified" var="lastModified"/>
    <span class="docspacedate timestamp"><fmt:formatDate value="${lastModified.time}"
                                                         pattern="yyyy/MM/dd HH:mm"/></span>

    <p>
        <span class="author">
            <c:if test="${createdBy.string ne 'guest'}">
                <a href="${userUrl}">${createdBy.string}</a></c:if>
            <c:if test="${createdBy.string eq 'guest'}">${fn:escapeXml(currentNode.properties.pseudo.string)}</c:if>:&nbsp;</span>
        ${fn:escapeXml(content.string)}
    </p>
    <c:if test="${jcr:hasPermission(currentNode, 'jcr:removeNode_default')}">
        <span class="posteditdelete">
            <a href="#" class="postdelete" onclick="$('#${currentNode.identifier}_deleteForm').submit()">delete</a>
        </span>
    </c:if>
    <div class='clear'></div>
</li>