<%@ page import="org.jahia.services.content.JCRNodeWrapper" %>
<%@ page import="org.joda.time.DateTime" %>
<%@ page import="org.joda.time.Days" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.util.*" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="social" uri="http://www.jahia.org/tags/socialLib" %>
<%@ taglib prefix="uiComponents" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<template:addResources condition="if lt IE 9" type="javascript" resources="excanvas.min.js"/>
<template:addResources type="javascript"
                       resources="jquery.min.js,jquery.jqplot.min.js,plugins/jqplot.dateAxisRenderer.min.js,plugins/jqplot.barRenderer.min.js,plugins/jqplot.categoryAxisRenderer.min.js,plugins/jqplot.canvasTextRenderer.min.js,plugins/jqplot.canvasAxisTickRenderer.min.js,plugins/jqplot.logAxisRenderer.js"/>
<template:addResources type="css" resources="jquery.jqplot.min.css"/>

<template:addResources>

    <template:include view="dataBuilder.hidden"/>
    <jcr:propertyInitializers var="activityTypes" nodeType="jnt:socialActivitiesDisplay" name="j:activityTypes"/>
    <script>
        function drawGraph() {
        <c:forEach items="${socactData}" var="activityMap" varStatus="idx">
            var activities${idx.count} = [
                <c:forEach items="${activityMap.value}" var="activity" varStatus="status">
                <c:if test="${!status.first}">,
                </c:if>
                ['${activity.key}', ${activity.value}]
                </c:forEach>
            ].reverse();
        <c:set var="nbActivities" value="${idx.count}"/>
        </c:forEach>
            var plot1 = $.jqplot('chartdiv', [<c:forEach var="i" begin="1" end="${nbActivities}" varStatus="stat"><c:if test="${not stat.first}">,</c:if> activities${i}</c:forEach>], {
                stackSeries : true,
                seriesColors: [ "#008AE5", "#c5b47f", "#EAA228", "#579575", "#839557", "#958c12",
                    "#953579", "#4b5de4", "#d8b83f", "#ff5800", "#0085cc"],
                seriesDefaults:{
                    shadow: false,
                    renderer:$.jqplot.BarRenderer,
                    pointLabels: {show: true}
                },
                grid: {
                    drawGridLines: false,
                    background: '#fff',
                    borderColor: '#ccc',
                    borderWidth: 2,
                    shadow: false
                },
                <fmt:message key="docspace.label.docspace.activities.history" var="i18nHistory"/>
                title:'${functions:escapeJavaScript(i18nHistory)}',
                axes:{
                    <c:choose>
                    <c:when test="${empty weeksMap}">
                    xaxis:{
                        renderer:$.jqplot.DateAxisRenderer,
                        pad:0,
                        tickRenderer: $.jqplot.CanvasAxisTickRenderer,
                        tickOptions:{
                            formatString:'%m/%d',
                            angle: -0,
                            fontSize: '8px',
                            textColor: '#333',
                            showGridline: false
                        },
                        tickInterval:'${tickInterval}'
                    },
                    </c:when>
                    <c:otherwise>
                    xaxis:{
                        renderer:$.jqplot.DateAxisRenderer,
                        pad:0,
                        tickRenderer: $.jqplot.CanvasAxisTickRenderer,
                        tickOptions:{
                            formatString:'%Y/%m/%d',
                            angle: 0,
                            fontSize: '8px',
                            textColor: '#333',
                            showGridline: false
                        },
                        tickInterval:'${tickInterval}'
                    },
                    </c:otherwise>
                    </c:choose>
                    yaxis:{
                        pad: 1.5,
                        min: 0,
                        tickOptions:{
                            formatString:'%d',
                            showGridline: false,
                            show: true,
                            fontSize: '8px',
                            textColor: '#333'
                        }
                    }
                }
            });
        }

        $(document).ready(function() {
            drawGraph();
        });
        $(window).resize(function() {
            $("#chartdiv").html("");
            drawGraph();
        });
    </script>

</template:addResources>

<div id="chartdiv"></div>
