package jnt_socialActivitiesDisplay.html

import org.jahia.services.SpringContextSingleton
import org.jahia.taglibs.uicomponents.Functions
import org.joda.time.DateTime
import org.joda.time.Days

import java.text.SimpleDateFormat
import javax.jcr.RepositoryException

/**
 * @author rincevent
 */


def socialService = SpringContextSingleton.getBean("socialService");
def boundComp = Functions.getBindedComponent(currentNode, renderContext, "j:bindedComponent");
def activities;
try {
    limit = currentNode.getProperty("j:activitiesLimit").getLong()
} catch (RepositoryException e) {
    limit = -1L;
}
def activityTypesList = [];
try {
    activityTypesValues = currentNode.getProperty("j:activityTypes").getValues();
    activityTypesValues.each {activityType -> activityTypesList.add(activityType.string)}
} catch (RepositoryException e) {
}
if (boundComp.isNodeType("jnt:user")) {
    def connectionsPaths = socialService.getUserConnections(boundComp.getPath(), true);

    activities = socialService.getActivities(currentNode.session, connectionsPaths, limit, 0, null, activityTypesList);
} else {
    activities = socialService.getActivities(currentNode.session, null, limit, 0, boundComp.getPath(), activityTypesList, boundComp.hasProperty("jcr:created") ? boundComp.getProperty("jcr:created").getDate().getTimeInMillis() : 0);
}
def dateFormat = new SimpleDateFormat("yyyy-MM-dd");
def datas = new LinkedHashMap();
def minDate;
def maxDate;
activities.eachWithIndex { activity, index ->
    try {
        def lastModifiedDate = activity.getProperty("jcr:lastModified").getDate().getTime();
        def lastModifiedString = dateFormat.format(lastModifiedDate);
        if (index == 0) {
            minDate = lastModifiedDate;
            maxDate = lastModifiedDate;
        }
        if (lastModifiedDate.time < minDate.time) {
            minDate = lastModifiedDate;
        }
        if (lastModifiedDate.time > maxDate.time) {
            maxDate = lastModifiedDate;
        }
        def activityType = "";
        if (datas.get(activityType) == null) {
            datas.put(activityType, new LinkedHashMap());
        }
        def count = 0;
        if (datas.get(activityType).get(lastModifiedString) != null) {
            count = datas.get(activityType).get(lastModifiedString)
        }
        datas.get(activityType).put(lastModifiedString,count + 1);
    } catch (RepositoryException e) {
        limit = 0L;
    }
}

Days days = Days.daysBetween(new DateTime(minDate), new DateTime(maxDate));

if (days.getDays() < 7) {
    datas.each { nbActByDate ->
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(maxDate);
        calendar.add(Calendar.DAY_OF_YEAR, 2);
        for (int i = 0; i < 9; i++) {
            calendar.add(Calendar.DAY_OF_YEAR, -1);
            if (!nbActByDate.value.containsKey(dateFormat.format(calendar.getTime()))) {
                nbActByDate.value.put(dateFormat.format(calendar.getTime()), 0);
            }
        }
    }
    renderContext.getRequest().setAttribute("tickInterval","1 day");

} else if (days.getDays() < 31) {
    datas.each { nbActByDate ->
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(maxDate);
        calendar.add(Calendar.DAY_OF_YEAR, 2);
        for (int i = 0; i < 33; i++) {
            calendar.add(Calendar.DAY_OF_YEAR, -1);
            if (!nbActByDate.value.containsKey(dateFormat.format(calendar.getTime()))) {
                nbActByDate.value.put(dateFormat.format(calendar.getTime()), 0);
            }
        }
    }
    renderContext.getRequest().setAttribute("tickInterval","4 days");
} else {
    renderContext.getRequest().setAttribute("weeksMap", Boolean.TRUE);
    tmpdatas = new LinkedHashMap();
    tmpdatas.put("", new LinkedHashMap());
    datas.each { nbActByDate ->
        nbActByDate.value.each { entry ->
            Calendar c = Calendar.getInstance();
            c.setTime(dateFormat.parse(entry.key));
            c.set(Calendar.DAY_OF_WEEK,1); // 1 for week starting on sunday, 2 for monday
            date = dateFormat.format(c.getTime())
            if (!tmpdatas.get(nbActByDate.key).containsKey(date)) {
                tmpdatas.get(nbActByDate.key).put(date, entry.value);
            } else {
                tmpdatas.get(nbActByDate.key).put(date, entry.value + tmpdatas.get(nbActByDate.key).get(date));
            }
        }
    }
    datas = tmpdatas;

    datas.each { nbActByDate ->
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(maxDate);
        calendar.set(Calendar.DAY_OF_WEEK,1);
        calendar.add(Calendar.WEEK_OF_YEAR, 2);
        for (int i = 0; i < 55; i++) {
            calendar.add(Calendar.WEEK_OF_YEAR, -1);
            if (!nbActByDate.value.containsKey(dateFormat.format(calendar.getTime()))) {
                nbActByDate.value.put(dateFormat.format(calendar.getTime()), 0);
            }
        }
    }

    renderContext.getRequest().setAttribute("tickInterval", "6 weeks");
}

renderContext.getRequest().setAttribute("socactData",datas);
