<%@ page import="org.jahia.services.usermanager.JahiaUserManagerService" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="uiComponents" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="user" uri="http://www.jahia.org/tags/user" %>

<template:addResources type="javascript" resources="jquery.min.js,jquery-ui.min.js"/>
<template:addResources type="javascript" resources="jquery.fancybox.js,jquery.jeditable.js"/>
<template:addResources type="javascript" resources="jquery.autocomplete.js"/>
<template:addResources type="css" resources="jquery.autocomplete.css"/>
<template:addResources type="css" resources="jquery.fancybox.css"/>

<div id="rights-${currentNode.identifier}">
    <jsp:useBean id="userSearchCriterias" class="java.util.HashMap" scope="page" />

    <c:if test="${empty param.letter}">
        <c:set value="A" var="selectedLetter"/>
    </c:if>
    <c:if test="${!empty param.letter}">
        <c:set var="selectedLetter" value="${param.letter}"/>
    </c:if>

    <c:set target="${userSearchCriterias}" property="j:lastName" value="${selectedLetter}*" />
    <c:set var="users" value="${user:searchUsers(userSearchCriterias)}"/>
    <c:set var="totalSize" value="${fn:length(users)}"/>


    <div class="alphabeticalMenu"><!--start alphabeticalMenu-->
        <div class="alphabeticalNavigation">
            <c:forTokens items="A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z" var="letter" delims=",">
                <c:set target="${userSearchCriterias}" property="<%=JahiaUserManagerService.COUNT_LIMIT%>" value="1" />
                <c:set target="${userSearchCriterias}" property="j:lastName" value="${letter}*" />
                <c:set var="hasUsers" value="${fn:length(user:searchUsers(userSearchCriterias)) > 0}"/>
                <c:url var="myUrl" value="${url.mainResource}">
                    <c:param name="letter" value="${letter}"/>
                </c:url>
                <c:choose>
                    <c:when test="${hasUsers}">
                        <span><a title="${letter}" class="alphabeticalLetter <c:if test='${letter eq selectedLetter}'>current</c:if>" href="${myUrl}" >${letter}</a></span>
                    </c:when>
                    <c:otherwise>
                        <span><span class="alphabeticalLetter">${letter}</span></span>
                    </c:otherwise>
                </c:choose>
            </c:forTokens>
        </div>
        <div class='clear'></div>
    </div>

    <template:initPager id="members" totalSize="${totalSize}" pageSize="25"/>

    <%@ include file="results.jspf" %>

    <template:displayPagination id="members"/>
</div>