<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="uiComponents" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="user" uri="http://www.jahia.org/tags/user" %>

<template:addResources type="javascript" resources="jquery.min.js,jquery-ui.min.js"/>
<template:addResources type="javascript" resources="jquery.fancybox.js,jquery.jeditable.js"/>
<template:addResources type="javascript" resources="jquery.autocomplete.js"/>
<template:addResources type="css" resources="jquery.autocomplete.css"/>
<template:addResources type="css" resources="jquery.fancybox.css"/>

<c:set var="boundComponent"
       value="${uiComponents:getBindedComponent(currentNode, renderContext, 'j:bindedComponent')}"/>

<jcr:nodeProperty node="${currentNode}" name="rolesList" var="rolesList"/>
<jcr:nodeProperty node="${currentNode}" name="defaultRole" var="defaultRoleProp"/>
<c:set var="providedDefaultRole" value="${not empty defaultRoleProp ? defaultRoleProp.string : ''}"/>
<c:forEach items="${rolesList}" var="role" varStatus="status">
    <c:set var="roleName" value="${role.string}"/>
    <c:set var="roles" value="${roles} ${roleName}"/>
    <c:if test="${status.index>0}">
        <c:set var="rolesJs" value="${rolesJs},"/>
    </c:if>
    <fmt:message key="docspace.label.docspace.role.${roleName}" var="roleLabel"/>
    <c:set var="rolesJs" value="${rolesJs}'${roleName}':'${roleLabel}'"/>
    <c:if test="${status.index==0}"><c:set var="firstRole" value="${roleName}"/></c:if>
    <c:if test="${providedDefaultRole==roleName}"><c:set var="defaultRole" value="${roleName}"/></c:if>
</c:forEach>
<c:set var="defaultRole" value="${not empty defaultRole ? defaultRole : firstRole}"/>
<c:set var="canManageMembers" value="${jcr:hasPermission(renderContext.mainResource.node,'docspace-member-manage')}"/>
<c:url var="postUrl" value="${url.base}${boundComponent.path}.addMemberToAcl.do"/>
<div id="rights-${currentNode.identifier}">

<fmt:message key="docspace.label.members.remove.confirm" var="i18nRemoveConfirm"/>
<template:addResources>
    <script type="text/javascript">
        $(document).ready(function () {
            <c:if test="${canManageMembers}">
            $(".editRolesFull").editable(function (value, settings) {
                $.post("${postUrl}", {"memberKey":$(this).attr('key'), "role":value, "overwrite":true},
                        function (result) {
                            location.reload();
                        }, "json");
            }, {
                type:'select',
                data:"{${rolesJs}}",
                submit:'OK'
            });

            $(".removeRole").click(function () {
                if (!confirm("${functions:escapeJavaScript(i18nRemoveConfirm)}")) {
                    return false;
                }
                $.post("${postUrl}", {"memberKey":$(this).attr('key'), "role":""}, function (result) {
                    location.reload();
                }, "json");
            });
            </c:if>
            function getText(node) {
                return node["nodename"];
            }

            function format(result) {
                return getText(result["node"]);
            }

            $(".skillSelection").autocomplete("<c:url value='${url.find}'/>", {
                dataType:"json",
                cacheLength:1,
                parse:function parse(data) {
                    return $.map(data, function (row) {
                        return {
                            data:row,
                            value:getText(row["node"]),
                            result:getText(row["node"])
                        }
                    });
                },
                formatItem:function (item) {
                    return format(item);
                },
                extraParams:{
                    query:"select * from [docnt:skill] as tags where localname(tags) like '%{$q}%'",
                    escapeColon:"false",
                    propertyMatchRegexp:"{$q}.*",
                    removeDuplicatePropValues:"false"
                }
            });

            $(".townSelection").autocomplete("<c:url value='${url.find}'/>", {
                dataType:"json",
                cacheLength:1,
                parse:function parse(data) {
                    return $.map(data, function (row) {
                        return {
                            data:row,
                            value:getText(row["node"]),
                            result:getText(row["node"])
                        }
                    });
                },
                formatItem:function (item) {
                    return format(item);
                },
                extraParams:{
                    query:"select * from [jnt:address] as tags where tags.['j:town'] like '%{$q}%'",
                    escapeColon:"false",
                    propertyMatchRegexp:"{$q}.*",
                    removeDuplicatePropValues:"false"
                }
            });

            $("#addCustomField").change(function () {
                var fieldToBeDisplayed = $(this).val();
                if (fieldToBeDisplayed != "none") {
                    $("#" + fieldToBeDisplayed).appendTo($("#searchMembersFS"));
                    $("#" + fieldToBeDisplayed).show();
                    $(this).find('[value="'+fieldToBeDisplayed+'"]').remove();
                    $(this).val("none");
                }
            });

            $("#deleteFirstnameField").click(function () {
                $("#firstnameField").hide();
                $("#firstnameField").appendTo($("#rights-${currentNode.identifier}"));
                $("#addCustomField").append($('<option>',{
                    value : 'firstnameField',
                    text : '<fmt:message key="jnt_user.j_firstName"/>'
                }));
            });

            $("#deleteGenderField").click(function () {
                $("#genderField").hide();
                $("#genderField").appendTo($("#rights-${currentNode.identifier}"));
            });

            $("#deleteOrganizationField").click(function () {
                $("#organizationField").hide();
                $("#organizationField").appendTo($("#rights-${currentNode.identifier}"));
                $("#addCustomField").append($('<option>',{
                    value : 'organizationField',
                    text : '<fmt:message key="jnt_user.j_organization"/>'
                }));
            });

            $("#deleteSkillField").click(function () {
                $("#skillsField").hide();
                $("#skillsField").appendTo($("#rights-${currentNode.identifier}"));
            });

            <c:if test="${not empty param.fir}">
            $("#addCustomField").val("firstnameField");
            $("#addCustomField").change();
            </c:if>

            <c:if test="${not empty param.org}">
            $("#addCustomField").val("organizationField");
            $("#addCustomField").change();
            </c:if>
        });
    </script>
</template:addResources>

    <div>
        <form class="userManagementSearchForm" action="" method="get">
            <input type="hidden" name="displayTab" value="search"/>
            <input type="hidden" name="d" value="true"/>
            <fieldset id="searchMembersFS">
                <p>
                <label for="searchmemberslastname"><fmt:message key="jnt_user.j_lastName"/></label>
                <input class="field" type="text" value="${fn:escapeXml(param.las)}" name="las" maxlength="32" size="16"
                       id="searchmemberslastname"/></p>
                <%--<label for="searchmemberstown"><fmt:message key="jnt_address.j_town"/></label>
         <input type="text" value="${fn:escapeXml(param.tow)}" name="tow" maxlength="32" size="16" class="townSelection"
                id="searchmemberstown"/><br/>--%>
            </fieldset>
            <select class="fieldselect" id="addCustomField">
                <option value="none"><fmt:message key="docspace.label.usersManagement.add.field"/></option>
                <option value="firstnameField"><fmt:message key="jnt_user.j_firstName"/></option>
                <%--<option value="genderField"><fmt:message key="jnt_user.j_gender"/></option>--%>
                <option value="organizationField"><fmt:message key="jnt_user.j_organization"/></option>
                <%--<option value="skillsField"><fmt:message key="docnt_skill"/></option>--%>
            </select>
            <input class="button" type="submit" value="<fmt:message key='label.ok'/>"/>
        </form>
    </div>

    <p id="firstnameField" style="display: none">
        <label for="searchmembersfirstname"><fmt:message key="jnt_user.j_firstName"/></label>
        <input class="field" type="text" value="${fn:escapeXml(param.fir)}" name="fir" maxlength="32" size="16"
               id="searchmembersfirstname"/>
        <a class="delete-collection" id="deleteFirstnameField" href="#"><span><fmt:message key="docspace.label.delete"/></span></a>
    </p>

    <p id="genderField" style="display: none">
        <label for="searchmembersgender"><fmt:message key="jnt_user.j_gender"/></label>
        <select class="field" name="gen" id="searchmembersgender">
            <option value="all"<c:if
                    test="${empty param.gen or param.gen eq 'all'}"> selected="true"</c:if>><fmt:message
                    key="label.all"/></option>
            <option value="female"<c:if test="${param.gen eq 'female'}"> selected="true"</c:if>><fmt:message
                    key="jnt_user.j_gender.female"/></option>
            <option value="male"<c:if test="${param.gen eq 'male'}"> selected="true"</c:if>><fmt:message
                    key="jnt_user.j_gender.male"/></option>
        </select>
        <a class="delete-collection" id="deleteGenderField" href="#"><span><fmt:message key="docspace.label.delete"/></span></a>
    </p>

    <p id="organizationField" style="display: none;">

        <label for="searchmembersorganization"><fmt:message key="jnt_user.j_organization"/></label>
        <input class="field" type="text" value="${fn:escapeXml(param.org)}" name="org" maxlength="32" size="16"
               id="searchmembersorganization"/>
        <a class="delete-collection" id="deleteOrganizationField" href="#"><span><fmt:message key="docspace.label.delete"/></span></a>
    </p>

    <p id="skillsField" style="display: none;">
        <label for="searchmembersskills"><fmt:message key="docnt_skill"/></label>
        <input class="field" type="text" value="${fn:escapeXml(param.ski)}" name="ski" maxlength="32" size="16" class="skillSelection"
               id="searchmembersskills"/>
        <a class="delete-collection" id="deleteSkillField" href="#"><span><fmt:message key="docspace.label.delete"/></span></a>
    </p>


    <c:if test="${not empty param.d}">
        <jsp:useBean id="userSearchCriterias" class="java.util.HashMap" scope="page" />
        <c:set target="${userSearchCriterias}" property="multi_criteria_search_op" value="and" />
        <c:if test="${not empty param.las}">
            <c:set target="${userSearchCriterias}" property="j:lastName" value="${param.las}*" />
        </c:if>
        <c:if test="${not empty param.fir}">
            <c:set target="${userSearchCriterias}" property="j:firstName" value="${param.fir}*" />
        </c:if>
        <c:if test="${not empty param.gen and param.gen != 'all'}">
            <c:set target="${userSearchCriterias}" property="j:gender" value="${param.gen}" />
        </c:if>
        <c:if test="${not empty param.org}">
            <c:set target="${userSearchCriterias}" property="j:organization" value="${param.org}*" />
        </c:if>
        <c:if test="${not empty param.skill}">
            <c:set target="${userSearchCriterias}" property="skill" value="${param.ski}" />
        </c:if>
        <c:set var="users" value="${user:searchUsers(userSearchCriterias)}"/>
        <c:set var="totalSize" value="${fn:length(users)}"/>

        <template:initPager id="members" totalSize="${totalSize}" pageSize="25"/>

        <%@ include file="results.jspf" %>

        <template:displayPagination id="members"/>
    </c:if>
</div>